2026-04-30  Release Manager

	* GCC 16.1.0 released.

2026-04-01  David Faust  <david.faust@oracle.com>

	* MAINTAINERS: Add my bugzilla account.

2026-04-01  David Faust  <david.faust@oracle.com>

	* MAINTAINERS: Update Qing Zhao email address.

2026-03-17  Prachi Godbole  <pgodbole@nvidia.com>

	* MAINTAINERS: Add myself to write after approval and DCO.

2026-02-27  Christophe Lyon  <christophe.lyon@arm.com>

	* .forgejo/workflows/sanity-checks.yaml: Rename testjob to
	format-checks. Rename file to ...
	* .forgejo/workflows/format-checks.yaml: ... this.

2026-02-18  Maciej W. Rozycki  <macro@orcam.me.uk>

	* configure.ac <amdgcn-*-*> (noconfigdirs): Add `ld' and `gas'.
	* configure: Regenerate.

2026-02-05  Iain Buclaw  <ibuclaw@gdcproject.org>

	PR d/116975
	* Makefile.in: Regenerate.
	* Makefile.tpl (STAGE[+id+]_GDCFLAGS): New.
	(STAGE2_GDCFLAGS): Add -fno-checking.
	(STAGE3_GDCFLAGS): Add -fchecking=1.
	(BASE_FLAGS_TO_PASS): Pass STAGE[+id+]_GDCFLAGS down.
	(configure-stage[+id+]-[+prefix+][+module+]): Set GDCFLAGS for all gcc
	module stages.
	(all-stage[+id+]-[+prefix+][+module+]): Likewise.

2026-02-04  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.tpl (STAGE1_CONFIGURE_FLAGS, STAGE2_CONFIGURE_FLAGS,
	STAGEprofile_CONFIGURE_FLAGS): Append --disable-libstdcxx-pch if
	target-libstdc++-v3-bootstrap.
	* Makefile.in: Regenerate.

2026-01-22  Alejandro Colomar  <alx@kernel.org>

	* MAINTAINERS: Add myself to Write After Approval and DCO

2026-01-19  Stefan Schulze Frielinghaus  <stefansf@gcc.gnu.org>

	* configure: Regenerate.
	* configure.ac: Deprecate -m31.

2026-01-14  Vineet Gupta  <vineet.gupta@linux.dev>

	* MAINTAINERS: Update to my linux.dev email.

2026-01-14  Jason Merrill  <jason@redhat.com>

	* MAINTAINERS: Update Paolo Carlini email address.

2026-01-14  Daniel Barboza  <daniel.barboza@oss.qualcomm.com>

	* MAINTAINERS: Add myself to write after approval.

2026-01-10  Jakub Jelinek  <jakub@redhat.com>

	PR ada/123490
	* config-ml.in: Restore ml_subdir being empty instead of /.
	for the primary multilib.

2026-01-09  Ben Boeckel  <ben.boeckel@kitware.com>

	* config-ml.in: Replace gcc-bugs@ with bug reporting link.
	* symlink-tree: Replace gcc-bugs@ with bug reporting link.

2026-01-08  Aleksandar Rakic  <aleksandar.rakic@htecgroup.com>

	* config-ml.in: Use with_multi_buildlist to build multidirs.
	Skip configuration for subdir returned by
	--print-multi-directory.
	* configure: Regenerate.
	* configure.ac: Source target-specific configuration fragment
	for GCC. Pass through with_multi_buildlist to host and target.

2026-01-08  Karl Meakin  <karl.meakin@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2026-01-08  Pietro Monteiro  <pietro@sociotechnical.xyz>

	* .forgejo/workflows/build-containers.yaml: New file.

2026-01-06  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>

	* MAINTAINERS: Add myself as global reviewer.

2026-01-06  supers1ngular  <supers1ngular@baylibre.com>

	* MAINTAINERS: Add my bugzilla account.

2026-01-05  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Put <jeffrey.law@oss.qualcomm.com> before
	<jeffreyalaw@gmail.com>.

2025-12-30  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* Makefile.def (flags_to_pass): Rename GA68, GA68FLAGS,
	GA68_FOR_TARGET, GA68FLAGS_FOR_TARGET to A68, A68FLAGS,
	A68_FOR_TARGET and A68FLAGS_FOR_TARGET.
	* Makefile.tpl: Use A68, A68FLAGS, A68_FOR_BUILD and
	A68_FOR_TARGET rather than GA68, GA68FLAGS, GA68_FOR_BUILD and
	GA68_FOR_TARGET.
	* Makefile.in: Regenerate.
	* configure.ac: Set A68_FOR_BUILD rather than GA68_FOR_BUILD, and
	invoke ACX_PROG_A68 rather than ACX_PROG_GA68.
	Subst A68_FOR_BUILD rather than GA68_FOR_BUILD.
	Subst A68 and A68FLAGS rather than GA68 and GA68FLAGS.
	Set A68_FOR_TARGET rather than GA68_FOR_TARGET.
	* configure: Regenerate.
	* config-ml.in: Handle A68FLAGS and define A68 in sub-configures.

2025-12-29  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* libtool.m4: Cherry-pick libtool commit
	9196966580f6853a31187a7a3c7e7ff36ef08982.

2025-12-19  Lewis Hyatt  <lhyatt@gmail.com>

	PR bootstrap/12407
	* configure.ac: Add feature to parsing of --enable-languages so that
	a language can be disabled by prefixing it with a caret.
	* configure: Regenerate.

2025-12-17  Jeff Law  <jlaw@ventanamicro.com>

	* MAINTAINERS: Use my oss.qualcomm.com address.

2025-12-15  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* MAINTAINERS: Add myself to DCO section.

2025-12-12  Pietro Monteiro  <pietro@sociotechnical.xyz>

	* MAINTAINERS: add myself to write after approval

2025-12-11  Jeff Law  <jlaw@ventanamicro.com>

	* MAINTAINERS: Update entries for contributors formerly at
	Ventana Microsystems to refer to Qualcomm instead.

2025-12-11  supers1ngular  <supers1ngular@baylibre.com>

	* MAINTAINERS: add myself to write after approval

2025-12-11  Pengxuan Zheng  <pengxuan.zheng@oss.qualcomm.com>

	* MAINTAINERS (Pengxuan Zheng): Update email address.

2025-12-08  Nathan Myers  <ncm@cantrip.org>

	* MAINTAINERS: add ncm

2025-11-30  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* MAINTAINERS: Add Algol 68 subsystems.
	* SECURITY.txt: add libga68 to list of libraries.

2025-11-20  Claudio Bantaloukas  <claudio.bantaloukas@arm.com>

	* MAINTAINERS:  Add myself in forge integration maintainers

2025-11-20  Josef Melcr  <josef.melcr@suse.com>

	* MAINTAINERS: Update my email address.

2025-11-20  Arsen Arsenović  <aarsenovic@baylibre.com>

	* MAINTAINERS: Update my email.

2025-11-19  Martin Liska  <martin.liska@hey.com>

	* MAINTAINERS: Add myself to write after approval (DSO).

2025-11-16  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (md_exec_prefix): Don't set on Solaris.
	* configure: Regenerate.

2025-11-03  Sam James  <sam@gentoo.org>

	* configure: Regenerate.

2025-10-30  Robin Dapp  <rdapp@ventanamicro.com>

	* MAINTAINERS: Add myself to reviewers/maintainers.

2025-10-28  Richard Earnshaw  <rearnsha@arm.com>

	* .editorconfig: Explicitly set tab_width whenever a
	config rule has indent_style = tab and indent_size != 8.

2025-10-28  Artemiy Volkov  <artemiy.volkov@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2025-10-27  Jennifer Schmitz  <jschmitz@nvidia.com>

	* MAINTAINERS: Change email address.

2025-10-24  Thomas Schwinge  <tschwinge@baylibre.com>

	PR driver/81358
	* Makefile.tpl: Move generation of dependencies for libatomic out
	of loop over 'target_modules'.
	* Makefile.in: Regenerate.

2025-10-22  Josef Melcr  <jmelcr02@gmail.com>

	* MAINTAINERS: Update my contact information.

2025-10-20  Tamar Christina  <tamar.christina@arm.com>

	* MAINTAINERS (Various Maintainers): Add myself for the vectorizer.

2025-10-20  Christophe Lyon  <christophe.lyon@linaro.org>

	* .forgejo/workflows/sanity-checks.yaml: New file.

2025-10-20  Richard Biener  <rguenther@suse.de>

	* MAINTAINERS (auto-vectorizer): Change attribution to
	vectorizer (+ tree-if-conv).

2025-10-15  Basil Milanich  <bmilanich@gmail.com>

	* Makefile.tpl (distclean): Remove extraenous semicolon.
	* Makefile.in: Rebuilt.

2025-10-11  Ben Boeckel  <ben.boeckel@kitware.com>

	* config-ml.in: Update patch email address.
	* symlink-tree: Ditto.

2025-10-09  Prathamesh Kulkarni  <prathameshk@nvidia.com>
	    Matthew Malcolmson  <mmalcolmson@nvidia.com>

	PR driver/81358
	* Makefile.def: Add no_atomic=true for libraries that don't depend on
	libatomic.
	* Makefile.tpl: Export TARGET_CONFIGDIRS and create rule to
	add dependencies for libatomic.
	* configure.ac: Add libatomic to bootstrap_target_libs.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2025-10-02  H.J. Lu  <hjl.tools@gmail.com>

	* Makefile.in: Regenerated.
	* configure: Likewise.
	* Makefile.tpl: Synced from binutils-gdb.
	* configure.ac: Likewise.
	* libtool.m4: Likewise.

2025-10-01  Richard Earnshaw  <rearnsha@arm.com>

	* .editorconfig: Unify the GCC and GDB/binutils root config.

2025-09-23  Richard Earnshaw  <rearnsha@arm.com>

	* .editorconfig: Fix glob patterns.

2025-09-22  Jonathan Wakely  <jwakely@redhat.com>

	* .editorconfig: New file.

2025-09-04  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	* MAINTAINERS (Reviewers): Add myself for the aarch64 port.

2025-09-03  Alice Carlotti  <alice.carlotti@arm.com>

	* MAINTAINERS: Add myself as an aarch64 port reviewer.

2025-08-28  Yuao Ma  <c8ef@outlook.com>

	* MAINTAINERS: add myself to write after approval

2025-08-21  Richard Sandiford  <rdsandiford@googlemail.com>

	* MAINTAINERS: Update my email address and stand down as AArch64
	maintainer.

2025-08-18  Spencer Abson  <spencer.abson@student.manchester.ac.uk>

	* MAINTAINERS: Update my email address.

2025-08-17  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Switch around Andrew Pinski's entries in
	Contributing under DCO.

2025-08-16  Mikael Pettersson  <mikpelinux@gmail.com>

	* MAINTAINERS: Add myself to write after approval.

2025-08-14  Avinash Jayakar  <avinashd@linux.ibm.com>

	* MAINTAINERS: Add myself to write after approval.

2025-08-08  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>

	* MAINTAINERS (Andrew Pinski): Update email address.

2025-08-07  Pengfei Li  <Pengfei.Li2@arm.com>

	* MAINTAINERS: Add myself.

2025-08-05  Thomas Schwinge  <tschwinge@baylibre.com>

	* .gitignore: Remove 'libgrust/*/target/'.

2025-08-01  Luis Machado  <luis.machado.foss@gmail.com>

	* MAINTAINERS: Update my e-mail address.

2025-07-22  Patrick Palka  <ppalka@redhat.com>

	* MAINTAINERS: Add myself as C++ front end reviewer.

2025-07-07  Tamar Christina  <tamar.christina@arm.com>

	* MAINTAINERS: Add myself to AArch64 pot.

2025-07-04  Andrew Pinski  <quic_apinski@quicinc.com>

	* MAINTAINERS: Replace tabs with spaces.

2025-07-04  Alex Coplan  <alex.coplan@arm.com>

	* MAINTAINERS (Reviewers): Add myself for the aarch64 port.

2025-07-03  Andrew Pinski  <quic_apinski@quicinc.com>

	* MAINTAINERS: Add myself as an aarch64 port reviewer.

2025-06-22  Nicolas Boulenguez  <nicolas@debian.org>

	PR ada/120106
	* Makefile.tpl: Add GNATMAKE_FOR_BUILD to {HOST,BASE_TARGET}_EXPORTS
	* Makefile.in: Regenerate.
	* configure.ac: Set the default and substitute the variable.
	* configure: Regenerate.

2025-06-09  Kugan Vivekanandarajah  <kvivekananda@nvidia.com>

	* configure.ac: Special case cpu_type for x86_64.
	* configure: Regenerate.

2025-06-09  Peter Bergner  <bergner@tenstorrent.com>

	* MAINTAINERS: Update my email address and add myself to DCO.

2025-05-28  Kugan Vivekanandarajah  <kvivekananda@nvidia.com>

	* Makefile.def: Fix typo in cpu_type
	* Makefile.tpl: Add cpu_type

2025-05-26  Kugan Vivekanandarajah  <kvivekananda@nvidia.com>

	* Makefile.def: AUTO_PROFILE based on cpu_type.
	* Makefile.in: Likewise.
	* configure: Regenerate.
	* configure.ac: Set autofdo_target.

2025-05-23  Kishan Parmar  <kishan@linux.ibm.com>

	* MAINTAINERS: Add myself to write after approval.

2025-05-23  Dhruv Chawla  <dhruvc@nvidia.com>

	* MAINTAINERS: Add myself to write after approval and DCO.

2025-05-21  Stephanos Ioannidis  <root@stephanos.io>

	* configure.ac: Always add pre-installed heades to search path.
	* configure: Regenerate.

2025-05-16  Spencer Abson  <spencer.abson@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2025-05-14  Richard Earnshaw  <rearnsha@arm.com>

	* MAINTAINERS: Marcus Shawcroft has resigned from the project.

2025-04-28  Kwok Cheung Yeung  <kcyeung@baylibre.com>

	* MAINTAINERS (kcy): Add gcc.gnu.org username.

2025-04-22  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR cobol/119217
	* configure.ac: Restrict cobol to aarch64-*-linux*,
	x86_64-*-linux*.
	Fix indentation.
	* configure: Regenerate.

2025-04-16  Waffl3x  <waffl3x@baylibre.com>

	* MAINTAINERS: Add myself.

2025-04-02  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Use -B instead of -L to specifiy the C++ runtime
	paths on Darwin.

2025-03-31  Alice Carlotti  <alice.carlotti@arm.com>

	* MAINTAINERS: Update my name.

2025-03-28  Richard Biener  <rguenther@suse.de>

	PR bootstrap/119513
	* configure.ac (compare_exclusions): Add gcc/cobol/parse\$(objext).
	* configure: Regenerated.

2025-03-25  Iain Sandoe  <iain@sandoe.co.uk>

	PR cobol/119244
	* Makefile.def: libgcobol configure depends on libquadmath build.
	* Makefile.in: Regenerate.

2025-03-23  Iain Sandoe  <iain@sandoe.co.uk>

	PR libitm/88319
	* Makefile.in: Regenerate.
	* Makefile.tpl: Add CXX_FOR_TARGET to NORMAL_TARGET_EXPORTS.

2025-03-23  James K. Lowden  <jklowden@cobolworx.com>

	* MAINTAINERS: Add myself.

2025-03-17  Arthur Cohen  <arthur.cohen@embecosm.com>

	* .gitignore: Add libgrust target folders to the ignore list.

2025-03-14  Thomas Schwinge  <thomas@codesourcery.com>

	PR target/92713
	PR target/101544
	* configure.ac [GCN, nvptx] (noconfigdirs): Don't add
	'target-libstdc++-v3'.  Add 'target-libgrust'.
	* configure: Regenerate.

2025-03-13  Matthias Klose  <doko@ubuntu.com>

	* config-ml.in (multi-do): Remove extra argument from subst macro.

2025-03-12  Robert Dubner  <rdubner@symas.com>

	* MAINTAINERS: Remove extraneous entries for "Robert Dubner"

2025-03-11  Bob Dubner  <rdubner@symas.com>

	* MAINTAINERS: Add myself.

2025-03-11  Jakub Jelinek  <jakub@redhat.com>

	PR cobol/119216
	* configure.ac: Check for UNSUPPORTED set by libgcobol/configure.tgt
	rather than LIBGCOBOL_SUPPORTED.
	* configure: Regenerate.

2025-03-11  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Do not build COBOL on Darwin by default,
	even for --enable-languages=all.

2025-03-11  James K. Lowden  <jklowden@symas.com>

	* Makefile.def: Add libgcobol module and cobol language.
	* Makefile.in: Regenerate.
	* configure.ac: Add libgcobol module and cobol language.
	* configure: Regenerate.

2025-03-05  Tomasz Kamiński  <tkaminsk@redhat.com>

	* MAINTAINERS: Add myself.

2025-02-28  Giuseppe D'Angelo  <giuseppe.dangelo@kdab.com>

	* MAINTAINERS: Added myself as write after approval and DCO.

2025-02-19  Thomas Schwinge  <tschwinge@baylibre.com>

	* configure.ac (unsupported_languages) [GCN, nvptx]: Add 'ada'.
	(noconfigdirs) [GCN, nvptx]: Add 'target-libobjc',
	'target-libffi', 'target-libgo'.
	* configure: Regenerate.

2025-02-05  Jin Ma  <jinma@linux.alibaba.com>

	* MAINTAINERS: Add myself.

2025-01-21  Alfie Richards  <alfie.richards@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2025-01-13  Martin Jambor  <mjambor@suse.cz>

	* MAINTAINERS: Fix the name order of the Write After Approval section.

2024-12-23  Mark Harmstone  <mark@harmstone.com>

	* MAINTAINERS: Add myself to write after approval.

2024-12-18  Prathamesh Kulkarni  <prathameshk@nvidia.com>

	Revert:
	2024-12-18  Prathamesh Kulkarni  <prathameshk@nvidia.com>
		    Matthew Malcolmson  <mmalcolmson@nvidia.com>

	PR driver/81358
	* Makefile.def: Add dependencies so libatomic is built before target
	libraries are configured.
	* Makefile.tpl: Export TARGET_CONFIGDIRS.
	* configure.ac: Add libatomic to bootstrap_target_libs.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2024-12-18  Prathamesh Kulkarni  <prathameshk@nvidia.com>
	    Matthew Malcolmson  <mmalcolmson@nvidia.com>

	PR driver/81358
	* Makefile.def: Add dependencies so libatomic is built before target
	libraries are configured.
	* Makefile.tpl: Export TARGET_CONFIGDIRS.
	* configure.ac: Add libatomic to bootstrap_target_libs.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2024-12-11  Matthieu Longo  <matthieu.longo@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2024-12-02  Claudio Bantaloukas  <claudio.bantaloukas@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2024-11-29  David Malcolm  <dmalcolm@redhat.com>

	* configure.ac: Rename "libdiagnostics" to "libgdiagnostics".
	* configure: Regenerate.

2024-11-29  Yury Khrustalev  <yury.khrustalev@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2024-11-25  Sandra Loosemore  <sloosemore@baylibre.com>

	* MAINTAINERS: Remove references to nios2.
	* configure.ac: Likewise.
	* configure: Regenerated.

2024-11-22  Sam James  <sam@gentoo.org>

	* configure: Regenerate.
	* configure.ac: Sync with Binutils.

2024-11-22  Evgeny Karpov  <evgeny.karpov@microsoft.com>

	* MAINTAINERS: Add myself to write after approval.

2024-11-19  Florian Weimer  <fweimer@redhat.com>

	* SECURITY.txt: Remove Debian.

2024-11-18  David Malcolm  <dmalcolm@redhat.com>

	* configure.ac (--enable-libdiagnostics): New.
	* configure: Regenerate.

2024-11-05  Nick Clifton  <nickc@redhat.com>

	* configure.ac: Add sim to noconfigdirs for ARM targets.
	* configure: Regenerate.

2024-10-30  Soumya AR  <soumyaa@nvidia.com>

	* MAINTAINERS: Add myself to write after approval and DCO.

2024-10-28  Jason Merrill  <jason@redhat.com>

	* configure.ac: Update requirement to C++14.
	* configure: Regenerate.

2024-10-25  Andrew Pinski  <quic_apinski@quicinc.com>

	PR bootstrap/105474
	* configure: Regenerate.
	* configure.ac: Error out if libstdc++ is not enabled
	with bootstrapping.

2024-10-23  Jonathan Wakely  <jwakely@redhat.com>

	* .forgejo/PULL_REQUEST_TEMPLATE.md: New file.

2024-10-18  Alex Coplan  <alex.coplan@arm.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself as aarch64 ldp/stp
	maintainer.
	(Various Maintainers): Add myself as pair fusion maintainer.

2024-10-16  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Fix Write After Approval name order.

2024-10-14  Stefan Schulze Frielinghaus  <stefansf@gcc.gnu.org>

	* MAINTAINERS (s390 port): Add myself.

2024-10-13  Josef Melcr  <melcrjos@fit.cvut.cz>

	* MAINTAINERS: Add myself to write after approval

2024-10-12  Feng Xue  <fxue@os.amperecomputing.com>

	* MAINTAINERS: Add myself to write after approval.

2024-10-04  Thiago Jung Bauermann  <thiago.bauermann@linaro.org>

	* MAINTAINERS: Add myself to write after approval.

2024-09-27  Christophe Lyon  <christophe.lyon@arm.com>

	* MAINTAINERS: Add myself as MVE Reviewer for the AArch32 (arm)
	port.

2024-09-25  Sam James  <sam@gentoo.org>

	* ltmain.sh (func_mode_link): Allow various flags through filter.

2024-09-24  Aldy Hernandez  <aldyh@redhat.com>

	* MAINTAINERS: Move my entry in DCO list into alphabetical order.

2024-09-23  Saurabh Jha  <saurabh.jha@arm.com>

	* MAINTAINERS: Fix sort order and add username.

2024-09-23  Saurabh Jha  <saurabh.jha@arm.com>

	* MAINTAINERS: Add myself to write after approval.

2024-09-23  Aldy Hernandez  <aldy@quesejoda.com>

	* MAINTAINERS: Update email and add myself to DCO.

2024-09-18  Andrew Kreimer  <algonell@gmail.com>

	* configure.ac: Fix typos.
	* configure: Rebuilt.

2024-09-12  YunQiang Su  <syq@gcc.gnu.org>

	* .gitignore: Add .vscode.

2024-09-04  Marc Poulhiès  <dkm@kataplop.net>

	* configure: Regenerate.
	* configure.ac: Save LIBS around calls to AC_SEARCH_LIBS.

2024-09-03  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	* MAINTAINERS: Update my email address and add myself to DCO.

2024-08-22  Sam James  <sam@gentoo.org>

	* Makefile.in: Regenerate.
	* Makefile.tpl: Fix whitespace.

2024-08-22  Sam James  <sam@gentoo.org>

	* Makefile.in: Regenerate.
	* Makefile.tpl (STAGE1_CONFIGURE_FLAGS): Remove --disable-intermodule.

2024-08-07  navidr  <navidr@gcc.gnu.org>

	* MAINTAINERS: Changing my email to gnu email.

2024-08-05  Jennifer Schmitz  <jschmitz@nvidia.com>

	* MAINTAINERS: Add myself.

2024-07-31  Arsen Arsenović  <arsen@aarsen.me>

	* .dir-locals.el: Change c-mode to a list of C, C++ and ObjC
	modes that Emacs currently provides.

2024-07-28  Jonathan Wakely  <jwakely@redhat.com>

	* .b4-config: New file.

2024-07-26  Sam James  <sam@gentoo.org>

	* MAINTAINERS: Add myself.

2024-07-24  Matthew Malcomson  <mmalcomson@nvidia.com>

	* MAINTAINERS: Update my email address.

2024-07-13  Richard Sandiford  <richard.sandiford@arm.com>

	* MAINTAINERS: Replace tabs with spaces.  Add a bugzilla account
	name column to the Write After Approval section.  Line up the
	email column and fix an entry that was missing the trailing ">".

2024-07-11  Kugan Vivekanandarajah  <kvivekananda@nvidia.com>

	* MAINTAINERS: Update my email address.

2024-07-05  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Fix order in Contributing under the DCO.

2024-07-03  Prathamesh Kulkarni  <prathameshk@nvidia.com>

	* MAINTAINERS: Update my email address and add myself to DCO.

2024-07-01  Claudiu Zissulescu  <claziss@gmail.com>

	* MAINTAINERS: Update claziss email address.

2024-06-20  Collin Funk  <collin.funk1@gmail.com>

	PR bootstrap/115453
	* configure.ac: Quote variable result of AC_SEARCH_LIBS.  Fix
	typo ac_cv_search_pthread_crate.
	* configure: Regenerate.

2024-06-19  YunQiang Su  <syq@gcc.gnu.org>

	Revert:
	2024-06-19  Collin Funk  <collin.funk1@gmail.com>

	* configure.ac: Quote variable result of AC_SEARCH_LIBS.
	* configure: Regenerate.

2024-06-19  YunQiang Su  <syq@gcc.gnu.org>

	Revert:
	2024-06-19  YunQiang Su  <syq@gcc.gnu.org>

	PR bootstrap/115453
	* configure.ac: Fix typo ac_cv_search_pthread_crate.
	* configure: Regnerate.

2024-06-19  YunQiang Su  <syq@gcc.gnu.org>

	PR bootstrap/115453
	* configure.ac: Fix typo ac_cv_search_pthread_crate.
	* configure: Regnerate.

2024-06-19  Collin Funk  <collin.funk1@gmail.com>

	* configure.ac: Quote variable result of AC_SEARCH_LIBS.
	* configure: Regenerate.

2024-06-19  Ramana Radhakrishnan  <ramanara@nvidia.com>

	* MAINTAINERS: Update my email address.

2024-06-18  Kyrylo Tkachov  <ktkachov@nvidia.com>

	* MAINTAINERS (aarch64 port): Update my email address.
	(DCO section): Likewise.

2024-06-11  Arthur Cohen  <arthur.cohen@embecosm.com>

	* Makefile.tpl: Add CRAB1_LIBS variable.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* configure.ac: Check if -ldl and -lpthread are needed, and if so, add
	them to CRAB1_LIBS.

2024-05-31  Pengxuan Zheng  <quic_pzheng@quicinc.com>

	* MAINTAINERS: Add myself to Write After Approval and DCO.

2024-05-20  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Move Joern Rennecke from arc and epiphany maintainer
	to Write After Approval.

2024-05-17  Levy Hsu  <admin@levyhsu.com>

	* MAINTAINERS: Add myself.

2024-05-14  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Use tabs between name and email.

2024-05-13  Xiao Zeng  <zengxiao@eswincomputing.com>

	* MAINTAINERS: Add myself.

2024-05-09  H.J. Lu  <hjl.tools@gmail.com>

	* MAINTAINERS: Add myself to DCO.

2024-05-06  YunQiang Su  <syq@gcc.gnu.org>

	* config-ml.in: Insert an -B option with multi-os-dir into
	compiler commands used to build libraries.

2024-04-16  Thomas Schwinge  <tschwinge@baylibre.com>

	* configure.ac (have_cargo): Force to "no" in Canadian cross
	configurations
	* configure: Regenerate.

2024-04-16  Thomas Schwinge  <tschwinge@baylibre.com>

	* configure: Regenerate.

2024-04-15  Pierre-Emmanuel Patry  <pierre-emmanuel.patry@embecosm.com>

	* configure: Regenerate.
	* configure.ac: Emit an error message when cargo
	is missing.

2024-04-04  Paul-Antoine Arras  <parras@baylibre.com>

	* MAINTAINERS: Update my email address.

2024-04-04  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* MAINTAINERS: Update my email details, remove myself as arm
	maintainer.  Add myself to DCO section.

2024-04-02  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/106472
	* Makefile.tpl (make-postboot-target-dep): New lambda.
	Use it to add --enable-bootstrap dependencies of target modules
	on other target modules if the latter aren't bootstrapped.
	* Makefile.in: Regenerate.

2024-04-02  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.tpl: Fix duplicated words; returns returns ->
	returns.

2024-03-08  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Fix order of names in Write After Aproval

2024-03-04  demin.han  <demin.han@starfivetech.com>

	* MAINTAINERS: Add myself

2024-02-28  Fangrui Song  <maskray@gcc.gnu.org>

	* MAINTAINERS: Add myself.

2024-02-26  Juergen Christ  <jchrist@linux.ibm.com>

	* MAINTAINERS: Add myself to write after approval and DCO.

2024-02-23  Xi Ruoyao  <xry111@xry111.site>

	* configure.ac (ENABLE_GOLD): Remove loongarch*-*-* from target
	list.
	* configure: Regenerate.

2024-02-23  Monk Chiang  <monk.chiang@sifive.com>

	* MAINTAINERS: Add myself.

2024-02-10  Alexander Westbrooks  <alexanderw@gcc.gnu.org>

	* MAINTAINERS: Add myself to write after approval and DCO.

2024-02-03  Maciej W. Rozycki  <macro@orcam.me.uk>

	* MAINTAINERS: Update my e-mail address.

2024-02-02  Sandra Loosemore  <sloosemore@baylibre.com>

	* MAINTAINERS: Update my e-mail address.

2024-01-29  Kwok Cheung Yeung  <kcy@codesourcery.com>

	* MAINTAINERS: Update my work email address.

2024-01-25  Chung-Lin Tang  <cltang@baylibre.com>

	* MAINTAINERS: Update my work email address.

2024-01-24  Thomas Schwinge  <tschwinge@baylibre.com>

	* MAINTAINERS: Update my work email address.

2024-01-23  Tobias Burnus  <tburnus@baylibre.com>

	* MAINTAINERS: Update my email address.

2024-01-23  Andrew Stubbs  <ams@baylibre.com>

	* MAINTAINERS: Update

2024-01-16  Pierre-Emmanuel Patry  <pierre-emmanuel.patry@embecosm.com>

	* Makefile.def: Add a dependency to libgrust for all-gcc.
	* Makefile.in: Regenerate the file.

2024-01-16  Pierre-Emmanuel Patry  <pierre-emmanuel.patry@embecosm.com>

	* Makefile.def: Add libgrust target to bootstrap.
	* Makefile.in: Regenerate.

2024-01-15  Andrew Pinski  <quic_apinski@quicinc.com>

	* MAINTAINERS (DCO): Add myself.

2024-01-09  Siddhesh Poyarekar  <siddhesh@gotplt.org>

	* SECURITY.txt: Drop "exploitable" in the hardening section.

2024-01-09  Tom Tromey  <tom@tromey.com>

	* Makefile.in: Rebuild.
	* Makefile.tpl (BASE_EXPORTS): Add GUILE.
	(GUILE): New variable.
	* Makefile.def (flags_to_pass): Add GUILE.

2024-01-08  Joseph Myers  <josmyers@redhat.com>

	* MAINTAINERS: Update my email address.

2023-12-30  Joseph Myers  <jsm@polyomino.org.uk>

	* MAINTAINERS: Update my email address.

2023-12-14  Pierre-Emmanuel Patry  <pierre-emmanuel.patry@embecosm.com>
	    Thomas Schwinge  <thomas@codesourcery.com>

	* Makefile.def: Add libgrust as host & target module.
	* configure.ac: Add libgrust to host tools list. Add libgrust to
	noconfigdirs if we're not building target libstdc++.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2023-12-14  Pierre-Emmanuel Patry  <pierre-emmanuel.patry@embecosm.com>
	    Arthur Cohen  <arthur.cohen@embecosm.com>

	* MAINTAINERS: Add maintainers for libgrust.

2023-12-13  Arsen Arsenović  <arsen@aarsen.me>

	* Makefile.def (gettext): Disable (via missing)
	{install-,}{pdf,html,info,dvi} and TAGS targets.  Set no_install
	to true.  Add --disable-threads --disable-libasprintf.  Drop the
	lib_path (as there are no shared libs).
	* Makefile.in: Regenerate.

2023-12-12  Paul Iannetta  <piannetta@kalrayinc.com>

	* MAINTAINERS: Add myself to write after approval

2023-12-12  Feng Wang  <wangfeng@eswincomputing.com>

	* MAINTAINERS: Update my email address

2023-12-12  Feng Wang  <wangfeng@eswincomputing.com>

	* MAINTAINERS: Add myself to write after approval

2023-11-23  Nathaniel Shead  <nathanieloshead@gmail.com>

	* MAINTAINERS: Add myself to write after approval and DCO

2023-11-22  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	* libtool.m4: Fix stray call

2023-11-19  Lewis Hyatt  <lhyatt@gmail.com>

	* Makefile.in: Regenerate.
	* Makefile.tpl: Add dependency on site.exp to check-gcc-* targets

2023-11-18  Petter Tomner  <tomner@bahnhof.se>

	* MAINTAINERS: Update my email address.

2023-11-18  Frederik Harwath  <frederik@harwath.name>

	* MAINTAINERS: Change my address.

2023-11-16  Michal Jires  <mjires@suse.cz>

	* MAINTAINERS: Add myself.

2023-11-13  Arsen Arsenović  <arsen@aarsen.me>

	PR bootstrap/12596
	* .gitignore: Add '/gettext*'.
	* configure.ac (host_libs): Replace intl with gettext.
	(hbaseargs, bbaseargs, baseargs): Split baseargs into
	{h,b}baseargs.
	(skip_barg): New flag.  Skips appending current flag to
	bbaseargs.
	<library exemptions>: Exempt --with-libintl-{type,prefix} from
	target and build machine argument passing.
	* configure: Regenerate.
	* Makefile.def (host_modules): Replace intl module with gettext
	module.
	(configure-ld): Depend on configure-gettext.
	* Makefile.in: Regenerate.

2023-11-13  Arsen Arsenović  <arsen@aarsen.me>

	* intl/*: Remove.

2023-11-09  Jivan Hakobyan  <jivanhakobyan9@gmail.com>

	* MAINTAINERS: Add myself.

2023-11-09  YunQiang Su  <yunqiang.su@cipunited.com>

	* MAINTAINERS: Update my email address.

2023-11-06  Carl Love  <cel@linux.ibm.com>

	* MAINTAINERS: Update my email address.

2023-11-01  Eric Gallager  <egallager@gcc.gnu.org>

	* .github/CONTRIBUTING.md: Wrap lines more tightly.

2023-11-01  Eric Gallager  <egallager@gcc.gnu.org>

	* .github/CONTRIBUTING.md: New file.
	* .github/PULL_REQUEST_TEMPLATE.md: New file.

2023-10-22  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Do not add default runpaths to GCC exes
	when we are building -static-libstdc++/-static-libgcc (the
	default).
	* libtool.m4: Add 'enable-darwin-at-runpath'.  Act  on the
	enable flag to alter Darwin libraries to use @rpath names.

2023-10-15  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.def: Add distclean-sim dependency on distclean-gnulib.
	* Makefile.in: Regenerate.

2023-10-11  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Fix name order.

2023-10-10  Christoph Müllner  <christoph.muellner@vrull.eu>

	* MAINTAINERS: Add myself.

2023-10-06  Sergei Trofimovich  <siarheit@google.com>

	PR bootstrap/111663
	* Makefile.tpl (STAGEfeedback_CONFIGURE_FLAGS): Disable -Werror.
	* Makefile.in: Regenerate.

2023-10-05  Jan Engelhardt  <jengelh@inai.de>

	* SECURITY.txt: Fix up indentation.

2023-10-05  Jan Engelhardt  <jengelh@inai.de>

	* SECURITY.txt: Fix up commas.

2023-10-04  Siddhesh Poyarekar  <siddhesh@gotplt.org>

	* SECURITY.txt: New file.

2023-09-18  Fei Gao  <gaofei@eswincomputing.com>

	* MAINTAINERS: Add myself.

2023-09-15  Yang Yujie  <yangyujie@loongson.cn>

	* config-ml.in: Remove unneeded loongarch clause.
	* configure.ac: Register custom makefile fragments mt-loongarch-*
	for loongarch targets.
	* configure: Regenerate.

2023-09-12  Edwin Lu  <ewlu@rivosinc.com>

	* MAINTAINERS: Add myself

2023-09-12  Thomas Schwinge  <thomas@codesourcery.com>
	    Chung-Lin Tang  <cltang@codesourcery.com>

	PR testsuite/109951
	* Makefile.tpl (BASE_TARGET_EXPORTS): Add
	'SYSROOT_CFLAGS_FOR_TARGET'.
	* Makefile.in: Regenerate.

2023-09-05  Yang Yujie  <yangyujie@loongson.cn>

	* config-ml.in: Do not build the multilib library variant
	that is duplicate with the toplevel one.

2023-08-29  Tsukasa OI  <research_trasio@irq.a4lg.com>

	* MAINTAINERS: Add myself.

2023-08-22  Filip Kastl  <fkastl@suse.cz>

	* MAINTAINERS: Update my email address.

2023-08-11  Eric Feng  <ef2648@columbia.edu>

	* MAINTAINERS: Add myself.

2023-08-07  Indu Bhagat  <indu.bhagat@oracle.com>

	* Makefile.def: Reflect that libsframe needs to installed before
	libbfd.  Reorder a bit to better track libsframe dependencies.
	* Makefile.in: Regenerate.

2023-08-07  Indu Bhagat  <indu.bhagat@oracle.com>

	* Makefile.def: Add install dependency on libsframe for libbfd.
	* Makefile.in: Regenerated.

2023-08-07  Nick Alcock  <nick.alcock@oracle.com>

	* libtool.m4 (lt_cv_sys_global_symbol_pipe): Augment symcode for
	Solaris 11.

2023-08-07  Alexander von Gluck IV  <kallisti5@unixzen.com>

	* configure: Regenerate.
	* configure.ac: Add Haiku to list of ELF OSes
	* libtool.m4: Update sys_lib_dlsearch_path_spec on Haiku.

2023-08-07  Nick Alcock  <nick.alcock@oracle.com>

	* libtool.m4 (LT_PATH_NM): Handle user-specified NM with
	options, including options containing paths.

2023-08-07  Nick Alcock  <nick.alcock@oracle.com>

	* libtool.m4 (LT_PATH_NM): Try BSDization flags with a user-provided
	NM, if there is one.  Run nm on itself, not on /dev/null, to avoid
	errors from nms that refuse to work on non-regular files.  Remove
	other workarounds for this problem.  Strip out blank lines from the
	nm output.

2023-08-07  Arsen Arsenović  <arsen@aarsen.me>

	* configure.ac: Reinstate 32b PA-RISC HP-UX targets
	* configure: Regenerate.

2023-08-07  Simon Marchi  <simon.marchi@efficios.com>

	* configure.ac: Add AC_SUBST(PKG_CONFIG_PATH).
	* configure: Re-generate.
	* Makefile.tpl (HOST_EXPORTS): Pass PKG_CONFIG_PATH.
	(PKG_CONFIG_PATH): New.
	* Makefile.in: Re-generate.

2023-08-07  Luis Machado  <luis.machado@arm.com>

	* configure.ac: Disable year2038 by default on 32-bit hosts.
	* configure: Regenerate.

2023-08-07  Vladimir Mezentsev  <vladimir.mezentsev@oracle.com>

	* Makefile.def: Add gprofng module.
	* configure.ac: Add --enable-gprofng option.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2023-08-07  Martin Liska  <mliska@suse.cz>

	* configure.ac: Add --enable-default-compressed-debug-sections-algorithm.
	* configure: Regenerate.

2023-08-07  Fangrui Song  <maskray@google.com>

	* configure: Regenerate.
	* configure.ac: Add --with-zstd.

2023-08-07  Arsen Arsenović  <arsen@aarsen.me>

	* configure: Regenerate.
	* configure.ac: Recover tilegx/tilepro targets.

2023-08-07  H.J. Lu  <hjl.tools@gmail.com>

	* configure: Regenerated.
	* libtool.m4 (_LT_CMD_OLD_ARCHIVE): Check if AR works with
	--plugin and rc before enabling --plugin.

2023-08-07  H.J. Lu  <hjl.tools@gmail.com>

	* Makefile.tpl (AR): Add @AR_PLUGIN_OPTION@
	(RANLIB): Add @RANLIB_PLUGIN_OPTION@.
	* configure.ac: Include config/gcc-plugin.m4.
	AC_SUBST AR_PLUGIN_OPTION and RANLIB_PLUGIN_OPTION.
	* libtool.m4 (_LT_CMD_OLD_ARCHIVE): Pass --plugin to AR and
	RANLIB if possible.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2023-08-07  Arsen Arsenović  <arsen@aarsen.me>

	* Makefile.tpl: Substitute @GDCFLAGS@ instead of using
	$(CFLAGS).

2023-08-07  David Faust  <david.faust@oracle.com>

	* MAINTAINERS: Add the BPF port to my reviewer listing.

2023-08-02  Jan Beulich  <jbeulich@suse.com>

	* MAINTAINERS: Correct my email address.

2023-08-02  Hu, Lin1  <lin1.hu@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2023-08-01  Richard Ball  <richard.ball@arm.com>

	* MAINTAINERS: Add myself.

2023-07-31  Andreas Schwab  <schwab@suse.de>

	* configure.ac (GDCFLAGS): Set default from ${CFLAGS}.
	* configure: Regenerate.
	* Makefile.in (GDCFLAGS): Substitute @GDCFLAGS@.

2023-07-31  xuli  <xuli1@eswincomputing.com>

	* MAINTAINERS: Add myself.

2023-07-25  Thomas Schwinge  <thomas@codesourcery.com>

	* MAINTAINERS: List myself as "nvptx port" maintainer.

2023-07-21  Cupertino Miranda  <cupertino.miranda@oracle.com>

	* MAINTAINERS: Add myself to write after approval

2023-07-18  Ju-Zhe Zhong  <juzhe.zhong@rivai.ai>

	* MAINTAINERS: Add myself as a reviewer for the riscv port.

2023-07-18  Robin Dapp  <rdapp@ventanamicro.com>

	* MAINTAINERS: Add myself as a reviewer for the riscv port.

2023-07-12  Hao Liu  <hliu@os.amperecomputing.com>

	* MAINTAINERS: Add Hao Liu to write after approval

2023-07-12  Ken Matsui  <kmatsui@gcc.gnu.org>

	* MAINTAINERS: Add Ken Matsui to write after approval

2023-07-07  Eugene Rozenfeld  <erozen@microsoft.com>

	* Makefile.in: Collect both kernel and user events for autofdo
	* Makefile.tpl: Collect both kernel and user events for autofdo

2023-06-30  Rishi Raj  <rishiraj45035@gmail.com>

	* MAINTAINERS: Added myself to Write After Approval and DCO

2023-06-29  Eugene Rozenfeld  <erozen@microsoft.com>

	* Makefile.in: Remove -gtoggle for STAGEautoprofile
	* Makefile.tpl: Remove -gtoggle for STAGEautoprofile

2023-06-25  Lehua Ding  <lehua.ding@rivai.ai>

	* MAINTAINERS: Add Lehua Ding to write after approval

2023-06-25  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.def: Pass the enable-host-pie value to GCC configure.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* configure.ac: Adjust the logic for shared and PIE host flags to
	ensure that PIE is passed for hosts that require it.

2023-06-16  YunQiang Su  <yunqiang.su@cipunited.com>

	* MAINTAINERS (Write After Approval): move Matthew Fortune
	to Write After Approval.

2023-06-15  Marek Polacek  <polacek@redhat.com>

	* configure.ac (--enable-host-pie): New check.  Set PICFLAG after this
	check.
	* configure: Regenerate.

2023-06-14  Filip Kastl  <filip.kastl@gmail.com>

	* MAINTAINERS: Add myself to write after approval

2023-06-02  YunQiang Su  <yunqiang.su@cipunited.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself as MIPS
	port maintainer.
	(Write After Approval): Remove myself.

2023-05-30  Jeevitha Palanisamy  <jeevitha@linux.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2023-05-29  Martin Jambor  <mjambor@suse.cz>

	* MAINTAINERS: Replace spaces with tabs.

2023-05-27  Benjamin Priour  <vultkayn@gcc.gnu.org>

	* MAINTAINERS: New entry.

2023-05-18  Eugene Rozenfeld  <erozen@microsoft.com>

	* Makefile.tpl: Disable warnings as errors for STAGEautofeedback
	* Makefile.in: Regenerate

2023-05-17  Eugene Rozenfeld  <erozen@microsoft.com>

	* Makefile.in: Disable warnings as errors for STAGEautofeedback

2023-05-11  Robin Dapp  <rdapp@ventanamicro.com>

	* MAINTAINERS: Sort.

2023-05-11  Ju-Zhe Zhong  <juzhe.zhong@rivai.ai>

	* MAINTAINERS: Add myself.

2023-05-10  Pan Li  <pan2.li@intel.com>

	* MAINTAINERS: Add myself.

2023-04-28  Eugene Rozenfeld  <erozen@microsoft.com>

	* Makefile.in: Define PROFILE_MERGER
	* Makefile.tpl: Define PROFILE_MERGER

2023-04-27  Robin Dapp  <rdapp@ventanamicro.com>

	* MAINTAINERS: Change my email address.

2023-04-26  Patrick O'Neill  <patrick@rivosinc.com>

	* MAINTAINERS: Add myself.

2023-04-26  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: fix sorting

2023-04-25  Victor Do Nascimento  <victor.donascimento@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2023-04-24  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Fix sorting.

2023-04-21  Peter Foley  <pefoley2@pefoley.com>

	* configure: Regenerate.
	* configure.ac: Only create serdep.tmp if needed

2023-04-21  “ajit.kumar.agarwal@ibm.com”  <aagarwa@ltcden2-lp1.aus.stglabs.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2023-04-21  Vineet Gupta  <vineetg@rivosinc.com>

	* MAINTAINERS (Write After Approval): Add myself.
	Ref: <680c7bbe-5d6e-07cd-8468-247afc65e1dd@gmail.com>

2023-04-06  Indu Bhagat  <indu.bhagat@oracle.com>

	* MAINTAINERS: Add myself.

2023-03-22  Tobias Burnus  <tobias@codesourcery.com>

	* MAINTAINERS: Add myself as OpenMP and libgomp maintainer.

2023-03-10  Arsen Arsenović  <arsen@aarsen.me>

	* MAINTAINERS (Write After Approval): Add myself.

2023-02-16  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: I'm stepping down from my positions.

2023-01-10  Philip Herron  <herron.philip@googlemail.com>

	* MAINTAINERS: Add Philip Herron as Rust front-end maintainer

2023-01-06  Clément Chigot  <chigot@adacore.com>

	* configure.ac: Skip GMP and MPFR when --disable-gdb is
	provided.
	* configure: Regenerate.

2023-01-04  Gaius Mulley  <gaiusmod2@gmail.com>

	* MAINTAINERS: Add Gaius Mulley as Modula-2 front-end maintainer.

2022-12-31  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.def: Do not build shared libffi.
	* Makefile.in: Regenerate.

2022-12-21  Andrew Pinski  <apinski@marvell.com>

	* Makefile.def: Add configure-gdb dependencies
	on all-gmp and all-mpfr.
	* configure.ac: Split out MPC checking from MPFR.
	Require GMP and MPFR if the gdb directory exist.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2022-12-14  Gaius Mulley  <gaiusmod2@gmail.com>

	* configure.ac (target_libraries): Add target-libgm2.
	Add NCN_STRICT_CHECK_TARGET_TOOLS entry for gm2.
	Add GCC_TARGET_TOOL entry for gm2.
	(compare_exclusions): Add gcc/m2/gm2-compiler/M2Version,
	gcc/m2/gm2-compiler-boot/SYSTEM and gcc/m2/gm2version.
	* Makefile.def (target_modules): Add libgm2.
	(flags_to_pass): Add GM2_FOR_TARGET, GM2FLAGS_FOR_TARGET.
	(dependencies): Add all-target-libgm2 and on=all-target-libatomic.
	(languages): Add entry for language=m2 with gcc-check-target=check-m2
	and lib-check-target=check-target-libgm2.
	* Makefile.tpl (BUILD_EXPORTS): Add definition for GM2 and GM2FLAGS.
	(HOST_EXPORTS): Add definition for GM2.
	(BASE_TARGET_EXPORTS): Add definition for GM2.
	(GM2_FOR_BUILD): Defined.
	(GM2FLAGS): Defined.
	(GM2_FOR_TARGET): Defined.
	(GM2FLAGS_FOR_TARGET): Defined.
	(EXTRA_HOST_FLAGS): Defined.
	(POSTSTAGE1_FLAGS_TO_PASS): Add GM2 and GM2_FOR_BUILD.
	(EXTRA_TARGET_FLAGS): Add GM2 and GM2FLAGS.
	(EXTRA_GCC_FLAGS): Add GM2_FOR_TARGET.
	* configure: Rebuilt.
	* Makefile.in: Rebuilt.

2022-12-13  Philip Herron  <philip.herron@embecosm.com>

	* Makefile.def: Add Rust language.
	* Makefile.in: Regenerate via autogen.

2022-12-09  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Fix spacing.

2022-12-07  Arthur Cohen  <arthur.cohen@embecosm.com>

	* MAINTAINERS: Add Arthur Cohen as Rust front-end maintainer.

2022-12-07  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.def: Pass host_libs_picflag to host dependent library
	configures.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* configure.ac (host_libs_picflag): New configure variable set to
	'--with-pic' when building 'host_shared'.

2022-11-25  Weimin Pan  <weimin.pan@oracle.com>

	* Makefile.def: Add libsframe as new module with its dependencies.
	* Makefile.in: Regenerated.
	* configure.ac: Add libsframe to host_libs.
	* configure: Regenerated.

2022-11-23  Marek Polacek  <polacek@redhat.com>

	Revert:
	2022-11-23  Marek Polacek  <polacek@redhat.com>

	* Makefile.def: Pass $(PICFLAG) to AM_CFLAGS for gmp, mpfr, mpc, and
	isl.
	* Makefile.in: Regenerate.
	* Makefile.tpl: Set PICFLAG.
	* configure.ac (--enable-host-pie): New check.  Set PICFLAG after this
	check.
	* configure: Regenerate.

2022-11-23  Marek Polacek  <polacek@redhat.com>

	* Makefile.def: Pass $(PICFLAG) to AM_CFLAGS for gmp, mpfr, mpc, and
	isl.
	* Makefile.in: Regenerate.
	* Makefile.tpl: Set PICFLAG.
	* configure.ac (--enable-host-pie): New check.  Set PICFLAG after this
	check.
	* configure: Regenerate.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: New file.
	* doc/_static/custom.css: New file.
	* doc/baseconf.py: New file.
	* doc/bsd.rst: New file.
	* doc/contrib.rst: New file.
	* doc/contribute.rst: New file.
	* doc/cppdiropts.rst: New file.
	* doc/cppenv.rst: New file.
	* doc/cppopts.rst: New file.
	* doc/cppwarnopts.rst: New file.
	* doc/favicon.ico: New file.
	* doc/funding.rst: New file.
	* doc/gcc_sphinx.py: New file.
	* doc/gnu.rst: New file.
	* doc/gnu_free_documentation_license.rst: New file.
	* doc/gpl-3.0.rst: New file.
	* doc/indices-and-tables.rst: New file.
	* doc/lgpl-2.1.rst: New file.
	* doc/logo.pdf: New file.
	* doc/logo.svg: New file.
	* doc/md.rst: New file.
	* doc/requirements.txt: New file.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Port to GCC sources.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-14  Martin Liska  <mliska@suse.cz>

	* configure: Regenerate.
	* configure.ac: Support Sphinx based documentation.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Simplify BUGURL and VERSION_PACKAGE,
	provide a default.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/bsd.rst:
	Add trailing newline.
	* doc/contrib.rst:
	Add trailing newline.
	* doc/contribute.rst:
	Add trailing newline.
	* doc/cppdiropts.rst:
	Add trailing newline.
	* doc/cppenv.rst:
	Add trailing newline.
	* doc/cppopts.rst:
	Add trailing newline.
	* doc/cppwarnopts.rst:
	Add trailing newline.
	* doc/funding.rst:
	Add trailing newline.
	* doc/gnu.rst:
	Add trailing newline.
	* doc/gnu_free_documentation_license.rst:
	Add trailing newline.
	* doc/gpl-3.0.rst:
	Add trailing newline.
	* doc/indices-and-tables.rst:
	Add trailing newline.
	* doc/lgpl-2.1.rst:
	Add trailing newline.
	* doc/md.rst:
	Add trailing newline.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* configure.ac: Use new install URL.
	* configure: Regenerate.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-10  Arsen Arsenović  <arsen@aarsen.me>

	* doc/baseconf.py: Inject dirname(__file__)/'modules' to path
	instead of just ``.''.
	* doc/gcc_sphinx.py: Moved to...
	* doc/modules/gcc_sphinx.py: ...here.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-10  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Modernize by using pathlib.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: Disable -j auto.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: Update comment.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/indices-and-tables.rst: Rename Indexes to Indices.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-13  Martin Liska  <mliska@suse.cz>

	PR web/107643
	* doc/baseconf.py: Set include_todo tag if INCLUDE_TODO env
	is set.
	* doc/indices-and-tables.rst: Use include_todo tag.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-13  Philipp Tomsich  <philipp.tomsich@vrull.eu>

	* doc/contrib.rst: Update Jeff Law's email address.

2022-11-13  Philipp Tomsich  <philipp.tomsich@vrull.eu>

	* doc/contrib.rst: Update Jeff Law's email address.

2022-11-13  Martin Liska  <mliska@suse.cz>

	PR web/107643
	* doc/baseconf.py: Set include_todo tag if INCLUDE_TODO env
	is set.
	* doc/indices-and-tables.rst: Use include_todo tag.

2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/indices-and-tables.rst: Rename Indexes to Indices.

2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: Update comment.

2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: Disable -j auto.

2022-11-10  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Modernize by using pathlib.

2022-11-10  Arsen Arsenović  <arsen@aarsen.me>

	* doc/baseconf.py: Inject dirname(__file__)/'modules' to path
	instead of just ``.''.
	* doc/gcc_sphinx.py: Moved to...
	* doc/modules/gcc_sphinx.py: ...here.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* configure.ac: Use new install URL.
	* configure: Regenerate.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/bsd.rst:
	Add trailing newline.
	* doc/contrib.rst:
	Add trailing newline.
	* doc/contribute.rst:
	Add trailing newline.
	* doc/cppdiropts.rst:
	Add trailing newline.
	* doc/cppenv.rst:
	Add trailing newline.
	* doc/cppopts.rst:
	Add trailing newline.
	* doc/cppwarnopts.rst:
	Add trailing newline.
	* doc/funding.rst:
	Add trailing newline.
	* doc/gnu.rst:
	Add trailing newline.
	* doc/gnu_free_documentation_license.rst:
	Add trailing newline.
	* doc/gpl-3.0.rst:
	Add trailing newline.
	* doc/indices-and-tables.rst:
	Add trailing newline.
	* doc/lgpl-2.1.rst:
	Add trailing newline.
	* doc/md.rst:
	Add trailing newline.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Simplify BUGURL and VERSION_PACKAGE,
	provide a default.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* configure: Regenerate.
	* configure.ac: Support Sphinx based documentation.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/baseconf.py: Port to GCC sources.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/Makefile: New file.
	* doc/_static/custom.css: New file.
	* doc/baseconf.py: New file.
	* doc/bsd.rst: New file.
	* doc/contrib.rst: New file.
	* doc/contribute.rst: New file.
	* doc/cppdiropts.rst: New file.
	* doc/cppenv.rst: New file.
	* doc/cppopts.rst: New file.
	* doc/cppwarnopts.rst: New file.
	* doc/favicon.ico: New file.
	* doc/funding.rst: New file.
	* doc/gcc_sphinx.py: New file.
	* doc/gnu.rst: New file.
	* doc/gnu_free_documentation_license.rst: New file.
	* doc/gpl-3.0.rst: New file.
	* doc/indices-and-tables.rst: New file.
	* doc/lgpl-2.1.rst: New file.
	* doc/logo.pdf: New file.
	* doc/logo.svg: New file.
	* doc/md.rst: New file.
	* doc/requirements.txt: New file.

2022-11-04  Thomas Schwinge  <thomas@codesourcery.com>

	* Makefile.def: Remove module 'liboffloadmic'.
	* Makefile.in: Regenerate.
	* configure.ac: Remove 'liboffloadmic' handling.
	* configure: Regenerate.

2022-10-31  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>

	* MAINTAINERS: Update email address.

2022-10-21  Дилян Палаузов  <dilyan.palauzov@aegee.org>

	* configure.ac: Don't configure readline if --with-system-readline is
	used.
	* configure: Re-generate.

2022-10-12  Cui,Lili  <lili.cui@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-10-11  Olivier Hainque  <hainque@adacore.com>

	* libtool.m4 (*vxworks*): When enable_shared, set dynamic_linker
	and friends for rtp !large. Assume the linker has the required
	abilities and set lt_cv_deplibs_check_method.

2022-09-30  Olivier Hainque  <hainque@adacore.com>

	* configure.ac (*vxworks*): If enable_shared is not
	set, set to "no" and add --disable-shared to target and
	host_configargs.
	* configure: Regenerate.

2022-09-26  Jeff Law  <jlaw@ventanamicro.com>

	* MAINTAINERS: Update my email address and DCO entry.

2022-09-23  Paul-Antoine Arras  <pa@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-09-15  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-09-07  Jeff Law  <jeffreyalaw@gmail.com>

	* MAINTAINERS: Update my email address.

2022-09-07  Tom de Vries  <tdevries@suse.de>

	* configure.ac: Set extra_host_libiberty_configure_flags and
	extra_host_zlib_configure_flags in separate case statements.
	* configure: Regenerate.

2022-09-06  Xianmiao Qu  <cooper.qu@linux.alibaba.com>

	* MAINTAINERS: Update c-sky port maintainers' emails.

2022-08-31  Martin Liska  <mliska@suse.cz>

	* configure: Regenerate.
	* configure.ac: Delete hpux9 and hpux10.

2022-08-18  Sergei Trofimovich  <siarheit@google.com>

	* Makefile.def: Drop libelf module and gcc-configure dependency
	on it.
	* Makefile.in: Regenerate with 'autogen Makefile.def'.
	* Makefile.tpl (HOST_EXPORTS): Drop unused LIBELFLIBS and
	LIBELFINC.
	* configure: Regenrate.
	* configure.ac (host_libs): Drop unused libelf.

2022-08-18  Sergei Trofimovich  <siarheit@google.com>

	* Makefile.in: Regenerate.

2022-08-04  Eugene Rozenfeld  <erozen@microsoft.com>

	* MAINTAINERS: Add myself as AutoFDO maintainer.

2022-08-01  Roger Sayle  <roger@nextmovesoftware.com>
	    Arnaud Charlet  <charlet@adacore.com>

	* configure: Regenerate.

2022-07-31  Roger Sayle  <roger@nextmovesoftware.com>

	PR bootstrap/106472
	* Makefile.def (dependencies): Make configure-target-libgo depend
	upon all-target-libbacktrace.

2022-07-27  David Faust  <david.faust@oracle.com>

	* MAINTAINERS: Add myself as reviewer for CTF and BTF.

2022-07-27  Richard Biener  <rguenther@suse.de>

	* MAINTAINERS (Roger Sayle): Update e-mail address.

2022-07-21  Sam Feifer  <sfeifer@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-07-21  Marc Poulhiès  <poulhies@adacore.com>

	* MAINTAINERS: Add myself as Ada front end co-maintainer.

2022-07-19  Alexander Monakov  <amonakov@ispras.ru>

	* .gitignore: Do not ignore config.h.

2022-07-15  Andrew Carlotti  <andrew.carlotti@arm.com>

	* MAINTAINERS: Add myself to Write After Approval.

2022-07-04  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: fix sorting of names

2022-07-03  Immad Mir  <mirimmad17@gmail.com>

	* MAINTAINERS: add myself.

2022-07-03  Immad Mir  <mirimmad17@gmail.com>

	* MAINTAINERS: Add myself to write after approval and DCO.

2022-07-02  Tim Lange  <mail@tim-lange.me>

	* MAINTAINERS: Add myself.

2022-07-01  Haochen Jiang  <haochen.jiang@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-06-30  Cui,Lili  <lili.cui@intel.com>

	Revert:
	2022-06-30  Cui,Lili  <lili.cui@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-06-30  Cui,Lili  <lili.cui@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-06-28  Alexandre Oliva  <oliva@adacore.com>

	* Makefile.tpl (HOST_EXPORTS): Add TFLAGS to GCC_FOR_TARGET.
	(EXTRA_GCC_FLAGS): Likewise.
	* Makefile.in: Rebuilt.

2022-06-28  konglin1  <lingling.kong@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2022-06-27  Tom de Vries  <tdevries@suse.de>

	* configure.ac: Build libiberty pic variant for gdbserver.
	* configure: Regenerate.

2022-06-26  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Correct use of $host.

2022-06-25  Jeff Law  <jeffreyalaw@gmail.com>

	* MAINTAINERS: Remove tilegx and tilepro entries.
	* configure.ac: Remove tilegx and tilepro stanzas.
	* configure: Rebuilt.

2022-05-28  Bruce Korb  <bkorb@gnu.org>

	* .gitignore: Ignore vim swap files

2022-05-13  Surya Kumari Jangala  <jskumari@linux.ibm.com>

	* MAINTAINERS: Add myself to write after approval.

2022-05-11  Kewen Lin  <linkw@linux.ibm.com>

	* MAINTAINERS: Remove myself from DCO section.

2022-05-09  Xi Ruoyao  <xry111@xry111.site>

	* MAINTAINERS: Update my email address.

2022-05-09  Clément Chigot  <chigot@adacore.com>

	* MAINTAINERS: Update my email address.

2022-05-05  Kewen Lin  <linkw@linux.ibm.com>

	* MAINTAINERS: Add myself as PowerPC port co-maintainer and to DCO
	section.

2022-04-19  Richard Henderson  <rth@gcc.gnu.org>

	* MAINTAINERS: Update my email address.

2022-04-01  Qian Jianhua  <qianjh@fujitsu.com>

	* MAINTAINERS: Update my email address.

2022-03-29  Chenghua Xu  <xuchenghua@loongson.cn>

	* MAINTAINERS: (CPU Port Maintainers): Add myself and
	Lulu as LoongArch port maintainer.

2022-03-29  Chenghua Xu  <xuchenghua@loongson.cn>
	    Lulu Cheng  <chenglulu@loongson.cn>

	* configure.ac: Add LoongArch tuples.
	* configure: Regenerate.

2022-03-28  Tom Tromey  <tromey@adacore.com>

	* configure.ac: Remove --with-mpfr-dir and --with-gmp-dir.
	* configure: Rebuild.

2022-03-24  Bill Schmidt  <bill.schmidt@gmail.com>

	* MAINTAINERS: Change my information.

2022-03-16  Chung-Ju Wu  <jasonwucj@gmail.com>

	* MAINTAINERS: Add myself to DCO section.

2022-03-14  Jonathan Wakely  <jwakely@redhat.com>

	* configure.ac: Fix incorrect option in comment.
	* configure: Regenerate.

2022-03-09  Hans-Peter Nilsson  <hp@axis.com>

	* Makefile.def (dependencies): Make configure-sim depend on
	all-readline.
	* Makefile.in: Regenerate.

2022-02-22  Christophe Lyon  <christophe.lyon@foss.st.com>

	* MAINTAINERS (Write After Approval): Update my e-mail address.

2022-02-08  Ulrich Weigand  <ulrich.weigand@de.ibm.com>

	* MAINTAINERS: Remove Hartmut Penner as s390 maintainer.

2022-01-31  Ed Smith-Rowland  <esmithrowland@gmail.com>

	* MAINTAINERS: Update my email and add myself to the DCO list.

2022-01-25  Thomas Schwinge  <thomas@codesourcery.com>

	Revert:
	2021-09-16  Andrew Pinski  <apinski@marvell.com>

	PR bootstrap/67102
	* Makefile.def: Have configure-target-libffi depend on
	all-target-libstdc++-v3.
	* Makefile.in: Regenerate.

2022-01-22  Jakub Jelinek  <jakub@redhat.com>

	PR other/104181
	* build.log: Remove.

2022-01-20  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Adjust email address based on IRC request.

2022-01-18  Xionghu Luo  <luoxhu@linux.ibm.com>

	* MAINTAINERS: Update my email address.

2022-01-17  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Rename .c names to .cc.

2022-01-13  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.am: Remove.

2022-01-11  Thomas Koenig  <tkoenig@gcc.gnu.org>

	* Makefile.am: New file.

2022-01-11  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Sort 2 names.

2022-01-10  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Fix obvious issues with sorting.

2022-01-07  liuhongt  <hongtao.liu@intel.com>

	* build.log: New file.

2022-01-05  Nathan Sidwell  <nathan@acm.org>

	* MAINTAINERS: Add DCO entry.  Sort that list.

2022-01-04  Gaius Mulley  <gaiusmod2@gmail.com>

	* MAINTAINERS: Change of email address in both DCO and
	Write After Approval list.

2021-12-21  Iain Buclaw  <ibuclaw@gdcproject.org>

	* configure: Regenerate.

2021-12-21  Martin Liska  <mliska@suse.cz>

	* config.sub: Change mode back to 755.

2021-12-17  Martin Liska  <mliska@suse.cz>

	* config.sub: Sync from master.

2021-12-17  Martin Liska  <mliska@suse.cz>

	Revert:
	2021-12-16  Matthias Seidel  <mseidel@apache.org>

	* config.sub: Fix typo.

2021-12-16  Matthias Seidel  <mseidel@apache.org>

	* config.sub: Fix typo.

2021-12-16  H.J. Lu  <hjl.tools@gmail.com>

	Revert:
	2021-12-15  H.J. Lu  <hjl.tools@gmail.com>

	* Makefile.tpl (AR): Add @AR_PLUGIN_OPTION@
	(RANLIB): Add @RANLIB_PLUGIN_OPTION@.
	* configure.ac: Include config/gcc-plugin.m4.
	AC_SUBST AR_PLUGIN_OPTION and RANLIB_PLUGIN_OPTION.
	* libtool.m4 (_LT_CMD_OLD_ARCHIVE): Pass --plugin to AR and
	RANLIB if possible.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2021-12-15  H.J. Lu  <hjl.tools@gmail.com>

	* Makefile.tpl (BUILD_CFLAGS): New.
	(CFLAGS): Append $(BUILD_CFLAGS).
	(CXXFLAGS): Likewise.
	(PGO_BUILD_GEN_FLAGS_TO_PASS): New.
	(PGO_BUILD_TRAINING_CFLAGS): Likewise.
	(PGO_BUILD_TRAINING_CXXFLAGS): Likewise.
	(PGO_BUILD_TRAINING_FLAGS_TO_PASS): Likewise.
	(PGO_BUILD_TRAINING_MFLAGS): Likewise.
	(PGO_BUILD_USE_FLAGS_TO_PASS): Likewise.
	(PGO-TRAINING-TARGETS): Likewise.
	(PGO_BUILD_TRAINING): Likewise.
	(all): Add '+' to the command line for recursive make.  Support
	the PGO build.
	* configure.ac: Add --enable-pgo-build[=lto].
	AC_SUBST PGO_BUILD_GEN_CFLAGS, PGO_BUILD_USE_CFLAGS and
	PGO_BUILD_LTO_CFLAGS.  Enable the PGO build in Makefile.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2021-12-15  H.J. Lu  <hjl.tools@gmail.com>

	* Makefile.tpl (AR): Add @AR_PLUGIN_OPTION@
	(RANLIB): Add @RANLIB_PLUGIN_OPTION@.
	* configure.ac: Include config/gcc-plugin.m4.
	AC_SUBST AR_PLUGIN_OPTION and RANLIB_PLUGIN_OPTION.
	* libtool.m4 (_LT_CMD_OLD_ARCHIVE): Pass --plugin to AR and
	RANLIB if possible.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2021-12-14  Marc Poulhiès  <poulhies@adacore.com>

	* MAINTAINERS: Add myself to write after approval.

2021-12-06  Navid Rahimi  <navidrahimi@microsoft.com>

	* MAINTAINERS: Adding myself.

2021-12-02  Pekka Seppänen  <pexu@gcc.mail.kapsi.fi>

	* configure: Regenerate.
	* configure.ac: For CPP_FOR_BUILD use $(CC_FOR_BUILD) -E instead of
	$(CPP).

2021-11-30  Iain Buclaw  <ibuclaw@gdcproject.org>

	* Makefile.def: Add bootstrap to libbacktrace, libphobos, zlib, and
	libatomic.
	* Makefile.in: Regenerate.
	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Fix command for GDC.
	(STAGE1_CONFIGURE_FLAGS): Add --with-libphobos-druntime-only if
	target-libphobos-bootstrap.
	(STAGE2_CONFIGURE_FLAGS): Likewise.
	* configure: Regenerate.
	* configure.ac: Add support for bootstrapping D front-end.

2021-11-16  Martin Uecker  <uecker@gcc.gnu.org>

	* MAINTAINERS: Add myself to DCO section and update email address.

2021-11-16  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Ensure that PIC (shared) defaults are set
	correctly for Darwin.

2021-11-16  Jim Wilson  <jim.wilson.gcc@gmail.com>

	* MAINTAINERS: Update my address.

2021-11-12  Alan Modra  <amodra@gmail.com>

	* Makefile.def (configure-opcodes): Depend on configure-bfd.
	* Makefile.in: Regenerate.

2021-11-03  Maciej W. Rozycki  <macro@embecosm.com>

	* MAINTAINERS: Clarify the policy WRT the Write After Approval
	list.

2021-11-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* MAINTAINERS (Reviewers, arc): Remove my entry.
	(Write After Approval): Add an entry for myself.

2021-10-28  Richard Purdie  <richard.purdie@linuxfoundation.org>

	* Makefile.tpl: Add CPP_FOR_BUILD and CPPFLAGS_FOR_BUILD support
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* configure.ac: Add CPP_FOR_BUILD and CPPFLAGS_FOR_BUILD support

2021-10-26  Jeff Law  <jeffreyalaw@gmail.com>

	* MAINTAINERS: Fix up Maciej's entries.

2021-10-26  Maciej W. Rozycki  <macro@embecosm.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself as a VAX port
	maintainer.

2021-10-22  Eric Gallager  <egallager@gcc.gnu.org>

	PR other/102663
	* Makefile.def: Handle install-dvi target.
	* Makefile.tpl: Likewise.
	* Makefile.in: Regenerate.

2021-10-19  Clément Chigot  <clement.chigot@atos.net>

	* MAINTAINERS: Add myself for write after approval.

2021-10-12  Eric Gallager  <egallager@gcc.gnu.org>

	* Makefile.def: Mark libcody, libdecnumber,
	c++tools, libgcc, and libobjc as missing TAGS
	targets.
	* Makefile.in: Regenerate.

2021-10-07  Siddhesh Poyarekar  <siddhesh@gotplt.org>

	* MAINTAINERS: Add myself to DCO section and update email
	address.

2021-09-29  Jonathan Wakely  <jwakely@redhat.com>

	* MAINTAINERS: Add myself to DCO section.

2021-09-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* configure: Regenerate.
	* configure.ac (skipdirs): Add the contents of target_configdirs if
	we are not building gcc.

2021-09-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* Makefile.def: Back-port commits ba4d88ad892f and
	755ba58ebef0 from binutils-gdb repository.
	* Makefile.in: Regenerated.

2021-09-20  Harald Anlauf  <anlauf@gmx.de>

	* MAINTAINERS (Reviewers): Add myself as Fortran reviewer.

2021-09-17  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.def: Add a jit check target for the jit
	language.
	* Makefile.in: Regenerate.

2021-09-16  Andrew Pinski  <apinski@marvell.com>

	PR bootstrap/67102
	* Makefile.def: Have configure-target-libffi depend on
	all-target-libstdc++-v3.
	* Makefile.in: Regenerate.

2021-09-10  Petter Tomner  <tomner@kth.se>

	* MAINTAINERS: Me added to DCO and write after approval

2021-09-01  YunQiang Su  <syq@debian.org>

	* MAINTAINERS: Add myself for write after approval.

2021-08-31  Andrew Burgess  <andrew.burgess@embecosm.com>

	* Makefile.def: Add all-gdb dependency on all-libbacktrace.
	* Makefile.in: Regenerate.

2021-08-21  Dragan Mladjenovic  <Dragan.Mladjenovic@syrmia.com>

	* MAINTAINERS: Add myself for write after approval.

2021-08-18  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.in: Regenerate.
	* Makefile.tpl: Make the state of the configured host
	shared flag available to makefile fragements.

2021-08-09  Hongyu Wang  <hongyu.wang@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-07-20  Richard Earnshaw  <rearnsha@arm.com>

	* .dir-locals.el (bug-reference-url-format): Use https.

2021-07-20  Richard Earnshaw  <rearnsha@arm.com>

	* .dir-locals.el (c-mode): Change fill-column to 79.

2021-07-15  Trevor Saunders  <tbsaunde@tbsaunde.org>

	* MAINTAINERS: Add myself to DCO section.

2021-07-09  Iain Sandoe  <iain@sandoe.co.uk>

	* configure: Regenerate.
	* configure.ac: Adjust cases for which it is necessary to
	include the Darwin host config fragment.

2021-07-06  Gaius Mulley  <gaius.mulley@southwales.ac.uk>

	* MAINTAINERS: Add myself for write after approval and DCO.

2021-07-05  Iain Sandoe  <iain@sandoe.co.uk>

	* Makefile.def: Add dsymutil defs.
	* Makefile.in: Regenerated.
	* Makefile.tpl: Add dsymutil to flags.
	* configure: Regenerated.
	* configure.ac: Add dsymutil to target and build recipes.

2021-07-01  Ankur Saini  <arsenic@sourceware.org>

	* MAINTAINERS: Add myself for write after approval.

2021-06-30  Xi Ruoyao  <xry111@mengyan1223.wang>

	* MAINTAINERS (Write After Approval): Add myself.

2021-06-25  Matthias Kretz  <m.kretz@gsi.de>

	* MAINTAINERS: Add myself for write after approval and DCO

2021-06-24  prathamesh.kulkarni  <prathamesh.kulkarni@linaro.org>

	* .gitignore: Add entry for cscope.out.

2021-06-22  liuhongt  <hongtao.liu@intel.com>

	* MAINTAINERS: Remove my Write After Approval entry.

2021-06-21  liuhongt  <hongtao.liu@intel.com>

	* MAINTAINERS: Add myself as maintainer of the i386 vector
	extensions.

2021-06-18  Antoni Boucher  <bouanto@zoho.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-06-17  Aldy Hernandez  <aldyh@redhat.com>

	* MAINTAINERS (Various Maintainers): Add Andrew and myself
	as *vrp and ranger maintainers.

2021-06-05  Jeff Law  <jeffreyalaw@gmail.com>

	* MAINTAINERS: Adjust my entry in the DCO section so that it does
	not trigger testsuite failures.

2021-06-05  Jeff Law  <jeffreyalaw@gmail.com>

	* MAINTAINERS: Add myself to DCO section with both email addresses.

2021-06-03  Jason Merrill  <jason@redhat.com>

	* MAINTAINERS: Add DCO version number.

2021-06-02  Jason Merrill  <jason@redhat.com>

	* MAINTAINERS: Add DCO section.

2021-05-31  Indu Bhagat  <indu.bhagat@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-05-29  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Add gnulib to configdirs for sim.
	* configure: Regenerate.

2021-05-18  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.def: Add configure-sim dependency on all-gnulib.
	* Makefile.in: Regenerated.

2021-05-17  Serge Belyshev  <belyshev@depni.sinp.msu.ru>

	* MAINTAINERS (Write After Approval): Add myself.

2021-05-12  Marcel Vollweiler  <marcel@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-05-11  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Remove entries for removed
	components (HSA, BRIG, libhsail-rt).
	Move Pekka to Write After Approval.

2021-05-11  Martin Liska  <mliska@suse.cz>

	* Makefile.def: Remove libhsail-rt.
	* Makefile.in: Likewise.
	* configure.ac: Likewise.
	* configure: Regenerate.
	* libhsail-rt/ChangeLog: Removed.
	* libhsail-rt/Makefile.am: Removed.
	* libhsail-rt/Makefile.in: Removed.
	* libhsail-rt/README: Removed.
	* libhsail-rt/aclocal.m4: Removed.
	* libhsail-rt/configure: Removed.
	* libhsail-rt/configure.ac: Removed.
	* libhsail-rt/configure.tgt: Removed.
	* libhsail-rt/include/internal/fibers.h: Removed.
	* libhsail-rt/include/internal/phsa-queue-interface.h: Removed.
	* libhsail-rt/include/internal/phsa-rt.h: Removed.
	* libhsail-rt/include/internal/workitems.h: Removed.
	* libhsail-rt/rt/arithmetic.c: Removed.
	* libhsail-rt/rt/atomics.c: Removed.
	* libhsail-rt/rt/bitstring.c: Removed.
	* libhsail-rt/rt/fbarrier.c: Removed.
	* libhsail-rt/rt/fibers.c: Removed.
	* libhsail-rt/rt/fp16.c: Removed.
	* libhsail-rt/rt/misc.c: Removed.
	* libhsail-rt/rt/multimedia.c: Removed.
	* libhsail-rt/rt/queue.c: Removed.
	* libhsail-rt/rt/sat_arithmetic.c: Removed.
	* libhsail-rt/rt/segment.c: Removed.
	* libhsail-rt/rt/workitems.c: Removed.
	* libhsail-rt/target-config.h.in: Removed.

2021-05-04  Nick Clifton  <nickc@redhat.com>

	* configure.ac (AC_PROG_CC): Replace with AC_PROG_CC_C99.
	* configure: Regenerate.

2021-04-28  Jakub Jelinek  <jakub@redhat.com>
	    Tobias Burnus  <tobias@codesourcery.com>

	* configure.ac (--enable-offload-defaulted): New.
	* configure: Regenerate.

2021-04-23  David Faust  <david.faust@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-04-11  Hafiz Abid Qadeer  <abidh@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-03-26  Dimitar Dimitrov  <dimitar@dinux.eu>

	* MAINTAINERS: Add myself as pru port maintainer.

2021-03-23  David Malcolm  <dmalcolm@redhat.com>

	* MAINTAINERS: Add myself as static analyzer maintainer.

2021-03-18  Jeff Law  <jlaw@tachyum.com>

	* MAINTAINERS: Update primary entry.

2021-03-13  Eugene Rozenfeld  <erozen@microsoft.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-03-13  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.def: Remove all-sim dependency on configure-gdb.
	* Makefile.in: Regenerated.

2021-03-11  Jeff Law  <law@redhat.com>

	* MAINTAINERS: Update entries for a few ex-ImgTec employees

2021-03-11  Martin Liska  <mliska@suse.cz>

	* Makefile.tpl: The change was done Makefile.in which
	is generated file.

2021-03-08  Jeff Law  <law@redhat.com>

	* MAINTAINERS: Update my email address

2021-02-23  Kito Cheng  <kito.cheng@sifive.com>

	* config.guess: Import latest upstream.
	* config.sub: Import latest upstream.

2021-01-25  Martin Liska  <mliska@suse.cz>

	PR gcov-profile/98739
	* Makefile.in: Enable -fprofile-reproducible=parallel-runs
	for profiledbootstrap.

2021-01-22  Jonathan Wright  <jonathan.wright@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2021-01-22  Maciej W. Rozycki  <macro@orcam.me.uk>

	* MAINTAINERS (Write After Approval): Update my e-mail address.

2021-01-12  Segher Boessenkool  <segher@kernel.crashing.org>

	* MAINTAINERS: Fix spacing.

2021-01-12  Qian Jianhua  <qianjh@cn.fujitsu.com>

	* MAINTAINERS (Write After Approval): Add myself

2021-01-06  Nick Alcock  <nick.alcock@oracle.com>

	* Makefile.def: Sync with binutils-gdb:
	(dependencies): all-ld depends on all-libctf.
	(host_modules): libctf is no longer no_install.
	No longer no_check.  Checking depends on all-ld.
	* Makefile.in: Regenerated.

2021-01-05  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	* libtool.m4: Match gnu* along other GNU systems.
	* libgo/config/libtool.m4: Match gnu* along other GNU systems.
	* libgo/configure: Re-generate.

2021-01-04  Philipp Tomsich  <philipp.tomsich@vrull.eu>

	* MAINTAINERS: Update my email address.

2020-12-17  Marius Hillenbrand  <mhillen@linux.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-12-15  Nathan Sidwell  <nathan@acm.org>

	* Makefile.def
	* Makefile.in
	* Makefile.tpl
	* configure
	* configure.ac

2020-12-15  Nathan Sidwell  <nathan@acm.org>

	* Makefile.def: Add libcody.
	* configure.ac: Add libcody.
	* Makefile.in: Regenerated.
	* configure: Regenerated.

2020-12-14  Andrea Corallo  <andrea.corallo@arm.com>

	* .dir-locals.el (c-mode): Set 'fill-column' to 80 columns.

2020-12-05  Iain Sandoe  <iain@sandoe.co.uk>

	PR target/97865
	* libtool.m4: Update handling of Darwin platform link flags
	for Darwin20.

2020-12-02  Simon Marchi  <simon.marchi@polymtl.ca>

	* .gitignore: Sync with binutils-gdb

2020-12-02  Claudiu Zissulescu  <claziss@gmail.com>

	* MAINTAINERS: Add myself as arc port maintainer.

2020-11-29  Iain Buclaw  <ibuclaw@gdcproject.org>

	PR d/87788
	* configure.ac: Don't disable D for *-*-darwin*.
	* configure: Regenerate.

2020-11-29  John David Anglin  <danglin@gcc.gnu.org>

	* libtool.m4 (archive_cmds): Add +nodefaultrpath ld option on
	hppa64-*-hpux11*.

2020-11-25  Matthew Malcomson  <matthew.malcomson@arm.com>

	* configure: Regenerate.
	* configure.ac: Add --bootstrap-hwasan option.

2020-11-23  Iain Sandoe  <iain@sandoe.co.uk>

	* config.guess: Import latest upstream.
	* config.sub: Import latest upstream.

2020-11-16  Martin Liska  <mliska@suse.cz>

	* .gitignore: Add cache as clangd uses it now.

2020-11-13  Haochen Gui  <guihaoc@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): add myself

2020-11-09  Pat Bernardi  <bernardi@adacore.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-11-09  Jonathan Wakely  <jwakely@redhat.com>

	* config-ml.in (multi-do, multi-clean): Add @ to silence recipes.
	Remove FIXME comments.

2020-11-06  Martin Uecker  <muecker@gwdg.de>

	* MAINTAINERS: Update my email address.

2020-11-06  Hongtao Liu  <hongtao.liu@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-10-06  Tobias Burnus  <tobias@codesourcery.com>

	PR target/97302
	* configure.ac: Only set with_gmp to /usr/local
	if not building in tree.
	* configure: Regenerate.

2020-09-18  Omar Tahir  <omar.tahir@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-08-26  Tobias Burnus  <tobias@codesourcery.com>

	* MAINTAINERS (Various Maintainers): Add myself as OpenACC maintainer.

2020-08-20  Tobias Burnus  <tobias@codesourcery.com>

	PR bootstrap/96612
	* configure.ac: Run AX_CXX_COMPILE_STDCXX also for ${build} compiler,
	if not the same as ${host}.
	* configure: Regenerate.

2020-08-16  Sergei Trofimovich  <slyfox@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2020-08-12  Senthil Kumar Selvaraj  <saaadhu@gcc.gnu.org>

	* MAINTAINERS: Update my email address.

2020-07-30  Joe Ramsay  <joe.ramsay@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-07-22  Przemyslaw Wirkus  <przemyslaw.wirkus@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-06-12  Martin Liska  <mliska@suse.cz>

	* .gitignore: Add .clang-tidy.

2020-06-08  Jason Merrill  <jason@redhat.com>

	* configure.ac: Check AX_CXX_COMPILE_STDCXX if not bootstrapping.
	* configure: Regenerate.

2020-06-06  Max Filippov  <jcmvbkbc@gmail.com>

	* MAINTAINERS: Add myself as xtensa port maintainer.

2020-05-28  Nicolas Bértolo  <nicolasbertolo@gmail.com>

	* configure.ac: Don't require --enable-host-shared when building
	for Mingw.
	* configure: Regenerate.

2020-05-18  Jason Merrill  <jason@redhat.com>

	* configure.ac: Update bootstrap dialect to -std=c++11.

2020-05-18  Alex Coplan  <alex.coplan@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-04-29  Thomas Schwinge  <thomas@codesourcery.com>

	PR target/92713
	* configure.ac ["${ENABLE_LIBSTDCXX}" = "default" && amdgcn*-*-*]
	(noconfigdirs): Add 'target-libstdc++-v3'.
	* configure: Regenerate.

2020-04-21  Stephen Casner  <casner@acm.org>

	PR 25830
	* configure.ac (noconfigdirs): Exclude gdb & gprof for pdp11.
	* configure: Rebuild.

2020-04-17  Martin Liska  <mliska@suse.cz>
	    Jonathan Yong <10walls@gmail.com>

	PR gcov-profile/94570
	* ltmain.sh: Do not define HAVE_DOS_BASED_FILE_SYSTEM
	for CYGWIN.

2020-04-14  Martin Jambor  <mjambor@suse.cz>

	* MAINTAINERS (Reviewers): Add myself as callgraph (IPA) reviewer.

2020-04-09  Tom Tromey  <tom@tromey.com>

	* configure: Rebuild.
	* Makefile.in: Rebuild.
	* Makefile.def (gdbsupport, gdbserver): New host modules.
	(configure-gdb): Depend on all-gdbsupport.
	(all-gdb): Depend on all-gdbsupport, all-libctf.
	* configure.ac (host_tools): Add gdbserver.
	Conditionally build gdbserver and gdbsupport.

2020-03-09  Tobias Burnus  <tobias@codesourcery.com>

	* configure.ac: Build libgomp by default for amdgcn.
	* configure: Regenerate.

2020-03-05  Srinath Parvathaneni  <srinath.parvathaneni@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2020-02-28  Joel Hutton  <joel.hutton@arm.com>

	* MAINTAINERS (Write After Approval) : Add myself.

2020-02-20  Palmer Dabbelt  <palmer@sifive.com>

	* MAINTAINERS: Change palmer@sifive.com to palmer@dabbelt.com.

2020-02-14  Martin Sebor  <msebor@redhat.com>

	* doc/extend.texi (attribute alias): Mention type requirement.
	(attribute weak): Same.
	(attribute weakref): Correct invalid example.

2020-02-03  Segher Boessenkool  <segher@kernel.crashing.org>

	* doc/md.texi (PowerPC and IBM RS6000): Improve documentation.

2020-01-15  Segher Boessenkool  <segher@kernel.crashing.org>
	    Jakub Jelinek  <jakub@redhat.com>

	* .gitattributes: Add *.md diff=md.

2020-01-14  Georg-Johann Lay  <avr@gjlay.de>

	The mentioned auto-generated file is no more part of the

	GCC sources, it's auto-generated in $(builddir) during build.

	PR target/92055
	* contrib/gcc_update (files_and_dependencies): Remove
	entry for gcc/config/avr/t-multilib.

2020-01-14  Anatoly Sokolov <aesok@dol.ru>

	* MAINTAINERS: Update my email address.

2020-01-13  Joseph Myers  <joseph@codesourcery.com>

	* README.MOVED_TO_GIT: Remove.

2020-01-11  Joseph Myers  <joseph@codesourcery.com>

	* README.MOVED_TO_GIT: New file.

2020-01-02  Dennis Zhang  <dennis.zhang@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-12-20  Jerome Lambourg  <lambourg@adacore.com>

	* MAINTAINERS (write_after_approval): Add myself.

2019-12-19  Stam Markianos-Wright  <stam.markianos-wright@arm.com>

	* MAINTAINERS (write_after_approval): Add myself.

2019-12-17  Mihail Ionescu  <mihail.ionescu@arm.com>

	* MAINTAINERS (write_after_approval): Add myself.

2019-12-11  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Factor out common cases for compare_exclusions.
	* configure: Regenerate.

2019-12-11  Jozef Lawrynowicz  <jozef.l@mittosystems.com>

	* config-ml.in (msp430-*-*): Support --disable-no-exceptions configure
	flag.

2019-12-10  Lewis Hyatt  <lhyatt@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-11-27  Tobias Burnus  <tobias@codesourcery.com>

	PR middle-end/92463
	* configure.ac: Use MPFR_RNDN instead of GMP's MP_RNDN.
	* configure: Regenerate

2019-11-20  Janne Blomqvist  <jb@gcc.gnu.org>

	* configure.ac: Use https for gcc.gnu.org.
	* configure: Regenerated.

2019-11-19  James Greenhalgh  <james.greenhalgh@arm.com>

	* MAINTAINERS (aarch64 port): Remove my name, move to...
	(Write After Approval): ...Here.

2019-11-15  Kelvin Nilsen  <kelvin@gcc.gnu.org>

	* MAINTAINERS: Change my email address as maintainer.

2019-11-11  Janne Blomqvist  <jb@gcc.gnu.org>

	PR fortran/91828
	* configure.ac: Bump minimum MPFR to 3.1.0, recommended to 3.1.6+.
	* configure: Regenerated.

2019-10-21  Jason Merrill  <jason@redhat.com>

	* .gitattributes: Also check ChangeLog whitespace.

2019-10-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* contrib/dg-extract-results.sh: Add support for KPASS.
	* contrib/dg-extract-results.py: Likewise.

2019-10-17  Jason Merrill  <jason@redhat.com>

	* .gitattributes: Avoid {} in filename pattern.

2019-10-08  Thomas Schwinge  <thomas@codesourcery.com>

	* MAINTAINERS: Add back Trevor Smigiel; move into Write After
	Approval section.

2019-10-01  Frederik Harwath <frederik@codesourcery.com>

	* MAINTAINERS: Add myself to Write After Approval

2019-09-26  Richard Sandiford  <richard.sandiford@arm.com>

	* MAINTAINERS: Add myself as an aarch64 maintainer.

2019-09-26  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* MAINTAINERS: Add myself as aarch64 maintainer.

2019-09-23  Carl Love  <cel@us.ibm.com>

	* config/rs6000/vsx.md (xxswapd_v4si, xxswapd_v8hi, xxswapd_v16qi):
	New define_insn.
	(vsx_xxpermdi4_le_<mode> for VSX_W, vsx_xxpermdi8_le_V8HI,
	vsx_xxpermdi16_le_V16QI): Removed define_insn.

2019-09-13  Sam Tebbs  <sam.tebbs@arm.com>

	* MAINTAINERS (Sam Tebbs): Update email address.

2019-09-10  Tobias Burnus  <tobias@codesourcery.com>

	* MAINTAINERS: Update my email address.

2019-09-10  Christophe Lyon  <christophe.lyon@st.com>

	* libtool.m4: Handle uclinuxfdpiceabi.

2019-09-09  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* MAINTAINERS: Add myself as the maintainer of the eBPF port.
	Remove myself from Write After Approval section.

2019-09-09  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* configure.ac: Support for bpf-*-* targets.
	* configure: Regenerate.

2019-09-09  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* config.sub: Import upstream version 2019-06-30.
	* config.guess: Import upstream version 2019-07-24.

2019-09-03  Ulrich Weigand  <uweigand@de.ibm.com>

	* MAINTAINERS: Remove spu port maintainers.

2019-08-28  Martin Liska  <mliska@suse.cz>

	* .gitignore: Add .clangd and compile_commands.json
	to .gitignore.

2019-08-23  Michael Forney  <mforney@mforney.org>

	* Makefile.tpl (HOST_EXPORTS): Add CXX_FOR_BUILD.
	* Makefile.in: Regenerate.

2019-08-19  Tom Tromey  <tom@tromey.com>

	* configure: Rebuild.
	* configure.ac: Add --with-static-standard-libraries.

2019-08-16  Alexandre Oliva <oliva@gnu.org>

	* MAINTAINERS: aoliva from @redhat.com to @gcc.gnu.org.

2019-08-13  Mark Eggleston  <mark.eggleston@codethink.co.uk>

	* MAINTAINERS (Write After Approval): Add myself.

2019-07-08  Kito Cheng  <kito.cheng@sifive.com>

	* MAINTAINERS (Write After Approval): Remove myself, already listed in
	RISC-V port maitainer.

2019-07-08  Kito Cheng  <kito.cheng@sifive.com>

	* MAINTAINERS (Write After Approval): Fix the list sorted by surname.

2019-07-08  Kito Cheng  <kito.cheng@sifive.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-07-03  Andrea Corallo  <andrea.corallo@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-06-25  Martin Liska  <mliska@suse.cz>

	contrib/filter-clang-warnings.py: Transform from
	filter-rtags-warnings.py.

2019-06-15  Tom Tromey  <tom@tromey.com>

	* configure.ac (host_libs): Add gnulib.
	* configure: Rebuild.
	* Makefile.def (host_modules, dependencies): Add gnulib.
	* Makefile.in: Rebuild.

2019-06-12  Dimitar Dimitrov  <dimitar@dinux.eu>

	* MAINTAINERS (Write After Approval): Add myself.

2019-06-12  Dimitar Dimitrov  <dimitar@dinux.eu>

	* configure: Regenerate.
	* configure.ac: Add PRU target.

2019-06-11  Matthew Beliveau  <mbelivea@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-06-11  Nick Clifton  <nickc@redhat.com>

	Import these changes from the binutils/gdb repository:

	2019-05-28  Nick Alcock  <nick.alcock@oracle.com>

	* Makefile.def (dependencies): configure-libctf depends on all-bfd
	and all its deps.
	* Makefile.in: Regenerated.

	2019-05-28  Nick Alcock  <nick.alcock@oracle.com>

	* Makefile.def (host_modules): Add libctf.
	* Makefile.def (dependencies): Likewise.
	libctf depends on zlib, libiberty, and bfd.
	* Makefile.in: Regenerated.
	* configure.ac (host_libs): Add libctf.
	* configure: Regenerated.

2019-05-20  Vladislav Ivanishin  <vlad@ispras.ru>

	* MAINTAINERS (Write After Approval): Add myself.

2019-05-19  Peter Bergner  <bergner@linux.ibm.com>

	* MAINTAINERS: Update my email address.

2019-05-17  Thomas Rodgers  <trodgers@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-05-16  Jun Ma  <junma@linux.alibaba.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-05-07  Jim Wilson  <jimw@sifive.com>

	* MAINTAINERS: Remove myself as IA-64 maintainer.

2019-05-04  Roland Illig  <roland.illig@gmx.de>

	* MAINTAINERS (Write After Approval): Add myself.

2019-05-02  Richard Biener  <rguenther@suse.de>

	PR bootstrap/85574
	* Makefile.tpl (compare target): Also compare extra-compare
	files.
	* Makefile.in: Regenerate.

2019-04-22  Roman Zhuykov  <zhroma@ispras.ru>

	* MAINTAINERS (Various Maintainers): Remove Ayal Zaks and add myself
	as modulo-scheduler maintainer.

2019-04-21  Iain Sandoe  <iain@sandoe.co.uk>

	* MAINTAINERS: Add myself as co-maintainer for Darwin.

2019-04-18  Iain Sandoe  <iain@sandoe.co.uk>

	* MAINTAINERS: Update my email address.

2019-04-14  Johannes Pfau  <johannespfau@gmail.com>

	* configure.ac: Remove d from unsupported languages on mingw and cygwin.
	* configure: Regenerate.

2019-04-14  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (enable_libphobos): Check LIBPHOBOS_SUPPORTED.
	* configure: Regenerate.

2019-04-12  Iain Buclaw  <ibuclaw@gdcproject.org>

	* configure.ac: Add target-zlib to target_libraries.
	* configure: Regenerate.

2019-04-09  Martin Liska  <mliska@suse.cz>

	* Makefile.in: Regenerate.
	* Makefile.tpl: Pass GENERATOR_CFLAGS
	in all stages.

2019-03-28  Martin Liska  <mliska@suse.cz>

	PR bootstrap/89829
	* Makefile.in: Revert r254150.
	* Makefile.tpl: Likewise.

2019-03-28  Ben Elliston  <bje@gnu.org>

	* MAINTAINERS (Various Maintainers): Remove myself from dfp.c and
	related, and libdecnumber.

2019-03-15  Alexander Monakov  <amonakov@ispras.ru>

	* MAINTAINERS (Reviewers): Add myself as selective scheduling reviewer.
	(Write After Approval): Remove myself.

2019-02-27  Alejandro Martinez  <alejandro.martinezvicente@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-02-11  Andrew Stubbs  <ams@codesourcery.com>

	* MAINTAINERS (amdgcn port): Add myself and Julian Brown.
	(Write After Approval): Remove myself and Julian.

2019-01-26  Harald Anlauf  <anlauf@gmx.de>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-25  Kwok Cheung Yeung  <kcy@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-24  Xiong Hu Luo  <luoxhu@linux.vnet.ibm.com>

	* ChangeLog: Replace space with tab.
	* MAINTAINERS: Delete 1 tab to keep alignment.

2019-01-21  Jiufu Guo  <guojiufu@linux.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-18  Li Jia He  <helijia@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-17  Andrew Stubbs  <ams@codesourcery.com>
	    Kwok Cheung Yeung  <kcy@codesourcery.com>
	    Julian Brown  <julian@codesourcery.com>
	    Tom de Vries  <tom@codesourcery.com>
	    Jan Hubicka  <hubicka@ucw.cz>
	    Martin Jambor  <mjambor@suse.cz>

	* configure.ac: Likewise.
	* configure: Regenerate.
	* contrib/config-list.mk: Add amdgcn-amdhsa.

2019-01-16  Kewen Lin  <linkw@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-16  Xiong Hu Luo  <luoxhu@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2019-01-03  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR target/88535
	* config.guess: Import upstream version 2019-01-03.
	* config.sub: Import upstream version 2019-01-01.

2018-12-21  Thomas Preud'homme  <thomas.preudhomme@linaro.org>

	* MAINTAINERS (Write After Approval): Update my maintainer address.

2018-12-21  Gergö Barany  <gergo@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2018-12-10  Segher Boessenkool  <segher@kernel.crashing.org>

	* contrib/config-list.mk: Remove powerpc-eabispe and powerpc-linux_spe.

2018-12-05  Iain Sandoe  <iain@sandoe.co.uk>

	* configure.ac (NCN_STRICT_CHECK_TOOLS): Check otool.
	(ACX_CHECK_INSTALLED_TARGET_TOOL): Likewise
	(GCC_TARGET_TOOL): Likewise.
	* Makefile.tpl (HOST_EXPORTS): Add OTOOL, OTOOL_FOR_TARGET.
	(BASE_TARGET_EXPORTS): OTOOL, export OTOOL_FOR_TARGET.
	OTOOL, OTOOL_FOR_TARGET: New substitutions.
	(EXTRA_HOST_FLAGS, EXTRA_TARGET_FLAGS): Add OTOOL.
	* configure: Regenerate.
	* Makefile.in: Likewise.

2018-11-28  Johannes Pfau  <johannespfau@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2018-11-13  Martin Liska  <mliska@suse.cz>

	* gcc.target/i386/pr87930.c: Move to ...
	* gcc.dg/asan/pr87930.c: ... here.  Guard for i?86/x86_64 targets.

2018-11-10  Stafford Horne  <shorne@gmail.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for or1k.
	(Write After Approval): Remove myself.

2018-11-06  Hafiz Abid Qadeer  <abidh@codesourcery.com>

	* config/iconv.m4 (AM_ICONV_LINK): Don't overwrite CPPFLAGS.
	Append $INCICONV to it.

2018-11-04  Stafford Horne  <shorne@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2018-10-31  Joseph Myers  <joseph@codesourcery.com>

	PR bootstrap/82856
	* multilib.am: New file.  From automake.

	Merge from binutils-gdb:
	2018-06-19  Simon Marchi  <simon.marchi@ericsson.com>

	* libtool.m4: Use AC_LANG_SOURCE.
	* configure.ac: Remove AC_PREREQ, use AC_LANG_SOURCE.
	* ar-lib: New file.
	* test-driver: New file.
	* configure: Re-generate.

2018-10-31  Michael Ploujnikov  <michael.ploujnikov@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2018-10-31  Iain Buclaw  <ibuclaw@gdcproject.org>

	PR bootstrap/87788
	PR d/87799
	* configure: Rebuild.
	* configure.ac: Disable D on systems where it is known not to work.

2018-10-28  Iain Buclaw  <ibuclaw@gdcproject.org>

	* Makefile.def (target_modules): Add libphobos.
	(flags_to_pass): Add GDC, GDCFLAGS, GDC_FOR_TARGET and
	GDCFLAGS_FOR_TARGET.
	(dependencies): Make libphobos depend on libatomic, libbacktrace
	configure, and zlib configure.
	(language): Add language d.
	* Makefile.in: Rebuild.
	* Makefile.tpl (BUILD_EXPORTS): Add GDC and GDCFLAGS.
	(HOST_EXPORTS): Add GDC.
	(POSTSTAGE1_HOST_EXPORTS): Add GDC and GDC_FOR_BUILD.
	(BASE_TARGET_EXPORTS): Add GDC.
	(GDC_FOR_BUILD, GDC, GDCFLAGS): New variables.
	(GDC_FOR_TARGET, GDC_FLAGS_FOR_TARGET): New variables.
	(EXTRA_HOST_FLAGS): Add GDC.
	(STAGE1_FLAGS_TO_PASS): Add GDC.
	(EXTRA_TARGET_FLAGS): Add GDC and GDCFLAGS.
	* config-ml.in: Treat GDC and GDCFLAGS like other compiler/flag
	environment variables.
	* configure: Rebuild.
	* configure.ac: Add target-libphobos to target_libraries.  Set and
	substitute GDC_FOR_BUILD and GDC_FOR_TARGET.

2018-10-24  Ilya Leoshkevich  <iii@linux.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2018-10-23  Iain Buclaw  <ibuclaw@gdcproject.org>

	* MAINTAINERS (Write After Approval): Remove myself.

2018-10-23  Iain Buclaw  <ibuclaw@gdcproject.org>

	* MAINTAINERS: Add myself as D front-end and libphobos maintainer.

2018-10-14  Bin Cheng <bin.cheng@linux.alibaba.com>

	* MAINTAINERS: Update my email address.

2018-10-04  Thomas Schwinge  <thomas@codesourcery.com>

	* MAINTAINERS: List myself as "libgomp (OpenACC)" and "OpenACC"
	maintainer.

2018-09-13  Matthew Malcomson  <matthew.malcomson@arm.com>

	* MAINTAINERS (Write After Approval): Add self.

2018-09-13  Sam Tebbs  <sam.tebbs@arm.com>

	* MAINTAINERS (write after approval): Add myself.

2018-09-04  Xuepeng Guo  <xuepeng.guo@intel.com>

	* MAINTAINERS: Update my email address.

2018-08-29  Vlad Lazar  <vlad.lazar@arm.com>

	* MAINTAINERS (write after approval): Add myself.

2018-08-21  Richard Sandiford  <richard.sandiford@arm.com>

	* MAINTAINERS: Add self to global reviewers list.

2018-08-17  Sandra Loosemore  <sandra@codesourcery.com>

	MAINTAINERS: Add c-sky port maintainers.

2018-08-10  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Revert change in previous commit and
	join lines.

2018-08-10  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Remove extra line.

2018-08-06  Naveen H.S  <naveenh@marvell.com>

	* MAINTAINERS: Update my email address.

2018-07-19  DJ Delorie  <dj@redhat.com>

	* MAINTAINERS (m32c, msp43, rl78, libiberty, build): Remove myself
	as maintainer.

2018-07-16  Andreas Krebbel  <krebbel@linux.ibm.com>

	* MAINTAINERS: Adjust email address for me and my colleague Robin
	Dapp.

2018-07-13  H.J. Lu  <hongjiu.lu@intel.com>
	    Sunil K Pandey  <sunil.k.pandey@intel.com>

	PR target/84413
	* config/i386/i386.c (m_CORE_AVX512): New.
	(m_CORE_AVX2): Likewise.
	(m_CORE_ALL): Add m_CORE_AVX2.
	* config/i386/x86-tune.def: Replace m_HASWELL with m_CORE_AVX2.
	Replace m_SKYLAKE_AVX512 with m_CORE_AVX512 on avx256_optimal
	and remove the rest of m_SKYLAKE_AVX512.

2018-07-06  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* config.sub: Sync with upstream version 2018-07-03.

2018-07-06  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* config.guess: Sync with upstream version 2018-06-26.
	* config.sub: Sync with upstream version 2018-07-02.

2018-06-19  Bernhard M. Wiedemann  <bwiedemann@suse.de>

	* libtool.m4: Sort output of 'find' to enable deterministic builds.
	* ltmain.sh: Likewise.

2018-07-03  Segher Boessenkool  <segher@kernel.crashing.org>

	* contrib/config-list.mk: Remove powerpc-linux_paired.

2018-06-29  Alexandre Oliva <oliva@adacore.com>

	* configure.ac: Introduce support for @unless/@endunless.
	* Makefile.tpl (dep-kind): Rewrite with cond; return
	postbootstrap in some cases.
	(make-postboot-dep, postboot-targets): New.
	(dependencies): Do not output postbootstrap dependencies at
	first.  Output non-target ones changed for configure to depend
	on stage_last @if gcc-bootstrap, and the original deps @unless
	gcc-bootstrap.
	* configure.in, Makefile.in: Rebuilt.

2018-06-28  Jackson Woodruff  <jackson.woodruff@arm.com>

	* MAINTAINERS (write after approval): Add myself.

2018-06-26  Rasmus Villemoes  <rv@rasmusvillemoes.dk>

	* MAINTAINERS (write after approval): Add myself.

2018-06-19  Nick Clifton  <nickc@redhat.com>

	* zlib/configure.ac: Restore old behaviour of only enabling
	multilibs when a target subdirectory is defined.  This allows
	building with srcdir == builddir.
	* zlib/configure: Regenerate.

2018-06-18  Eric Botcazou  <ebotcazou@adacore.com>

	* Makefile.def (fortran): Add check-target-libgomp-fortran.
	* Makefile.tpl (check-target-libgomp-fortran): New phony target.
	* Makefile.in: Regenerate.

2018-06-16  Ben Elliston  <bje@gnu.org>

	* config.guess: Import latest version.
	* config.sub: Likewise.

2018-06-08  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Remove MPX-related entries.
	* Makefile.def: Remove libmpx support.
	* Makefile.in: Regenerate.
	* configure.ac: Remove removed files.
	* configure: Regenerate.
	* libmpx/ChangeLog: Remove.
	* libmpx/Makefile.am: Remove.
	* libmpx/Makefile.in: Remove.
	* libmpx/acinclude.m4: Remove.
	* libmpx/aclocal.m4: Remove.
	* libmpx/config.h.in: Remove.
	* libmpx/configure: Remove.
	* libmpx/configure.ac: Remove.
	* libmpx/configure.tgt: Remove.
	* libmpx/libmpx.spec.in: Remove.
	* libmpx/mpxrt/Makefile.am: Remove.
	* libmpx/mpxrt/Makefile.in: Remove.
	* libmpx/mpxrt/libmpx.map: Remove.
	* libmpx/mpxrt/libtool-version: Remove.
	* libmpx/mpxrt/mpxrt-utils.c: Remove.
	* libmpx/mpxrt/mpxrt-utils.h: Remove.
	* libmpx/mpxrt/mpxrt.c: Remove.
	* libmpx/mpxrt/mpxrt.h: Remove.
	* libmpx/mpxwrap/Makefile.am: Remove.
	* libmpx/mpxwrap/Makefile.in: Remove.
	* libmpx/mpxwrap/libmpxwrappers.map: Remove.
	* libmpx/mpxwrap/libtool-version: Remove.
	* libmpx/mpxwrap/mpx_wrappers.c: Remove.

2018-06-04  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS: Add myself as gcov maintainer.

2018-06-04  Matthew Fortune  <mfortune@gmail.com>

	* MAINTAINERS: Update my email address.

2018-06-04  Tom de Vries  <tdevries@suse.de>

	* MAINTAINERS: Remove write-after-approval entries for component
	maintainers.

2018-06-01  Jozef Lawrynowicz  <jozef.l@mittosystems.com>

	* MAINTAINERS (write after approval): Add myself.

2018-06-01  Bin Cheng <amker@gcc.gnu.org>

	* MAINTAINERS: Update my email address.

2018-06-01  Tom de Vries  <tdevries@suse.de>

	* MAINTAINERS: Update my email address.

2018-05-22  Bin Cheng <bin.cheng@arm.com>

	* MAINTAINERS (loop-optimizer): Add myself.

2018-05-01  Francois H. Theron  <francois.theron@netronome.com>

	* configure.ac: Added "nfp" target.
	* configure: Regenerate.

2018-04-30  Richard Biener  <rguenther@suse.de>

	PR bootstrap/85571
	* Makefile.tpl (STAGE3_CFLAGS): Use -fchecking=1.
	(STAGE3_TFLAGS): Likewise.
	(STAGEtrain_CFLAGS): Filter out -fchecking=1.
	(STAGEtrain_TFLAGS): Likewise.
	* Makefile.in: Regenerate.

2018-04-26  Richard Biener  <rguenther@suse.de>

	* Makefile.tpl (STAGE1_TFLAGS): Add -fno-checking.
	(STAGE2_CFLAGS): Likewise.
	(STAGE2_TFLAGS): Likewise.
	(STAGE3_CFLAGS): Add -fchecking.
	(STAGE3_TFLAGS): Likewise.
	(STAGEtrain_CFLAGS): Filter out -fchecking.
	(STAGEtrain_TFLAGS): Likewise.
	* Makefile.in: Re-generate.

2018-04-25  Catherine Moore <clm@codesourcery.com>

	* MAINTAINERS (mips): Remove myself as MIPS maintainer.

2018-04-18  Paul Clarke  <pc@us.ibm.com>

	* MAINTAINERS (write after approval): Add myself.

2018-04-10  Aaron Sawdey  <acsawdey@linux.ibm.com>

	* MAINTAINERS: Update my email address.

2018-04-02  Bill Schmidt  <wschmidt@linux.ibm.com>

	* MAINTAINERS: Remove redundant Write-After-Approval entry.

2018-03-30  Bill Schmidt  <wschmidt@linux.ibm.com>

	* MAINTAINERS: Update my email address and disambiguate myself
	a bit from Will Schmidt.

2018-03-21  Nathan Sidwell  <nathan@acm.org>

	* MAINTAINERS: Move maintainers of now-removed picochip and score
	ports to write after approval.

2018-03-13  Richard Sandiford  <richard.sandiford@arm.com>

	* MAINTAINERS: Add entry for SVE maintainership.

2018-02-13  Maciej W. Rozycki  <macro@mips.com>

	* configure.ac <wasm32-*-*> (noconfigdirs): Add `ld'.
	* configure: Regenerate.

2018-01-18  Boris Kolpackov  <boris@codesynthesis.com>

	* MAINTAINERS (write after approval): Add myself.

2018-01-18  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	* MAINTAINERS (write after approval): Add myself.

2018-01-16  Sebastian Perta  <sebastian.perta@renesas.com>

	* MAINTAINERS (write after approval): Add myself.

2018-01-03  Jakub Jelinek  <jakub@redhat.com>

	Update copyright years.

2018-01-03  Ben Elliston  <bje@gnu.org>

	* config.guess: Import latest version.
	* config.sub: Likewise.

2017-12-12  Stafford Horne  <shorne@gmail.com>

	* configure.ac: Remove logic adding gdb to noconfigsdirs for or1k.
	* configure: Regenerate.

2017-11-29  Qing Zhao  <qing.zhao@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2017-11-28  Julia Koval  <julia.koval@intel.com>
	    Sebastian Peryt  <sebastian.peryt@intel.com>

	* Makefile.def (target_modules): Remove libcilkrts.
	* Makefile.in: Ditto.
	* configure: Ditto.
	* configure.ac: Ditto.

2017-11-28  Julia Koval  <julia.koval@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2017-11-22  Sudakshina Das  <sudi.das@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2017-11-06  Palmer Dabbelt  <palmer@sifive.com>

	* MAINTAINERS (RISC-V): Add Jim Wilson as a maintainer.
	Use my SiFive email address.

2017-11-15  Sebastian Peryt  <sebastian.peryt@intel.com>

	* MAINTAINERS (write after approval): Add myself.

2017-10-27  Martin Liska  <mliska@suse.cz>

	* Makefile.tpl: Use proper name of folder as it was renamed
	during transition to 4 stages.
	* Makefile.in: Regenerate.

2017-10-16  Igor Tsimbalist  <igor.v.tsimbalist@intel.com>

	* MAINTAINERS (write after approval): Add myself.

2017-10-01  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Add a note that maintainership also includes web
	pages, docs, and testsuite related to that area.

2017-09-25  Tom de Vries  <tom@codesourcery.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself as nvptx maintainer.

2017-09-18  Pierre-Marie de Rodat  <derodat@adacore.com>

	* MAINTAINERS: Add myself as a maintainer for the Ada front end.

2017-09-15  Nathan Sidwell  <nathan@acm.org>

	* MAINTAINERS: Remove myself as a vxworks maintainer.

2017-09-13  Thomas Schwinge  <thomas@codesourcery.com>

	* MAINTAINERS: Remove email address of Jim Norris.

2017-09-11  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* MAINTAINERS (Reviewers): Move myself from here...
	(CPU Port Maintainers): ... to here.

2017-09-09  James Greenhalgh  <james.greenhalgh@arm.com>

	* MAINTAINERS (James Greenhalgh): Move to AArch64 maintainers.

2017-07-31  Robin Dapp  <rdapp@linux.vnet.ibm.com>

	* MAINTAINERS (write after approval): Add myself.

2017-07-28  Tony Reix  <tony.reix@atos.net>

	* configure.ac (target-libffi): Don't disable for AIX.
	(go): Don't add to unsupported_languages on AIX.
	(target-libgo): Don't disable for AIX.
	* configure: Regenerate.

2017-07-19  Yury Gribov  <tetra2005@gmail.com>

	* MAINTAINERS: Add myself.

2017-07-18  Trevor Saunders  <tbsaunde+gcc@tbsaunde.org>

	* MAINTAINERS: Update my email address.

2017-07-04  Richard Earnshaw  <rearnsha@arm.com>

	* contrib/gcc_update (files_and_dependencies): Remove stamp rules for
	arm-specific auto-generated header files.

2017-07-03  Nathan Sidwell  <nathan@acm.org>

	* configure.ac: Set srcdir when sourcing config-lang.in fragments.
	* configure: Rebuilt.

2017-07-03  Bernd Schmidt  <bschmidt@redhat.com>

	* MAINTAINERS: Readd myself for c6x.

2017-06-28  Martin Liska  <mliska@suse.cz>

	PR bootstrap/81217
	* Makefile.def: Remove superfluous bootstrap_target from
	bootstrap_stage.
	* Makefile.in: Re-generate the file.

2017-06-26  Maxim Ostapenko  <m.ostapenko@samsung.com>

	* MAINTAINERS: Add myself to Write After Approval

2017-06-21  Andrew Jenner  <andrew@codesourcery.com>

	* MAINTAINERS: Add myself as maintainer for PowerPC SPE port.

2017-06-19  Martin Liska  <mliska@suse.cz>

	* Makefile.def: Define 4 stages PGO bootstrap.
	* Makefile.tpl: Define FLAGS.
	* Makefile.in: Regenerate.

2017-06-14  Ian Lance Taylor  <iant@golang.org>

	* Makefile.def: Add check-gotools to go check targets.
	* Makefile.in: Rebuild.

2017-06-12  Segher Boessenkool  <segher@kernel.crashing.org>

	* config.gcc: Remove rs6000/e500.h from tm_file for all targets.

2017-06-03  Eric Botcazou  <ebotcazou@adacore.com>

	* configure.ac (*-*-linux-android*): Set target_makefile_frag.
	* configure: Regenerate.

2017-05-31  Martin Liska  <mliska@suse.cz>

	* configure.ac: Add handling of stage2_werror_flags to
	action-if-given and to action-if-not-given.
	* configure: Regenerate.

2017-05-31  Prakhar Bahuguna  <prakhar.bahuguna@arm.com>

	* MAINTAINERS: Add self to Write After Approval

2017-05-27  Bernd Schmidt  <bschmidt@redhat.com>

	* MAINTAINERS: Update my email address, and remove myself as
	maintainer in some areas.

2017-05-25  Eric Gallager  <egall@gwmail.gwu.edu>

	* MAINTAINERS: Add self to Write After Approval

2017-05-25  Nathan Sidwell  <nathan@acm.org>

	* configure.ac: Add --enable-languages=default to mean default and
	make --enable-languages=all mean all supported languages.
	* configure: Regenerated.

2017-05-24  Segher Boessenkool  <segher@kernel.crashing.org>

	* config.gcc (powerpc*-*-*spe*): New.
	(powerpc-*-eabispe*): Use ${cpu_type} instead of hardcoded pathnames.
	(powerpc-*-rtems*spe*): New.
	(powerpc*-*-linux*spe*): New.
	(powerpc-wrs-vxworksspe): New.
	(powerpc*-*-*, rs6000-*-*): Use ${cpu_type}.
	(misc flags) [powerpc*-*-*, rs6000-*-*): Use ${cpu_type}.
	* config.host (powerpc*-*-*spe*): New.

2017-05-19  Martin Liska  <mliska@suse.cz>

	* configure.ac: Add --enable-werror-always just for
	bootstrap-debug (or none build config) and do not add it
	when we are on a release branch.
	* configure: Regenerated.

2017-05-18  Sheldon Lobo  <sheldon.lobo@oracle.com>

	* MAINTAINERS: Add self to Write After Approval

2017-05-09  Kaz Kojima  <kkojima@gcc.gnu.org>

	* MAINTAINERS: Move myself to Write After Approval section.

2017-05-09  Claudiu Zissulescu  <claziss@synopsys.com>

	* config/arc/arc.c (arc_conditional_register_usage): Handle ACCL,
	ACCH registers.
	* config/arc/arc.md (mulsidi3): Use advanced mpy instructions when
	available.
	(umulsidi3): Likewise.
	(mulsidi3_700): Disable this pattern when we have advanced mpy
	instructions.
	(umulsidi3_700): Likewise.
	(maddsidi4): New pattern.
	(macd, mac, mac_r, umaddsidi4, macdu, macu, macu_r): Likewise.
	(mpyd_arcv2hs, mpyd_imm_arcv2hs, mpydu_arcv2hs): Likewise.
	(mpydu_imm_arcv2hs): Likewise.
	* config/arc/predicates.md (accl_operand): New predicate.

2017-05-09  Claudiu Zissulescu  <claziss@synopsys.com>
	    Andrew Burgess <andrew.burgess@embecosm.com>

	* config/arc/arc.c (ARC_AUTOBLINK_IRQ_P): Consider fast interrupts
	case.
	(ARC_AUTOFP_IRQ_P): Likewise.
	(ARC_AUTO_IRQ_P): Likewise.
	(rgf_banked_register_count): New variable.
	(parse_mrgf_banked_regs_option): New function.
	(arc_override_options): Handle rgf_banked_regs option.
	(arc_handle_interrupt_attribute): Add firq option.
	(arc_compute_function_type): Return fast irq type when required.
	(arc_must_save_register): Handle fast interrupts.
	(arc_expand_prologue): Do not emit dwarf info for fast interrupts.
	(arc_return_address_regs): Update.
	* config/arc/arc.h (arc_return_address_regs): Update.
	(arc_function_type): Add fast interrupt type.
	(ARC_INTERRUPT_P): Update.
	(RC_FAST_INTERRUPT_P): Define.
	* config/arc/arc.md (simple_return): Update for fast interrupts.
	(p_return_i): Likewise.
	* config/arc/arc.opt (mrgf-banked-regs): New option.
	* doc/invoke.texi (mrgf-banked-regs): Document.

2017-05-09  Claudiu Zissulescu  <claziss@synopsys.com>

	* config/arc/arc.c (irq_ctrl_saved): New variable.
	(ARC_AUTOBLINK_IRQ_P): Define.
	(ARC_AUTOFP_IRQ_P): Likewise.
	(ARC_AUTO_IRQ_P): Likewise.
	(irq_range): New function.
	(arc_must_save_register): Likewise.
	(arc_must_save_return_addr): Likewise.
	(arc_dwarf_emit_irq_save_regs): Likewise.
	(arc_override_options): Handle deferred options.
	(MUST_SAVE_REGISTER): Deleted, replaced by arc_must_save_register.
	(MUST_SAVE_RETURN_ADDR): Deleted, replaced by
	arc_must_save_return_addr.
	(arc_compute_frame_size): Handle automated save and restore of
	registers.
	(arc_expand_prologue): Likewise.
	(arc_expand_epilogue): Likewise.
	* config/arc/arc.md (stack_irq_dwarf): New unspec instruction.
	* config/arc/arc.opt (mirq-ctrl-saved): New option.
	* doc/invoke.texi (mirq-ctrl-saved): Document option.

2017-04-19  Thomas Koenig  <tkoenig@gcc.gnu.org>
	Tobias Burnus  <tobias.burnus@physik.fu-berlin.de>

	PR bootstrap/77661
	* Makefile.def: Don't pass --enable-maintainer-mode on to an
	in-tree build MPC.
	* Makefile.in: Regenerate.

2017-03-22  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	* configure.ac: Enable LTO by default on darwin >= 9.
	* configure: Regenerate.

2017-03-20  Palmer Dabbelt  <palmer@dabbelt.com>

	* MAINTAINERS (CPU Port Maintainers): Add Kito Cheng, Palmer Dabbelt,
	and Andrew Waterman as the RISC-V maintainers.

2017-03-18  Nicolas Koenig  <koenigni@gcc.gnu.org>

	* MAINTAINERS: Add self to Write After Approval

2017-03-18  Gerald Pfeifer  <gerald@pfeifer.com>

	* config.guess: Import latest from upstream.

2017-03-18  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS (Write After Approval): Remove entries that are
	already covered under Reviewers.

2017-03-08  Mark Wielaard  <mark@klomp.org>

	PR demangler/70909
	PR demangler/67264
	* include/demangle.h: Add d_printing to struct demangle_component
	and pass struct demangle_component as non const.

2017-02-26  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Remove Neil Booth as option handling maintainer.

2017-02-15  Thomas Schwinge  <thomas@codesourcery.com>

	* Makefile.tpl: Remove HOST_ISLVER.
	(HOST_EXPORTS): Remove ISLVER.
	* Makefile.in: Regenerate.

2017-02-13  Richard Biener  <rguenther@suse.de>

	* configure: Re-generate.

2017-02-07  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Adjust bug reporting URL.

2017-02-05  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS (Write After Approval): Remove redundant entry
	for Andrew Burgess.

2017-02-03  John David Anglin  <danglin@gcc.gnu.org>

	* configure.ac: Add gcc/function-tests.o to compare_exclusions for
	32-bit hppa*-*-hpux*.
	* configure: Regenerate.

2017-01-27  Pekka Jääskeläinen  <pekka.jaaskelainen@parmance.com>

	* configure.ac: Moved the white list of enabling BRIG FE to
	libhsail-rt/configure.tgt.
	* configure: Regenerated.
	* MAINTAINERS: Updated maintainers for BRIG FE and libhsail-rt.

2017-01-24  Pekka Jääskeläinen  <pekka@parmance.com>
	    Martin Jambor  <mjambor@suse.cz>

	* Makefile.def (target_modules): Added libhsail-rt.
	(languages): Added language brig.
	* Makefile.in: Regenerated.
	* configure.ac (TOPLEVEL_CONFIGURE_ARGUMENTS): Added
	tgarget-libhsail-rt.  Make brig unsupported on untested architectures.
	* configure: Regenerated.

2017-01-17  Jakub Jelinek  <jakub@redhat.com>

	PR other/79046
	* configure: Regenerated.

2017-01-04  Alan Modra  <amodra@gmail.com>

	* configure: Regenerate.

2016-12-29  Ben Elliston  <bje@gnu.org>

	* config.sub: Import latest version.

2016-12-26  Alexander Ivchenko  <alexander.ivchenko@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-12-21  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: Don't bootstrap libmpx unless --with-build-config
	includes bootstrap-mpx.
	* configure: Regenerated.

2016-12-19  Chenghua Xu  <paul.hua.gm@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-12-01  Ma Jiang  <ma.jiang@zte.com.cn>

	* configure: Regenerate.

2016-12-01  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Don't use pkg-config to check for bdw-gc.
	* configure: Regenerate.

2016-11-30  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def: Remove reference to boehm-gc target module.
  	* configure.ac: Include pkg.m4, check for --with-target-bdw-gc
	options and for the bdw-gc pkg-config module.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

2016-11-28  Nathan Sidwell  <nathan@acm.org>

	* MAINTAINERS (nvptx): Remove self.

2016-11-25  Ben Elliston  <bje@gnu.org>

	* config.guess: Import latest version.
	* config.sub: Likewise.

2016-11-18  Toma Tabacu  <toma.tabacu@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-11-15  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def: Remove references to GCJ.
	* Makefile.tpl: Likewise.
	* Makefile.in: Regenerate.

2016-11-15  Matthias Klose  <doko@ubuntu.com>

	* config-ml.in: Remove references to GCJ.
	* configure.ac: Likewise.
	* configure: Regenerate.

2016-11-01  Josh Conner  <joshconner@google.com>

	* MAINTAINERS (Write After Approval): Update email address,

2016-10-27  Carl Love  <cel@us.ibm.com>

	* MAINTAINERS (Write After Approval): Fix my entry in the Write After
	Approval list to make it alphabetical.

2016-10-27  Carl Love  <cel@us.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-10-27  Andrew Burgess  <andrew.burgess@embecosm.com>

	* MAINTAINERS (Reviewers): Add myself.
	(Write After Approval): Add myself.

2016-10-21  Hartmut Penner  <hepenner@us.ibm.com>
	    Ulrich Weigand  <uweigand@de.ibm.com>

	* MAINTAINERS: Update email address.

2016-10-10  Nathan Sidwell  <nathan@acm.org>

	* MAINTAINERS: Update email address.

2016-10-10  Andreas Tobler <andreast@gcc.gnu.org>

	* configure.ac: Add aarch64-*-freebsd*.
	* configure: Regenerate.

2016-10-05  Steve Ellcey  <sellcey@caviumnetworks.com>

	* MAINTAINERS: Update email address after it got reverted.

2016-10-04  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (target_libraries): Readd target-boehm-gc.
	Restore --enable-objc-gc handling.
	* configure: Regenerate.

2015-10-03  Jeff Law  <law@redhat.com>

	* MAINTAINERS: Move several inactive maintainers to the
	write-after-approval section.

2016-09-30  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: Add target-libffi to target_libraries.
	Readd libgcj target disablings, modified to only target-libffi.
	Readd target addition of go to unsupported languages.
	* configure: Regenerated.

2016-09-30  Steve Ellcey  <sellcey@caviumnetworks.com>

	* MAINTAINERS: Update email address.

2016-09-30  Andrew Haley  <aph@redhat.com>

	* MAINTAINERS: Remove Per Bothner, Andrew Haley, and Tom Tromey from
	write-after approval.  Remove Tom Tromey and Bryce McKinlay from
	libgcj.

2016-09-30  Andrew Haley  <aph@redhat.com>

	* MAINTAINERS: Move Per Bothner, Andrew Haley, and Tom Tromey to
	write-after approval after GCJ deletion.

2016-09-30  Andrew Haley  <aph@redhat.com>

	* Makefile.def: Remove libjava.
	* Makefile.tpl: Likewise.
	* Makefile.in: Regenerate.
	* configure.ac: Likewise.
	* configure: Likewise.
	* gcc/java: Remove.
	* libjava: Likewise.

2016-09-28  Claudiu Zissulescu  <claziss@synopsys.com>

	* MAINTAINERS (Reviewers): Add myself.

2016-09-26  Anton Kolesov  <Anton.Kolesov@synopsys.com>

	* configure.ac: Disable "sim" directory for arc*-*-*.
	* configure: Regenerated.

2016-09-23  Tamar Christina <tamar.christina@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-09-12  Maciej W. Rozycki  <macro@imgtec.com>

	* configure.ac: Check for the minimum in-tree MPFR version
	handled.
	* configure: Regenerate.

2016-07-20  Yan-Ting Lin  <currygt52@gmail.com>

	* configure.ac (nds32*-*-*): Remove entry to enable gdb.
	* configure: Regenerated.

2016-07-19  Fritz Reese  <fritzoreese@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-06-23  Andi Kleen  <ak@linux.intel.com>

	* Makefile.def: Add autoprofiledbootstrap.
	* Makefile.tpl: Dito.
	* Makefile.in: Regenerate.

2016-06-23  Jakub Sejdak  <jakub.sejdak@phoesys.com>

    * configure.ac: Disable libgcj and libgloss for Phoenix-RTOS targets.
    * configure: Regenerate.

2016-06-21  Trevor Saunders  <tbsaunde+gcc@tbsaunde.org>

	* configure: Regenerate.
	* configure.ac: Remove support for avr-rtems.

2016-06-18  Senthil Kumar Selvaraj  <senthil_kumar.selvaraj@atmel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-06-16  Michael Collison  <michael.collison@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-06-14  Mikael Morin  <mikael@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Update e-mail address.

2016-06-03  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-05-28  Alan Modra  <amodra@gmail.com>

	* Makefile.tpl (configure): Depend on m4 files included.
	* Makefile.in: Regenerate.

2016-05-20  Bill Seurer  <seurer@linux.vnet.ibm.com>

	* config/rs6000/rs6000-c.c (altivec_resolve_overloaded_builtin): Fix
	code formatting in ALTIVEC_BUILTIN_VEC_ADDE section.

2016-05-20  Bill Seurer  <seurer@linux.vnet.ibm.com>

	* config/rs6000/rs6000-builtin.def (vec_addec): Change vec_addec to a
	special case builtin.
	* config/rs6000/rs6000-c.c (altivec_resolve_overloaded_builtin): Add
	support for ALTIVEC_BUILTIN_VEC_ADDEC.
	* config/rs6000/rs6000.c (altivec_init_builtins): Add definition
	for __builtin_vec_addec.

2016-05-16  Jakub Sejdak  <jakub.sejdak@phoesys.com>

	* config.guess: Import version 2016-04-02 (newest).
	* config.sub: Import version 2016-05-10 (newest).

2016-05-16  Anton Kolesov  <anton.kolesov@synopsys.com>

	* configure.ac: Add ARC support to libgloss.
	* configure: Regenerate

2016-05-09  Aaron Sawdey  <acsawdey@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-05-02  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* configure.ac (mpfr): Remove pre-3.1.0 mpfr compatibility code.
	* configure: Regenerated.
	* Makefile.def (gmp): Explicitly disable assembler.
	(mpfr): Adjust lib_path.
	(mpc): Likewise.
	* Makefile.in: Regenerated.

2016-05-01  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/70704
	* configure.ac (--enable-stage1-checking): Add missing
	--enable-checking=.
	* configure: Regenerated.

2016-04-30  Oleg Endo  <olegendo@gcc.gnu.org>

	* config.guess: Revert r235676.
	* config.sub: Revert r235676.

2016-04-30  Oleg Endo  <olegendo@gcc.gnu.org>

	* config.guess: Remove SH5 support.
	* config.sub: Likewise.
	* configure: Likewise.
	* configure.ac: Likewise.

2016-04-26  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/70704
	* configure.ac (--enable-stage1-checking): For --disable-checking or
	implicit --enable-checking, make sure extra flag matches in between
	stage1 and later checking.
	* configure: Regenerated.

2016-04-22  Trevor Saunders  <tbsaunde+gcc@tbsaunde.org>

	* .gitattributes: New file.

2016-04-22  Segher Boessenkool  <segher@kernel.crashing.org>

	* MAINTAINERS (rs6000/powerpc port): Add myself.

2016-04-13  Segher Boessenkool  <segher@kernel.crashing.org>

	PR bootstrap/70173
	* Makefile.tpl (local-distclean): Delete the libcc1, gnattools,
	and gotools directories.  Delete the stage_final file.
	* Makefile.in: Regenerate.

2016-04-12  Andre Vieira  <andre.simoesdiasvieira@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-04-09  Steven G. Kargl  <kargl@gcc.gnu.org>

	* MAINTAINERS (Fortran maintainer): Remove myself.

2016-04-04  Bill Seurer  <seurer@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-03-29  Kelvin Nilsen  <kdnilsen@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-03-17  Cary Coutant  <ccoutant@gmail.com>

	Sync with binutils-gdb:

	2016-03-17  Cary Coutant  <ccoutant@gmail.com>

	* configure.ac: Add mips and s390 to the gold target check.
	* configure: Regenerate.

2016-03-01  DJ Delorie  <dj@redhat.com>

	* MAINTAINERS (mep): Remove myself as MeP maintainer.

2016-02-22  David Malcolm  <dmalcolm@redhat.com>

	* MAINTAINERS (libcpp): Add myself.
	(diagnostic messages): Likewise.

2016-02-20  Tom de Vries  <tom@codesourcery.com>

	* MAINTAINERS: Fix whitespace.

2016-02-02  Claudiu Zissulescu  <claziss@synopsys.com>

	* MAINTAINERS (Write After Approval): Add myself.

2016-01-29  Sebastian Pop  <s.pop@samsung.com>

	* config/isl.m4: Add comments about isl-0.16.
	* configure: Regenerate.

2016-01-29  Martin Jambor  <mjambor@suse.cz>

	* MAINTAINERS (hsa maintainers): Add myself.

2015-01-27  Wilco Dijkstra  <wdijkstr@arm.com>

	* MAINTAINERS: (Write After Approval): Add myself.

2016-01-25  Aditya Kumar  <aditya.k7@samsung.com>
	    Sebastian Pop  <s.pop@samsung.com>

	* Makefile.in: Regenerate.
	* Makefile.tpl: Export ISLVER.
	* configure: Regenerate.
	* config/isl.m4: Detect isl-0.15.

2016-01-24  Mikhail Maltsev  <maltsevm@gmail.com>

	PR bootstrap/69329
	* Makefile.tpl (BASE_FLAGS_TO_PASS): Add LSAN_OPTIONS.
	* Makefile.in: Regenerate.

2016-01-12  Andris Pavenis  <andris.pavenis@iki.fi>

	* configure.ac: Enable LTO for DJGPP
	* configure: Regenerate

2016-01-12  H.J. Lu  <hongjiu.lu@intel.com>

	Sync with binutils-gdb:
	2015-10-21  Nick Clifton  <nickc@redhat.com>

	PR gas/19109
	* configure.ac: Note the 'none' is an acceptable argument to
	--enable-compressed-debug-sections.
	* configure: Regenerate.

2016-01-12  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	PR bootstrap/69134
	* Makefile.def (mpfr): Disable assembler.
	* Makefile.in: Regenerate.

2016-01-01  Ben Elliston  <bje@gnu.org>

	* config.guess: Import version 2016-01-01.
	* config.sub: Likewise.

2015-12-18  Sujoy Saraswati  <sujoy.saraswati@hpe.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-12-17  Sebastian Pop  <s.pop@samsung.com>

	* Makefile.in: Replace ISL with isl.
	* Makefile.tpl: Same.
	* config/isl.m4: Same.
	* configure.ac: Same.
	* contrib/download_prerequisites: Same.
	* configure: Regenerate.

2015-12-17  Andris Pavenis  <andris.pavenis@iki.fi>

	* MAINTAINERS (Write After Approval): Add Myself.

2015-12-17  Nathan Sidwell  <nathan@acm.org>

	* config/isl.m4 (ISL_CHECK_VERSION): Add gmp libs.
	* configure: Regenerate.

2015-12-16  Aditya Kumar  <aditya.k7@samsung.com>
	    Sebastian Pop  <s.pop@samsung.com>

	* config/isl.m4 (ISL_CHECK_VERSION): Check for
	isl_ctx_get_max_operations.
	* configure: Regenerate.

2015-12-15  Alessandro Fanfarillo  <fanfarillo.gcc@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-12-02  Ian Lance Taylor  <iant@google.com>

	PR go/66147
	* Makefile.tpl (HOST_EXPORTS): Add XGCC_FLAGS_FOR_TARGET.
	* Makefile.in: Regenerate.

2015-12-01  Andreas Tobler  <andreast@gcc.gnu.org>

	PR libffi/65726
	* Makefile.def (lang_env_dependencies): Make libffi depend
	on cxx.
	* Makefile.in: Regenerate.

2015-11-26  David Edelsohn  <dje.gcc@gmail.com>

	* m4/libtool.m4 (export_symbols_cmds) [AIX]: Add global TLS "L"
	symbols.

2015-11-20  Tristan Gingold  <gingold@adacore.com>

	Sync with binutils-gdb:
	2015-11-20  Tristan Gingold  <gingold@adacore.com>

	* configure.ac: Add aarch64-*-darwin* and arm-*-darwin*.
	* configure: Regenerate.

2015-11-19  Martin Liska  <mliska@suse.cz>

	* .gitignore: Add .clang-format to ignored files.
	* Makefile.in: Add clang-format.
	* Makefile.tpl: Likewise.

2015-11-13  Tsvetkova Alexandra  <aleksandra.tsvetkova@intel.com>

	* configure.ac: Enable libmpx by default.
	* configure: Regenerated.

2015-10-23  Steve Ellcey  <sellcey@imgtec.com>

	* MAINTAINERS: Update email address.

2015-10-23  Paulo Matos  <pmatos@linki.tools>

	* MAINTAINERS: Update email address.

2015-10-23  Alan Hayward <alan.hayward@arm.com>

	* MAINTAINERS  (Write After Approval): Add myself.

2015-10-20  H.J. Lu  <hongjiu.lu@intel.com>

	Sync with binutils-gdb:
	2015-10-20  H.J. Lu  <hongjiu.lu@intel.com>

	PR gas/19109
	* configure.ac: Add
	--enable-compressed-debug-sections={all,gas,gold,ld}.
	* configure: Regenerated.

2015-10-16  Arnaud Charlet  <charlet@adacore.com>

	* MAINTAINERS: Update list of Ada maintainers and email addresses.

2015-10-09  Martin Liska  <mliska@suse.cz>

	* MAINTAINERS (Write After Approval): Add myself.

2015-10-09  Alexander Fomin <alexander.fomin@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-10-02  Florian Weimer  <fweimer@redhat.com>

	* MAINTAINERS: Update email address.

2015-10-02  Louis Krupp <louis.krupp@zoho.com>

	* MAINTAINERS  (Write After Approval): Add myself.

2015-09-20  Kai Tietz  <ktietz70@googlemail.com>

	* MAINTAINERS: Update email.

2015-09-14  Bernd Schmidt  <bschmidt@redhat.com>

	* MAINTAINERS: Update my email address.

2015-09-01  James Bowman  <james.bowman@ftdichip.com>

	* MAINTAINERS (ft32 port): Add myself.

2015-08-28  David Sherwood  <david.sherwood@arm.com>

	* MAINTAINERS: Add myself.

2015-08-27  Patrick Marlier  <patrick.marlier@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-08-23  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	PR libfortran/54572
	* Makefile.def: Make libgfortran depend on libbacktrace.
	* Makefile.in: Regenerate.

2015-08-20  Simon Dardis  <simon.dardis@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-08-12  Tom de Vries  <tom@codesourcery.com>

	PR other/67092
	* configure.ac: Remove --with_host_libstdcxx support.
	* configure: Regenerate.

2015-08-10  Thomas Schwinge  <thomas@codesourcery.com>
	    Jakub Jelinek  <jakub@redhat.com>

	* configure.ac (noconfigdirs): Don't add "target-libgomp" for target
	nvptx*-*-*.
	* configure: Regenerate.

2015-08-06  Yaakov Selkowitz  <yselkowi@redhat.com>

	* Makefile.def (libiconv): Define bootstrap=true.
	Mark pdf/html/info as missing.
	(configure-gcc): Depend on all-libiconv.
	(all-gcc): Ditto.
	(configure-libcpp): Ditto.
	(all-libcpp): Ditto.
	(configure-intl): Ditto.
	(all-intl): Ditto.
	* Makefile.in: Regenerate.

2015-08-03  Bin Cheng  <bin.cheng@arm.com>

	* MAINTAINERS (loop ivopts): Add the entry and myself.

2015-07-31  Nathan Sidwell  <nathan@codesourcery.com>

	* MAINTAINERS (nvptx): Add self.

2015-07-29  Alan Lawrence  <alan.lawrence@arm.com>

	* config/aarch64/iterators.md (VRL2, VRL3, VRL4): Remove values for
	128-bit vector modes.

2015-07-29  Ville Voutilainen  <ville.voutilainen@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-07-28  Ben Elliston  <bje@gnu.org>

	* config.sub, config.guess: Import from upstream.

2015-07-24  Michael Darling  <darlingm@gmail.com>

	PR other/66259
	* config-ml.in: Reflects renaming of configure.in to configure.ac
	* configure: Likewise
	* configure.ac: Likewise

2015-07-23  Bernd Schmidt  <bernds_cb1@t-online.de>

	* MAINTAINERS: Update my email address.

2015-07-14  H.J. Lu  <hongjiu.lu@intel.com>

	Sync with binutils-gdb:
	2015-03-17  H.J. Lu  <hongjiu.lu@intel.com>

	* configure.ac (target_configdirs): Exclude target-zlib if
	target-libjava isn't built.
	* configure: Regenerated.

2015-07-14  H.J. Lu  <hongjiu.lu@intel.com>

	Sync with binutils-gdb:
	2015-05-13  John David Anglin  <dave.anglin@bell.net>

	* configure.ac: Disable configuration of GDB for HPUX targets.
	* configure: Regenerate.

	2015-04-01  H.J. Lu  <hongjiu.lu@intel.com>

	* configure.ac: Add --with-system-zlib.
	* configure: Regenerated.

	2015-01-28  James Bowman  <james.bowman@ftdichip.com>

	* configure.ac: Add FT32 support.
	* configure: Regenerate.

	2015-01-12  Anthony Green  <green@moxielogic.com>

	* configure.ac: Don't disable gprof for moxie.
	* configure: Rebuild.

2015-07-14  H.J. Lu  <hongjiu.lu@intel.com>

	Sync with binutils-gdb:
	2015-05-01  H.J. Lu  <hongjiu.lu@intel.com>

	PR ld/18355
	* Makefile.def: Add extra_configure_flags to host zlib.
	* configure.ac (extra_host_zlib_configure_flags): New.  Set
	to --enable-host-shared When bfd is to be built as shared
	library.  AC_SUBST.
	* Makefile.in: Regenerated.

2015-07-14  Hans-Peter Nilsson  <hp@bitrange.com>

	Sync with src:
	2015-03-30  H.J. Lu  <hongjiu.lu@intel.com>
	* Makefile.def (dependencies): Add all-zlib to all-bfd.
	* Makefile.in: Regenerated.

2015-06-30  H.J. Lu  <hongjiu.lu@intel.com>

	* configure.ac (ospace_frag): Enable for i?86*-*-elfiamcu
	target.
	* configure: Regenerate.

2015-06-23  Ludovic Courtès  <ludo@gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2015-06-22  Andreas Tobler  <andreast@gcc.gnu.org>

	* MAINTAINERS (OS Port Maintainers): Add myself.
	(Various Maintainers): Remove myself from libffi testsuite.

2015-06-04  Richard Sandiford  <richard.sandiford@arm.com>

	* MAINTAINERS (gen* on machine desc): Add self.

2015-06-02  Jason Merrill  <jason@redhat.com>

	PR bootstrap/66319
	* configure.ac: Use -std=gnu++98.

2015-06-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-05-28  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (--vtable-verify): Use AS_HELP_STRING for help.
	* configure: Regenerate.

2015-05-26  Jason Merrill  <jason@redhat.com>

	* configure.ac: When bootstrapping with GCC, add -std=c++98 to CXX.
	* configure: Regenerate.

2015-05-16  James Bowman  <james.bowman@ftdichip.com>

	* configure.ac: FT32 target added.
	* configure: Regenerated.

2015-05-16  Iain Buclaw  <ibuclaw@gdcproject.org>

	* MAINTAINERS (Write After Approval): Add myself.

2015-05-11  Paulo Matos  <paulo@matos-sorge.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-05-11  Paulo Matos  <paulo@matos-sorge.com>

	* configure.ac: Fix typo.
	* configure: Regenerate.

2015-05-10  Mikhail Maltsev  <maltsevm@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-05-03  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Match $host configured with triplets.
	* configure: Regenerate.

2015-04-22  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* Makefile.tpl: Remove surplus whitespace throughout.
	* Makefile.in: Regenerate.

2015-04-20  Segher Boessenkool  <segher@kernel.crashing.org>

	* MAINTAINERS (Various Maintainers): Add myself as instruction
	combiner maintainer.

2015-04-17  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/62077
	* configure.ac (--enable-stage1-checking): Default to
	release,misc,gimple,rtlflag,tree,types if --disable-checking
	or --enable-checking is not specified and DEV-PHASE is not
	experimental.
	* configure: Regenerated.

2015-04-14  Max Ostapenko  <m.ostapenko@partner.samsung.com>

	* Makefile.tpl (EXTRA_HOST_EXPORTS): New variables.
	(EXTRA_BOOTSTRAP_FLAGS): Likewise.
	(check-[+module+]): Add EXTRA_HOST_EXPORTS and EXTRA_BOOTSTRAP_FLAGS.
	* Makefile.in: Regenerate.

2015-04-08  Cary Coutant  <ccoutant@gmail.com>

	* MAINTAINERS: Update my email address.

2015-04-02  James Greenhalgh  <james.greenhalgh@arm.com>

	* MAINTAINERS: Add myself as a reviewer for the AArch64 port.

2015-04-02  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* MAINTAINERS: Add myself as an arm port reviewer.

2015-03-25  Martin Liska  <mliska@suse.cz>
	    Yury Gribov  <y.gribov@samsung.com>

	* Makefile.in: Fix ln source location for vimrc file.
	* Makefile.tpl: Likewise.

2015-03-09  Aldy Hernandez  <aldyh@redhat.com>

	PR bootstrap/25672
	* configure.ac: Do not initialize CFLAGS_FOR_TARGET from CFLAGS if
	cross-compiling.  Similarly for CXX_FOR_TARGET.
	* configure: Regenerate.

2015-03-10  Ilya Enkovich  <ilya.enkovich@intel.com>

	* Makefile.def: Add libmpx.
	* configure.ac: Add libmpx.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2015-03-06  Kirill Yukhin  <kirill.yukhin@intel.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself
	i386 vector ISA extns mantainer.

2015-03-13  Jeff Law  <law@redhat.com>

	* MAINTAINERS: Remove Paul Brook as a Fortran and ARM
	maintainer.
	Remove Richard Henderson as a maintainer for the x86 port.

2015-03-03  Joern Rennecke  <gnu@amylaar.uk>

	* MAINTAINERS (CPU Port Maintainers): Update my email address.

2015-03-02  Ilya Enkovich  <ilya.enkovich@intel.com>

	* MAINTAINERS (Various Maintainers): Add myself as libmpx,
	pointer bounds checker and i386 MPX maintainer.

2015-02-26  Sandra Loosemore  <sandra@codesourcery.com>

	* MAINTAINERS (Various Maintainers): Add self as docs co-maintainer.

2015-02-26  Martin Sebor  <msebor@redhat.com>

	* MAINTAINERS (Various Maintainers): Add self.

2015-02-20  Thomas Schwinge  <thomas@codesourcery.com>

	* configure.ac [--enable-as-accelerator-for] (enable_languages):
	Make sure it contains lto.
	* configure: Regenerate.

2015-02-18  Thomas Schwinge  <thomas@codesourcery.com>

	* configure: Regenerate.

2015-02-06  Diego Novillo  <dnovillo@google.com>
1
	* MAINTAINERS (Global Reviewers, Plugin, LTO, tree-ssa,
	middle-end, docstring): Remove myself.
	(Write After Approval): Add myself.

2015-02-02  Janis Johnson  <janis.marie.johnson@gmail.com>

	* MAINTAINERS (Various Maintainers: testsuite): Remove myself.
	(Write After Approval): Update address.

2015-01-29  David Malcolm  <dmalcolm@redhat.com>

	PR jit/64780
	* configure.ac: Require the user to explicitly specify
	--enable-host-shared if the jit is enabled.
	* configure: Regenerate.

2015-01-27  Robert Suchanek  <robert.suchanek@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2015-01-25  Tom de Vries  <tom@codesourcery.com>

	* MAINTAINERS: Make whitespace consistent.

2015-01-23  Braden Obrzut  <admin@maniacsvault.net>

	* MAINTAINERS (Write After Approval): Add myself.

2015-01-20  Andre Vehreschild  <vehre@gmx.de>

	* MAINTAINERS: (Write After Approval): Add myself.

2015-01-15  Martin Uecker  <uecker@eecs.berkeley.edu>

	* MAINTAINERS: (Write After Approval): Add myself.

2015-01-15  Philipp Tomsich  <ptomsich@theobroma-systems.com>

	* MAINTAINERS: (Write After Approval): Add myself.

2015-01-13  Iain Sandoe  <iain@codesourcery.com>

	* MAINTAINERS (Language Front Ends Maintainers): Add myself as an
	objective-c/c++ front end maintainer.

2015-01-13  Marek Polacek  <polacek@redhat.com>

	* MAINTAINERS (Reviewers): Add self as C front end reviewer.

2015-01-12  Jeff Law  <law@redhat.com>

	* MAINTAINERS: Remove Stan Shebs as he has been inactive for
	a very long time.

2015-01-09  Ian Lance Taylor  <iant@google.com>

	* configure.ac (host_tools): Add gotools.
	* Makefile.def (host_modules): Add gotools.
	(dependencies): Add dependency of all-gotools on all-target-libgo.

2015-01-09  Andreas Tobler  <andreast@gcc.gnu.org>

	* configure.ac: Don't add ${libgcj} for arm*-*-freebsd*.
	* configure: Regenerate.

2015-01-08  Thomas Schwinge  <thomas@codesourcery.com>

	* Makefile.def (dependencies) <all-target-liboffloadmic>: Depend on
	all-target-libgomp.
	* Makefile.in: Regenerate.

2015-01-06  Eric Botcazou  <ebotcazou@adacore.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for Visium port.

2015-01-06  Eric Botcazou  <ebotcazou@adacore.com>

	* configure.ac: Add Visium support.
	* configure: Regenerate.

2015-01-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac: Use OBJCOPY for OBJCOPY_FOR_TARGET.
	* configure: Regenerate.

2015-01-03  Andrew Pinski  <apinski@cavium.com>

	* Makefile.def (flags_to_pass): Pass OBJCOPY_FOR_TARGET also.
	* Makefile.tpl (HOST_EXPORTS): Add OBJCOPY_FOR_TARGET.
	(BASE_TARGET_EXPORTS): Add OBJCOPY.
	(OBJCOPY_FOR_TARGET): New variable.
	(EXTRA_TARGET_FLAGS): Add OBJCOPY.
	* Makefile.in: Regenerate.
	* configure.ac: Check for already installed target objcopy.
	Also GCC_TARGET_TOOL on objcopy.
	* configure: Regenerate.

2015-01-02  Hans-Peter Nilsson  <hp@bitrange.com>

	* config.sub: Update from upstream, to 2015-01-01 version.
	* config.guess: Ditto.

2014-12-22  Sebastian Huber  <sebastian.huber@embedded-brains.de>

	* MAINTAINERS (RTEMS Ports): Add myself.

2014-12-17  Pierre-Marie de Rodat  <derodat@adacore.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-12-16  Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-12-15  Thomas Schwinge  <thomas@codesourcery.com>

	* configure.ac (--enable-as-accelerator-for): Don't set
	ENABLE_AS_ACCELERATOR_FOR.  Update all users.
	* configure: Regenerate.

2014-12-13  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/64023
	* Makefile.tpl (EXTRA_TARGET_FLAGS): Set STAGE1_LDFLAGS
	to POSTSTAGE1_LDFLAGS and STAGE1_LIBS to POSTSTAGE1_LIBS.
	Add -B to libstdc++-v3/src/.libs and libstdc++-v3/libsupc++/.libs
	to CXX.
	* Makefile.in: Regenerated.

2014-12-09  Laurynas Biveinis  <laurynas.biveinis@gmail.com>
	    Yury Gribov  <y.gribov@samsung.com>

	* .gitignore: Added .local.vimrc and .lvimrc.
	* Makefile.tpl (vimrc, .lvimrc, .local.vimrc): New targets.
	* Makefile.in: Regenerate.

2014-12-04  Jack Howarth  <howarth@bromo.med.uc.edu>

	* config/isl.m4: Don't pass -DCLOOG_INT_GMP on islinc.
	* configure: Regenerated.

2014-11-27  Bernd Schmidt  <bernds@codesourcery.com>

	* MAINTAINERS (nvptx port): New entry.

2014-11-26  Jan-benedict Glaw  <jbglaw@lug-owl.de>

	* configure: Regenerate.

2014-11-26  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* configure.ac: Merge with Binutils.

2014-11-26  Tobias Burnus  <burnus@net-b.de>

	* Makefile.def: Make more dependent on mpfr, mpc and isl.
	* Makefile.in: Regenerate.

2014-11-24  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* Makefile.def (module=gmp): Work around in-tree gmp configure bug with
	missing flex.
	* Makefile.in: Regenerated.

2014-11-21  Ilya Verbin  <ilya.verbin@intel.com>

	* Makefile.in: Regenerate.

2014-11-21  Markus Trippelsdorf  <markus@trippelsdorf.de>

	PR bootstrap/63784
	* libtool.m4: Add $pic_flag with -shared.

2014-11-21  Renlin Li  <Renlin.Li@arm.com>

	* MAINTAINERS (Write After Approval): Added myself.

2014-11-21  Alex Velenko  <Alex.Velenko@arm.com>

	* MAINTAINERS (write-after-approval): Add myself.

2014-11-19  Maxim Kuvyrkov  <maxim.kuvyrkov@linaro.org>

	* MAINTAINERS (OS Port Maintainers): Add overdue maintainership note
	from 2 years ago.

2014-11-19  Alex Velenko  <Alex.Velenko@arm.com>

	Revert:
	2014-11-19  Alex Velenko  <Alex.Velenko@arm.com>

	* MAINTAINERS (Write After Approval): Added myself as line map
	maintainer.

2014-11-19  Renlin Li  <Renlin.Li@arm.com>

	Revert:
	2014-11-19  Renlin Li  <Renlin.Li@arm.com>

	* MAINTAINERS (Write After Approval): Added myself.

2014-11-19  Renlin Li  <Renlin.Li@arm.com>

	* MAINTAINERS (Write After Approval): Added myself.

2014-11-19  Alex Velenko  <Alex.Velenko@arm.com>

	* MAINTAINERS (Write After Approval): Added myself as line map
	maintainer.

2014-11-17  Dodji Seketeli  <dodji@redhat.com>

	* MAINTAINERS (Various Maintainers): Added myself as line map
	maintainer.

2014-11-16  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* move-if-change: Sync from upstream gnulib.

2014-11-16  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* compile: Sync with upstream Automake.
	* depcomp: Ditto.
	* install-sh: Ditto.
	* missing: Ditto.
	* mkinstalldirs: Ditto.
	* ylwrap: Ditto.

2014-11-16  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* config.sub: Update from upstream config repo.
	* config.guess: Ditto.

2014-11-13  Kirill Yukhin  <kirill.yukhin@intel.com>

	* Makefile.def: Add liboffloadmic to target_modules.  Make
	liboffloadmic depend on libgomp's configure, libstdc++ and libgcc.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* configure.ac: Add liboffloadmic to target binaries.
	Restrict liboffloadmic for POSIX and i*86, and x86_64 architectures.
	Add liboffloadmic to noconfig list when C++ is not supported.

2014-11-13  Bernd Schmidt  <bernds@codesourcery.com>
	    Thomas Schwinge  <thomas@codesourcery.com>
	    Ilya Verbin  <ilya.verbin@intel.com>
	    Andrey Turetskiy  <andrey.turetskiy@intel.com>

	* configure: Regenerate.
	* configure.ac (--enable-as-accelerator-for)
	(--enable-offload-targets): New configure options.

2014-11-11  Tobias Burnus  <burnus@net-b.de>

	* Makefile.def: Make all-gcc depend on all-isl.
	* Makefile.in: Regenerate.

2014-11-11  David Malcolm  <dmalcolm@redhat.com>

	* ChangeLog.jit: New.
	* MAINTAINERS (Various Maintainers): Add myself as jit maintainer.

2014-11-11  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	PR target/63610
	* libtool.m4: Fix globbing of darwin versions.
	* configure: Regenerate.

2014-11-11  Tobias Burnus  <burnus@net-b.de>

	* Makefile.def: Remove CLooG.
	* Makefile.tpl: Ditto.
	* configure.ac: Ditto.
	* configure: Regenerate.
	* Makefile.in: Ditto.

2014-11-06  Bernd Schmidt  <bernds@codesourcery.com>

	* configure.ac: Handle nvptx-*-*.
	* configure: Regenerate.

2014-11-06  Prachi Godbole  <prachi.godbole@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-10-31  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.def (libcc1): Remove bootstrap=true;.
	* Makefile.in: Regenerated.

2014-10-31  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* configure.ac: Update comment.
	* configure: Regenerate.

2014-10-31  Ilya Enkovich  <ilya.enkovich@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-10-30  Thomas Schwinge  <thomas@codesourcery.com>

	* configure.ac (extra_host_libiberty_configure_flags): Add
	--enable-shared also for libcc1's benefit.
	* configure: Regenerate.

2014-10-29  Tristan Gingold  <gingold@adacore.com>

	* MAINTAINERS: Change my email address.

2014-10-27  Phil Muldoon  <pmuldoon@redhat.com>
	    Tom Tromey  <tromey@redhat.com>

	* Makefile.def: Add libcc1 to host_modules.
	* configure.ac (host_tools): Add libcc1.
	* Makefile.in, configure: Rebuild.

2014-10-24  Hans-Peter Nilsson  <hp@axis.com>

	* configure.ac (build_configargs): Don't share config.cache between
	build subdirs.
	* configure: Regenerate.

2014-10-24  Daniel Hellstrom  <daniel@gaisler.com>

	* config.gcc (sparc*-*-*): Accept mcpu=leon3v7 processor.
	* doc/invoke.texi (SPARC options): Add mcpu=leon3v7 comment.
	* config/sparc/leon.md (leon3_load, leon_store, leon_fp_*): Handle
	leon3v7 as leon3.
	* config/sparc/sparc-opts.h (enum processor_type): Add LEON3V7.
	* config/sparc/sparc.c (sparc_option_override): Add leon3v7 support.
	* config/sparc/sparc.h (TARGET_CPU_leon3v7): New define.
	* config/sparc/sparc.md (cpu): Add leon3v7.
	* config/sparc/sparc.opt (enum processor_type): Add leon3v7.

2014-10-24  Daniel Hellstrom  <daniel@gaisler.com>

	* MAINTAINERS (write-after-approval): Add myself.

2014-10-23  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Disable the Go frontend on systems where it is known
	to not work.
	* configure: Regenerate.

2014-10-23  Richard Biener  <rguenther@suse.de>

	* Makefile.def: Add libcpp build module and dependencies.
	* configure.ac: Add libcpp build module.
	* Makefile.in: Regenerate.
	* configure: Likewise.

2014-10-15  Max Filippov  <jcmvbkbc@gmail.com>

	* MAINTAINERS (write-after-approval): Add myself.

2014-10-12  Manuel López-Ibáñez <manu@gcc.gnu.org>

	* INSTALL/README: Do not mention CVS.

2014-10-03  Jing Yu  <jingyu@google.com>

	* configure.ac: Add aarch64 to list of targets that support gold.
	* configure: Regenerate.

2014-09-29  François Dumont  <fdumont@gcc.gnu.org>

	* MAINTAINERS:  Add myself as libstdc++ special modes maintainer.

2014-09-29  Catherine Moore  <clm@codesourcery.com>

	* MAINTAINERS:  Add myself as MIPS maintainer.

2014-09-28  Matthew Fortune  <matthew.fortune@imgtec.com>

	* MAINTAINERS: Move myself to MIPS maintainers.

2014-09-23  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* MAINTAINERS: Put all email addresses between '<' and '>'.

2014-09-13  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	* MAINTAINERS: Move myself to reviewers (Fortran).

2014-09-01  Andi Kleen  <ak@linux.intel.com>

	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Add LTO_EXPORTS.
	POSTSTAGE1_FLAGS_TO_PASS):  Add LTO_FLAGS_TO_PASS.
	* Makefile.in: Regenerate.

2014-08-28  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Delete

2014-08-28  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): NEXT_INSN/PREV_INSN are done.

2014-08-27  Sebastian Pop  <s.pop@samsung.com>

	* config/isl.m4 (_ISL_CHECK_CT_PROG): Removed.
	(ISL_CHECK_VERSION): Check for functionality added to ISL 0.12 instead
	of checking for version number.
	* configure: Regenerated.
	* configure.ac (ISL_CHECK_VERSION): Do not use ISL version number.

2014-08-27  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Phase 5 (additional rtx_def subclasses)
	is done; begin phase 6 (use extra rtx_def subclasses).

2014-08-27  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Phase 4 (removal of "scaffolding") is
	done; begin phase 5 (additional rtx_def subclasses).

2014-08-26  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): DF_REF_INSN is done.

2014-08-26  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): SET_BB_HEAD, SET_BB_END,
	SET_BB_HEADER are done.

2014-08-26  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): SET_DEP_PRO and SET_DEP_CON are
	done.

2014-08-26  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Remove SET_VINSN_INSN_RTX.

2014-08-26  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Remove SET_BND_TO.

2014-08-25  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Remove SET_BB_NOTE_LIST.

2014-08-25  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Remove SET_BB_FOOTER.

2014-08-25  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Phase 3 (per-file commits within
	"config" subdirs) is done; begin phase 4 (removal of
	"scaffolding").

2014-08-23  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Phase 2 (per-file commits in main source
	dir) is done; begin phase 3 (per-file commits within "config"
	subdirs).

2014-08-21  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Phase 1 ("scaffolding") is done; begin
	phase 2 (per-file commits in main source dir).

2014-08-21  Bin Cheng  <bin.cheng@arm.com>

	* configure: Regenerated.

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add SET_BND_TO

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add SET_BB_NOTE_LIST.

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add SET_VINSN_INSN_RTX.

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add SET_DEP_PRO, SET_DEP_CON.

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add DF_REF_INSN.

2014-08-19  Joost VandeVondele <vondele@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2014-08-19  Christopher Faylor  <me.gnu@cgf.cx>

	* MAINTAINERS: Remove myself

2014-08-19  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: Add SET_NEXT_INSN, SET_PREV_INSN.

2014-08-18  Patrick Palka  <ppalka@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2014-08-18  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt (TODO): Add SET_BB_HEAD, SET_BB_END,
	SET_BB_HEADER, SET_BB_FOOTER

2014-08-18  David Malcolm  <dmalcolm@redhat.com>

	* rtx-classes-status.txt: New file

2014-08-18 Roman Gareev  <gareevroman@gmail.com>

	* configure.ac: Eliminate ClooG installation dependency.
	* configure: Regenerate.
	* Makefile.tpl: Add definition of ISLLIBS and HOST_ISLLIBS.
	* Makefile.in: Regenerate.

2014-08-15  Ilya Verbin  <iverbin@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-08-15  Ilya Tocar  <tocarip@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-08-01  Jiong Wang  <jiong.wang@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-07-28  Anthony Green  <green@moxielogic.com>

	Import from savannah.gnu.org:
	* config.sub: Update to 2014-07-28 version.

2014-07-27  Richard Sandiford  <rdsandiford@googlemail.com>

	* MAINTAINERS: Remove my MIPS maintainer entry.

2014-07-26  Uros Bizjak  <ubizjak@gmail.com>

	PR target/47230
	* configure.ac (alpha*-*-linux*): Use mh-alpha-linux.
	* configure: Regenerate.

2014-07-24  James Norris  <jnorris@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-07-20  Roman Gareev  <gareevroman@gmail.com>

	* configure.ac: Accept only CLooG 0.18.1.
	* configure: Regenerate.

2014-07-17  Roman Gareev  <gareevroman@gmail.com>

	* configure.ac: Don't accept isl 0.11.
	* configure: Regenerate.

2014-07-16  Adhemerval Zanella  <azanella@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-07-05  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac: Don't accept isl 0.10.
	* configure: Regenerate.

2014-06-23  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	Fix include path for in-tree cloog.
	* config/cloog.m4 (CLOOG_INIT_FLAGS): Remove bogus include path.
	* configure: Regenerate.

2014-06-18  Richard Henderson  <rth@redhat.com>

	* .gitignore: Import gcc_update output.

2014-06-13  Thomas Schwinge  <thomas@codesourcery.com>

	* config-ml.in: Robustify ac_configure_args parsing.

	* configure.ac (--enable-linker-plugin-configure-flags)
	(--enable-linker-plugin-flags): New flags.
	(configdirs): Conditionally add libiberty-linker-plugin.
	* configure: Regenerate.
	* Makefile.def (host_modules): Add libiberty-linker-plugin.
	(host_modules) <lto-plugin>: Pay attention to
	@extra_linker_plugin_flags@ and
	@extra_linker_plugin_configure_flags@.
	(all-lto-plugin): Also depend on all-libiberty-linker-plugin.
	* Makefile.in: Regenerate.

	* Makefile.tpl (configure-[+prefix+][+module+])
	(configure-stage[+id+]-[+prefix+][+module+]): If specified, use
	"module_srcdir" instead of "module" for locating a module's srcdir.
	* Makefile.in: Regenerate.

2014-06-10  Matthew Fortune  <matthew.fortune@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-06-06  Sebastian Pop  <sebpop@gmail.com>

	* MAINTAINERS: Update my email address.

2014-06-04  Thomas Preud'homme  <thomas.preudhomme@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-06-03  Andrew Bennett  <andrew.bennett@imgtec.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-05-30  Jonathan Wakely  <jwakely@redhat.com>

	PR libstdc++/61011
	* configure.ac (--disable-libstdcxx): Set noconfigdirs correctly.
	Disable libcilkrts, libitm, libsanitizer when not building libstdc++.
	* configure: Regenerate.

2014-05-28  Pedro Alves  <palves@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-05-22  Maxim Kuvyrkov  <maxim.kuvyrkov@linaro.org>

	* MAINTAINERS: Update my affiliation/email.

2014-05-19  Mike Stump  <mikestump@comcast.net>

	* MAINTAINERS: Add wide-int reviewers.

2014-05-14  Sandra Loosemore  <sandra@codesourcery.com>

	* configure.ac (target_makefile_frag): Set for nios2-*-elf*.
	* configure: Regenerated.

2014-05-15  Torvald Riegel  <triegel@redhat.com>

	* MAINTAINERS (libitm): Add myself as maintainer.

2014-05-07  Charles Baylis  <charles.baylis@linaro.org>

	* MAINTAINERS (Write After Approval): Add myself.

2014-05-01  Richard Sandiford  <rdsandiford@googlemail.com>

	* config.sub, config.guess: Import from upstream.

2014-04-29  Alan Lawrence  <alan.lawrence@arm.com>

	* MAINTAINERS (Write After Approval): Put myself in correct order.

2014-04-29  Alan Lawrence  <alan.lawrence@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2014-04-24  Laurynas Biveinis  <laurynas.biveinis@gmail.com>

	* MAINTAINERS: Move myself from Reviewers to Write After Approval
	section.

2014-04-21 Rafael Ávila de Espíndola <rafael.espindola@gmail.com>

	* MAINTAINERS (Write After Approval): Delete myself.

2014-04-17  Jakub Jelinek  <jakub@redhat.com>

	PR sanitizer/56781
	* libtool-ldflags: Also prefix -static-lib*, -shared-lib*
	and -B* options with -Xcompiler.

2014-04-04  Eric Botcazou  <ebotcazou@adacore.com>

	PR bootstrap/60620
	* Makefile.def (dependencies): Make gnattools depend on libstdc++-v3.
	* Makefile.in: Regenerate.

2014-03-28  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* Makefile.def (dependencies): Make all-ld depend on all-binutils
	for WINDRES_FOR_TARGET in default-manifest.o rule.
	* Makefile.in: Regenerate.

2014-03-26  Dominique d'Humieres <dominiq@lps.ens.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2014-03-26  Jakub Jelinek  <jakub@redhat.com>

	PR sanitizer/56781
	* Makefile.def: Set bootstrap=true; for host fixincludes.
	* configure.ac: Don't bootstrap host fixincludes unless
	--with-build-config=bootstrap-{a,ub}san.
	* Makefile.in: Regenerated.
	* configure: Regenerated.

2014-03-21  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: Move BUILD_CONFIG set up earlier.  Add
	--enable-vtable-verify option parsing.  Don't add
	target-libsanitizer to bootstrap_target_libs unless
	--with-build-config=bootstrap-asan or
	--with-build-config=bootstrap-ubsan.  Don't add target-libvtv
	to bootstrap_target_libs unless --enable-vtable-verify.
	* configure: Regenerated.

2014-03-10  Anatoly Sokolov <aesok@post.ru>

	* MAINTAINERS (Write After Approval): Add myself.

2014-03-07  Denis Chertykov  <chertykov@gmail.com>

	* MAINTAINERS: Remove avr maintainers: Anatoly Sokolov and Eric Weddington

2014-03-07  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/58572
	* Makefile.tpl (POSTSTAGE1_CXX_EXPORT): Use -isystem instead of
	-I for libstdc++-v3 includes if $(LEAN).
	* Makefile.in: Regenerated.

2014-03-04  Jonathan Wakely  <jwakely@redhat.com>

	* MAINTAINERS: Update my email address.

2014-02-24  Walter Lee  <walt@tilera.com>

	* configure.ac (tilepro-*-*) Change to tilepro*-*-*.
	(tilegx-*-*): Change to tilegx*-*-*.
	* configure: Regenerate.

2014-02-17  Loren J. Rittle  <ljrittle@acm.org>

	* MAINTAINERS (Various Maintainers: c++ runtime libs): Remove myself.

2014-02-17  Kugan Vivekanandarajah  <kuganv@linaro.org>

	* MAINTAINERS (Write After Approval): Add myself.

2014-02-04  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR target/59788
	* ltmain.sh (opt_duplicate_compiler_generated_deps): Enable on
	*solaris2*.

2014-01-21  John David Anglin  <danglin@gcc.gnu.org>

	* MAINTAINERS: Update my email address.

2014-01-20  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Convert to UTF-8.
	Properly sort Xinliang David Li's entry.

2013-12-31  Chung-Lin Tang  <cltang@codesourcery.com>
	    Sandra Loosemore  <sandra@codesourcery.com>

	* MAINTAINERS: Add Sandra Loosemore and Chung-Lin Tang as
	nios2 port maintainers.

2013-12-16  Markus Trippelsdorf  <markus@trippelsdorf.de>

	* MAINTAINERS (Write After Approval): Add myself.

2013-12-13  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	* configure.ac: Add user-friendly check for native x86_64-linux
	multilibs.
	* configure: Regenerate.

2013-12-06  Oleg Endo  <olegendo@gcc.gnu.org>

	* MAINTAINERS: Add myself as sh maintainer.

2013-12-03  Bill Schmidt  <wschmidt@linux.vnet.ibm.com>

	* MAINTAINERS: Add self as SLSR maintainer.

2013-11-18  Jan Hubicka  <hubicka@ucw.cz>

	* MAINTAINERS: Update my email address.

2013-11-15  David Edelsohn  <dje.gcc@gmail.com>

	* MAINTAINERS (Global Reviewers, c++): Remove Mark Mitchell.

2013-11-07  Thomas Schwinge  <thomas@codesourcery.com>

	* Makefile.in: Regenerate.

	* Makefile.tpl: Fix typo.
	* Makefile.in: Regenerate partially.

2013-11-04  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* configure.ac: Added libcilkrts to noconfig list when C++ is not
	supported.
	* configure: Regenerated.

2013-11-01  Trevor Saunders  <tsaunders@mozilla.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-10-30  Jason Merrill  <jason@redhat.com>

	* Makefile.tpl (STAGE1_CONFIGURE_FLAGS): Pass
	--disable-build-format-warnings.

2013-10-29  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* Makefile.def: Add libcilkrts to target_modules.  Make libcilkrts
	depend on libstdc++ and libgcc.
	* configure: Regenerate.
	* configure.ac: Added libcilkrts to target binaries.  Also, restrict
	libcilkrts for POSIX and i*86, and x86_64 architectures.
	* Makefile.in: Added libcilkrts related fields to support building it.

2013-10-26  Jeff Law  <law@redhat.com>

	* Makefile.def (target_modules): Remove libmudflap
	(languages): Remove check-target-libmudflap).
	* Makefile.in: Rebuilt.
	* Makefile.tpl (check-target-libmudflap-c++): Remove.
	* configure.ac (target_libraries): Remove target-libmudflap.
	Remove checks which disabled libmudflap on some systems.
	* configure: Rebuilt.
	* libmudflap: Directory removed.

2013-10-21  Cong Hou  <congh@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-10-16  Mike Stump  <mikestump@comcast.net>

	* .dir-locals.el: Add.

2013-10-15  David Malcolm  <dmalcolm@redhat.com>

	* configure.ac: Add --enable-host-shared
	* configure: Regenerate.

2013-01-10  Joern Rennecke  <joern.rennecke@embecosm.com>

	Import from savannah.gnu.org:
	* config.guess: Update to 2013-06-10 version.
	* config.sub: Update to 2013-10-01 version.

2013-10-01  Simon Cook  <simon.cook@embecosm.com>

	Changes to build configuration to allow big endian ARC ELF toolchain
	* configure.ac: Also add target-libgloss to noconfigdirs for arceb-*-*.
	* configure: Regenerate.

2013-09-20  Alan Modra  <amodra@gmail.com>

	* libtool.m4 (_LT_ENABLE_LOCK <ld -m flags>): Remove non-canonical
	ppc host match.  Support little-endian powerpc linux hosts.

2013-09-19  Dodji Seketeli  <dodji@redhat.com>

	* MAINTAINERS (diagnostic messages): Add myself as diagnostics
	maintainer.

2013-09-12  DJ Delorie  <dj@redhat.com>

	* MAINTAINERS: Add Nick Clifton and DJ Delorie as msp430
	maintainers.

2013-09-03  Richard Biener  <rguenther@suse.de>

	* configure.ac: Also allow ISL 0.12.
	* configure: Regenerated.

2013-08-30  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* MAINTAINERS (Write After Approval): Add myself.

2013-08-27  David Malcolm  <dmalcolm@redhat.com>

	* MAINTAINERS (gdbhooks.py): Add myself as maintainer.

2013-08-26  Caroline Tice  <cmtice@google.com>

	* MAINTAINERS:  Correct earliers update:  Move myself from libvtv
	"Various Reviewers" to libvtv "Various Maintainers".

2013-08-20  Steven Bosscher  <steven@gcc.gnu.org>

	* MAINTAINERS: Add myself as RTL optimizers reviewer.

2013-08-19  Benjamin De Kosnik  <bkoz@gnu.org>

	* MAINTAINERS: Update name, email.

2013-08-13  Adam Butcher  <adam@jessamine.co.uk>

	* MAINTAINERS (Write After Approval): Add myself.

2013-08-12  Caroline Tice  <cmtice@google.com>

	* MAINTAINERS: Add myself as libvtv maintainer. Correct my email
	address in the Write After Approval section.

2013-08-09  Carlos O'Donell  <carlos@redhat.com>

	* MAINTAINERS (Write After Approval): Update email.

2013-08-08  Benjamin Kosnik  <bkoz@redhat.com>

	* configure.ac: Adjust to check VTV_SUPPORTED.
	* configure: Regenerated.

2013-08-02  Caroline Tice  <cmtice@google.com>

	* configure.ac: Add target-libvtv to target_libraries; disable libvtv
	on non-linux systems; add target-libvtv to noconfigdirs; add
	libsupc++/.libs to C++ library search paths.
	* configure: Regenerated.
	* Makefile.def: Add libvtv to target_modules; make libvtv depend on
	libstdc++ and libgcc.
	* Makefile.in: Regenerated.

2013-07-19  Yvan Roux  <yvan.roux@linaro.org>

	* MAINTAINERS (Write After Approval): Add myself.

2013-07-19  Chung-Ju Wu  <jasonwucj@gmail.com>
	    Shiva Chen  <shiva0217@gmail.com>

	* MAINTAINERS (nds32 port): Add Chung-Ju Wu and Shiva Chen as
	nds32 port maintainers.

2013-07-17  Tim Shen  <timshen91@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-07-16  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* configure.ac: Sync from binutils.
	* configure: Regenerate.

2013-06-14  Vidya Praveen  <vidyapraveen@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-06-01  Dinar Temirbulatov  <dinar@kugelworks.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-05-17  David Malcolm  <dmalcolm@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-04-30  Brooks Moses  <bmoses@google.com>

	* MAINTAINERS: Update my email; move myself from Fortran
	reviewer to Write After Approval.

2013-04-16  Andreas Schwab  <schwab@suse.de>

	* configure.ac (aarch64-*-*): Don't disable java.
	* configure: Regenerate.

2013-04-10  Chung-Ju Wu  <jasonwucj@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-03-30  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def (target_modules): Don't install libffi.
	* Makefile.in: Regenerate.

2013-02-24  Tilo Schwarz  <tilo@tilo-schwarz.de>

	* MAINTAINERS (Write After Approval): Add myself.

2013-02-20  Andrew Sutton  <andrew.n.sutton@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2013-02-15  Yufeng Zhang  <yufeng.zhang@arm.com>

	* configure.ac: Set libgloss_dir for the aarch64*-*-* targets.
	* configure: Regenerated.

2013-02-05  Ian Lance Taylor  <iant@google.com>

	PR go/55969
	* configure.ac: Disable libgo on some systems where it does not
	work.

2013-02-04  David Edelsohn  <dje.gcc@gmail.com>

	* MAINTAINERS: Explicitly add myself as AIX maintainer.
	Remove Geoff Keating as rs6000 port maintainer, at his request.

2013-01-24  Maxim Kuvyrkov  <maxim@kugelworks.com>

	* MAINTAINERS: Update my email.

2013-01-23  Shenghou Ma  <minux.ma@gmail.com>

	* configure: Re-generate.

2013-01-15  Richard Biener  <rguenther@suse.de>

	PR other/55973
	* configure: Re-generate.

2013-01-14  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def (install-target-libsanitizer): Depend on
	install-target-libstdc++-v3.
	* Makefile.in: Regenerate.

2013-01-14  Richard Biener  <rguenther@suse.de>

	* configure.ac (cloog/isl): Also allow ISL 0.11.x and CLooG 0.18.0.
	* configure: Re-generate

2013-01-11  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* config.sub: Update from config repo.

2013-01-11  Eric Botcazou  <ebotcazou@adacore.com>

	* Makefile.tpl (BOOT_ADAFLAGS): Remove -gnata.
	* Makefile.in: Regenerate.

2013-01-10  Joern Rennecke  <joern.rennecke@embecosm.com>

	* MAINTAINERS (arc): Add new port maintainership for myself.

2013-01-09  Jason Merrill  <jason@redhat.com>

	* .gitignore: Import from gdb repository.

2013-01-09  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.def (configure-gcc): Depend on all-gmp.
	(all-gcc): Remove dependency on all-gmp.
	* Makefile.in: Regenerated.

2013-01-08  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* config.sub: Merge from config repo.
	* config.guess: Ditto.

2013-01-08  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* Makefile.def: Merge from binutils.
	* Makefile.in: Ditto.

2013-01-01  Maxim Kuvyrkov  <maxim.kuvyrkov@gmail.com>

	* MAINTAINERS: Update my email.

2012-12-29  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to 2012-12-29 version.
	* config.sub: Likewise.

2012-12-20  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def (install-target-libgfortran): Depend on
	install-target-libquadmath, install-target-libgcc.
	(install-target-libsanitizer): Depend on install-target-libgcc.
	(install-target-libjava): Depend on install-target-libgcc.
	(install-target-libitm): Depend on install-target-libgcc.
	(install-target-libobjc): Depend on install-target-libgcc.
	(install-target-libstdc++-v3): Depend on install-target-libgcc.
	* Makefile.in: Regenerate.

2012-12-19  Matthias Klose  <doko@ubuntu.com>

	* Makefile.def (install-target-libgo): Depend on
	install-target-libatomic.
	* Makefile.in: Regenerate.

2012-12-18  Andreas Schwab  <schwab@linux-m68k.org>

	PR go/55201
	* Makefile.def (all-target-libgo): Depend on all-target-libatomic.
	* Makefile.in: Regenerate.

2012-12-16  Thomas Schwinge  <thomas@codesourcery.com>

	* configure.ac (ENABLE_GOLD): Consider *-*-gnu* targets ELF.
	* configure: Regenerate.

2012-12-12  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* config.sub: Merge from config repo.

2012-12-11  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.def (target_modules): Add bootstrap=true and
	raw_cxx=true to libsanitizer.
	* configure.ac (bootstrap_target_libs): Add libsanitizer.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2012-12-01  Richard Sandiford  <rdsandiford@googlemail.com>

	* MAINTAINERS: Remove self as RTL optimization maintainer.

2012-11-30  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-11-28  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.def (target_modules): Remove bootstrap=true and
	raw_cxx=true from libsanitizer.
	* configure.ac (bootstrap_target_libs): Remove libsanitizer.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2012-11-28  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.def (target_modules): Add bootstrap=true and
	raw_cxx=true to libsanitizer.
	* configure.ac (bootstrap_target_libs): Add libsanitizer.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2012-11-28  Andrew Pinski  <apinski@cavium.com>

	PR bootstrap/54279
	* configure.ac (CXX_FOR_TARGET): Change over to use xg++.
	* configure: Regenerate.
	* Makefile.tpl (POSTSTAGE1_CXX_EXPORT): Change over to use xg++.
	* Makefile.in: Regenerate.

2012-11-27  Siddhesh Poyarekar  <siddhesh@redhat.com>

	* configure.ac: Disable libsanitizer if we're not building C++.
	* configure: Regenerate.

2012-11-15  Roland McGrath  <roland@hack.frob.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-11-15  Dmitry Vyukov  <dvyukov@google.com>

	* MAINTAINERS: (libsanitizer, asan.c): Add myself,
	Kostya Serebryany (kcc@google.com) and
	Jakub Jelinek (jakub@redhat.com).
	Rename area for Dodji Seketeli (dodji@redhat.com).

2012-11-15  Dodji Seketeli  <dodji@redhat.com>

	* MAINTAINERS: (asan.c, related): Add myself.

2012-11-14  Roland McGrath  <mcgrathr@google.com>

	* configure.ac (ENABLE_GOLD): Consider *-*-nacl* targets ELF.
	* configure: Regenerate.

2012-11-13  Richard Henderson  <rth@redhat.com>

	* configure.ac: Move libsanitizer logic to subdirectory.
	* configure: Regenerate.

2012-11-13  Dodji Seketeli  <dodji@redhat.com>

	* configure.ac: Enable libsanitizer just on x86 linux for now.
	* configure: Re-generate.

2012-11-13  David Edelsohn  <dje.gcc@gmail.com>

	* configure.ac: Disable libsanitizer on AIX. Merge libquadmath
	sections.
	* configure: Regenerate.

2012-11-13  Hans-Peter Nilsson  <hp@axis.com>

	* configure.ac: Add section for configdirs for libsanitizer.
	Disable for cris-*-* and mmix-*-*.
	* configure: Regenerate.

2012-11-12  Wei Mi <wmi@google.com>

	* configure.ac: Add libsanitizer to target_libraries.
	* Makefile.def: Ditto.
	* configure: Regenerate.
	* Makefile.in: Regenerate.
	* libsanitizer: New directory for asan runtime.  Contains an empty
	tsan directory.

2012-11-03  Corinna Vinschen  <corinna@vinschen.de>

	* configure.ac (FLAGS_FOR_TARGET,target=cygwin): Fix for building
	against Mingw64 w32api.
	* configure: Regenerate.

2012-11-03  H.J. Lu  <hongjiu.lu@intel.com>

	* configure: Regenerated.

2012-11-03  Robert Mason  <rbmj@verizon.net>

	* configure.ac: add --disable-libstdcxx configure option
	and handle defaulted state only for VxWorks, ARM-wince-pe and AVR.

2012-10-30  Ganesh Gopalasubramanian  <Ganesh.Gopalasubramanian@amd.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-10-26  James Greenhalgh  <james.greenhalgh@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-10-24  Sharad Singhai  <singhai@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-10-24  Eric Christopher  <echristo@gmail.com>

	* MAINTAINERS: Update email address.

2012-10-23  Eric Botcazou  <ebotcazou@adacore.com>

	PR bootstrap/54820
	* configure.ac (have_static_libs): Force 'no' for GCC version < 4.5.
	* configure: Regenerate.

2012-10-23  Richard Earnshaw  <rearnsha@arm.com>

	* MAINTAINERS (aarch64): Add Marcus and myself.

2012-10-22  Eric Botcazou  <ebotcazou@adacore.com>

	PR bootstrap/54820
	* Makefile.tpl (STAGE1_FLAGS_TO_PASS): New variable.
	(all-[+prefix+][+module+]): Pass stage1_args to sub-makes.
	(all-stage[+id+]-[+prefix+][+module+]): Likewise, if prev is false.
	(clean-stage[+id+]-[+prefix+][+module+]): Likewise, if prev is false.
	(host_modules): Set stage1_args to STAGE1_FLAGS_TO_PASS.
	* Makefile.in: Regenerate.
	* configure.ac (have_static_libs): New variable and associated check.
	(stage1-ldflags): Move to after stage1_libs and set to -static-libstdc++
	-static-libgcc if stage1_libs is empty and have_static_libs is yes.
	* configure: Regenerate.

2012-10-10  Richard Biener  <rguenther@suse.de>

	* MAINTAINERS: Adjust for changed surname.

2012-10-04  Lawrence Crowl  <crowl@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-10-01  Cary Coutant  <ccoutant@google.com>

	* MAINTAINERS: Add myself as dwarf debugging code maintainer.

2012-09-28  Ian Lance Taylor  <iant@google.com>

	* Makefile.def: Make all-target-libgo depend on
	all-target-libbacktrace.
	* Makefile.in: Rebuild.

2012-09-26  Ian Lance Taylor  <iant@google.com>

	* Makefile.def: Make all-gcc depend on all-libbacktrace.
	* Makefile.in: Rebuild.

2012-09-20  Walter Lee  <walt@tilera.com>

	* configure.ac: Add tilegx to list of targets that support gold.
	* configure: Regenerate.

2012-09-20  Marek Polacek  <polacek@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-09-19  Steve Ellcey  <sellcey@mips.com>

	* configure.ac: Add mips*-mti-elf* target.
	* configure: Regenerate.

2012-09-17  Ian Lance Taylor  <iant@google.com>

	* MAINTAINERS (Various Maintainers): Add libbacktrace.
	* configure.ac (host_libs): Add libbacktrace.
	(target_libraries): Add libbacktrace.
	* Makefile.def (host_modules): Add libbacktrace.
	(target_modules): Likewise.
	* configure, Makefile.in: Rebuild.

2012-09-14  David Edelsohn  <dje.gcc@gmail.com>

	PR target/38607
	Merge upstream change.
	* libtool.m4 (_LT_COMPILER_PIC): Add -fPIC to GCC and GXX for AIX.

	* configure.ac: Add target-libquadmath to noconfigdirs for AIX.
	Add libgomp*.o to compare_exclusions for AIX.
	* configure: Regenerate.

2012-09-06  Diego Novillo  <dnovillo@google.com>

	* configure.ac: Bump minimum GMP version to 4.2.3.
	* configure: Re-generate.

2012-09-05  Georg-Johann Lay  <avr@gjlay.de>

	PR target/54461
	* configure.ac (noconfigdirs,target=avr-*-*): Add target-newlib,
	target-libgloss if not configured --with-avrlibc=no.
	* configure: Regenerate.

2012-09-04  Jason Merrill  <jason@redhat.com>

	* configure.ac: Fix --enable-languages=all.

2012-09-04  Christophe Lyon  <christophe.lyon@st.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-09-03  Richard Guenther  <rguenther@suse.de>

	PR bootstrap/54138
	* configure.ac: Re-organize ISL / CLOOG checks to allow
	disabling with either --without-isl or --without-cloog.
	* configure: Regenerated.

2012-09-03  Georg-Johann Lay  <avr@gjlay.de>

	* configure.ac (noconfigdirs,target=avr): Add target-libquadmath.
	* configure: Regenerate.

2012-08-27  Ulrich Drepper  <drepper@gmail.com>

	* MAINTAINERS: Fix my email address.

2012-08-26  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/4970
	* Makefile.def (host_modules): Rmove lib_path=.libs from bfd
	and opcodes.
	* Makefile.in: Regenerated.

2012-08-26  Art Haas <ahaas@impactweather.com>

	* configure: Regenerate.

2012-08-25  Křištof Želechovski <giecrilj@stegny.2a.pl>

	* INSTALL/README: Also refer to the online installation
	instructions.

2012-08-21  Hariharan Sandanagobalane <hariharan.gcc@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.
	(Picochip port): Remove myself.

2012-08-14   Diego Novillo  <dnovillo@google.com>

	Merge from cxx-conversion branch.

	* Makefile.tpl (STAGE[+id+]_CXXFLAGS): Remove
	POSTSTAGE1_CONFIGURE_FLAGS.
	* Makefile.in: Regenerate.
	* configure.ac (ENABLE_BUILD_WITH_CXX): Remove.  Update all users.
	Force C++ when bootstrapping.
	* configure: Regenerate.

2012-07-24  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	* MAINTAINERS (Write After Approval): Add myself.

2012-07-16  Joseph Myers  <joseph@codesourcery.com>

	* README: Document use of ranges of years in copyright notices.

2012-07-06  Richard Guenther  <rguenther@suse.de>

	* Makefile.def (cloog): Pass $(HOST_GMPINC) and $(HOST_ISLINC)
	as CPPFLAGS, pass path to built gmp as LDFLAGS, always use
	--with-gmp=system.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2012-07-06  Richard Guenther  <rguenther@suse.de>

	* configure.ac (extra_isl_gmp_configure_flags): Initialize and subst.
	* Makefile.def (isl): Use extra_isl_gmp_configure_flags and
	supply V=1 as extra_make_flags.
	* configure: Regenerated.
	* Makefile.in: Likewise.

2012-07-04  Tristan Gingold  <gingold@adacore.com>

	* configure: Regenerate.

2012-07-03  Richard Guenther  <rguenther@suse.de>

	* Makfile.def (isl): Remove not necessary extra_exports and
	extra_make_flags.
	(cloog): Use $$CPPFLAGS instead of ${CPPFLAGS}.
	* Makefile.in: Regenerated.

2012-07-03  Richard Guenther  <rguenther@suse.de>

	* Makefile.def (cloog): Add V=1 to extra_make_flags.
	* configure.ac: If either the ISL or the CLooG check failed
	do not try to build in-tree versions.
	* Makefile.in: Regenerated.
	* configure: Regenerated.

2012-07-03  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure: Regenerate.

2012-07-02  Janis Johnson  <janisjo@codesourcery.com>

	* MAINTAINERS (Various Maintainers): Add myself as testsuite
	maintainer.

2012-07-02  Richard Guenther  <rguenther@suse.de>

	* configure: Regenerated.

2012-07-02  Richard Guenther  <rguenther@suse.de>
	Michael Matz  <matz@suse.de>
	Tobias Grosser <tobias@grosser.es>
	Sebastian Pop <sebpop@gmail.com>

	* Makefile.def: Add ISL host module, remove PPL host module.
	Adjust ClooG host module to use the proper ISL.
	* Makefile.tpl: Pass ISL include flags instead of PPL ones.
	* configure.ac: Include config/isl.m4.  Add ISL host library,
	remove PPL.  Remove PPL configury, add ISL configury, adjust
	ClooG configury.
	* Makefile.in: Regenerated.
	* configure: Likewise.

2012-07-02  Richard Guenther  <rguenther@suse.de>

	Merge from graphite branch
	2011-07-21  Tobias Grosser  <tobias@grosser.es>

	* configure: Regenerated.
	* config/cloog.m4: Remove support for CLooG-ppl and CLooG-parma,
	both cloog.org and legacy versions. The only supported version will
	be CLooG with the isl backend.

	2011-07-21  Tobias Grosser  <tobias@grosser.es>

	* configure: Regenerated.
	* configure.ac: Require cloog isl 0.17.0

	2011-07-21  Tobias Grosser  <tobias@grosser.es>

	* configure: Regenerated.
	* config/cloog.m4: Do not define CLOOG_ORG

2012-06-29  Steven Bosscher  <steven@gcc.gnu.org>

	* configure.ac: Skip C if explicitly selected.
	* configure: Regenerate.

2012-06-28  Christophe Lyon <christophe.lyon@st.com>

	* configure.ac (CFLAGS_FOR_TARGET, CXXFLAGS_FOR_TARGET): Make sure
	they contain -O2.
	* configure: Regenerate.

2012-06-25  Richard Sandiford  <rdsandiford@googlemail.com>

	PR debug/53740
	* df.h, df-problems.c, dce.c: Revert last patch.

2012-06-25  Iain Sandoe  <iain@codesourcery.com>

	* MAINTAINERS (Write After Approval): Update my email address.

2012-06-21  Meador Inge  <meadori@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-06-20  Jason Merrill  <jason@redhat.com>

	* Makefile.tpl (check-target-libgomp-c++): New.
	(check-target-libitm-c++): New.
	* Makefile.def (c++): Add them.
	* Makefile.in: Regenerate.

2012-05-29  Edmar Wienskoski  <edmar@freescale.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-05-16  Olivier Hainque  <hainque@adacore.com>

	* Makefile.tpl (gcc-no-fixedincludes): Rename into ...
	(gcc-install-no-fixedincludes): Now forwarder to local target in gcc/
	(install-no-fixedincludes): Adjust accordingly.
	* Makefile.in: Regenerate.

2012-05-15  H.J. Lu  <hongjiu.lu@intel.com>

	Merge upstream change
	* libtool.m4 (_LT_ENABLE_LOCK): Support x32.

2012-05-14  Marc Glisse  <marc.glisse@inria.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2012-05-09  Nick Clifton  <nickc@redhat.com>
	    Paul Smith  <psmith@gnu.org>

	PR bootstrap/50461
	* configure.ac (mpfr-dir): When using in-tree MPFR sources
	allow for the fact that from release v3.1.0 of MPFR the source
	files were moved into a src sub-directory.
	* configure: Regenerate.

2012-05-07  Janne Blomqvist  <jb@gcc.gnu.org>

	* configure.ac: Bump minimum MPFR version to 2.4.0.
	* configure: Regenerated.

2012-05-01  Richard Henderson  <rth@redhat.com>

	* Makefile.def (libatomic): New target_module.
	* configure.ac (target_libraries): Add libatomic.
	(noconfigdirs): Check if libatomic is supported.
	* Makefile.in, configure: Rebuild.

2012-05-01  Greta Yorsh  <Greta.Yorsh@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-04-25  Joel Brobecker  <brobecker@adacore.com>

	* config.sub: Update to 2012-04-18 version from official repo.

2012-04-24  Naveen H.S  <naveen.S@kpitcummins.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-04-11  Steve Ellcey  <sellcey@mips.com>

	* MAINTAINERS: Changed email address.

2012-03-28  Georg-Johann Lay  <avr@gjlay.de>

	PR target/52737
	* contrib/gcc_update (files_and_dependencies):
	Remove gcc/config/avr/t-multilib from touch data.

2012-03-14  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* MAINTAINERS (OS Port Maintainers): Remove irix.
	* configure.ac (enable_libgomp): Remove *-*-irix6*.
	(unsupported_languages): Remove mips-sgi-irix6.*.
	(noconfigdirs): Don't add ${libgcj} for mips*-*-irix6*.
	(with_stabs): Remove.
	* configure: Regenerate.

2012-03-12  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* MAINTAINERS (OS Port Maintainers): Remove osf.
	* configure.ac (enable_libgomp): Remove *-*-osf*.
	(with_stabs): Remove alpha*-*-osf*.
	* configure: Regenerate.

2012-03-05  Tristan Gingold  <gingold@adacore.com>

	* configure.ac: Enable gdb and readline for ia64*-*-*vms*.
	* configure: Regenerate.

2012-02-17  Walter Lee  <walt@tilera.com>

	* MAINTAINERS: (Write After Approval): Delete myself.

2012-02-14  Walter Lee  <walt@tilera.com>

	* MAINTAINERS (tilegx port): Add myself.
	(tilepro port): Add myself.
	(Write After Approval): Add myself.

2012-02-12  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS (Various Maintainers): Add Diego Novillo, Gerald Pfeifer
	and Joseph Myers as docstring relicensing maintainers.

2012-02-09  Bin Cheng  <bin.cheng@arm.com>

	* MAINTAINERS (write-after-approval): Add myself.

2012-02-08  Ira Rosen <irar@il.ibm.com>

	* MAINTAINERS (Various Maintainers): Remove myself as auto-vectorizer
	maintainer.

2012-02-04  Venkataramanan Kumar  <venkataramanan.kumar@amd.com>

	* MAINTAINERS (Write After Approval): Move myself to
	maintain alphabetical order.

2012-02-03  Venkataramanan Kumar  <venkataramanan.kumar@amd.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-02-02  Jayant R Sonar <jayant.sonar@kpitcummins.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-02-02  Sumanth G <sumanth.gundapaneni@kpitcummins.com>
	    Jayant R Sonar <jayant.sonar@kpitcummins.com>

	* configure.ac (cr16-*-*): Remove nonconfigdirs.
	* configure: Regenerate.

2012-01-23  Harshit Chopra  <harshit@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-01-22  Douglas B Rupp  <rupp@ngnat.com>

	* configure.ac: Remove reference to mh-interix.
	* configure: Regenerate.

2012-01-05  Richard Henderson  <rth@redhat.com>

	PR bootstrap/51072
	* configure.ac: Disable libitm if c++ is not enabled.
	* configure: Rebuild.

	* configure.ac: Fix regexp for same.
	* configure: Rebuild.

2012-01-02  Balaji V. Iyer  <bviyer@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2012-01-02  Richard Guenther  <rguenther@suse.de>

	PR bootstrap/51686
	* Makefile.def (install-strip-gcc): Depend on install-strip-lto-plugin.
	* Makefile.in: Regenerate.

2011-12-28  Oleg Endo  <olegendo@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2011-12-18  Eric Botcazou  <ebotcazou@adacore.com>

	* configure: Regenerate.

2011-12-14  Hariharan Sandanagobalane  <hariharan.gcc@gmail.com>

	* MAINTAINERS (picochip): Changed email address.

2011-11-30  Matthew Gretton-Dann  <matthew.gretton-dann@arm.com>

	* MAINTAINERS (write-after-approval): Add self.

2011-11-29  DJ Delorie  <dj@redhat.com>

	* configure.ac (rl78-*-*) New case.
	* configure: Regenerate.
	* MAINTAINERS: Add myself as RL78 maintainer.

2011-11-21  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* MAINTAINERS: Add self as co-maintainer of the Ada front end.

2011-11-21  Andreas Tobler  <andreast@fgznet.ch>

	* libtool.m4: Additional FreeBSD 10 fixes.

2011-11-21  Joern Rennecke  <joern.rennecke@embecosm.com>

	* MAINTAINERS: Move myself from Write After Approval to CPU Port
	Maintainers section, as Epiphany maintainer.

2011-11-18  Iain Sandoe  <iains@gcc.gnu.org>

	PR target/49992
	* configure.ac: Remove ranlib special-casing for Darwin.
	* configure: Regenerate.

2011-11-12  Andrey Belevantsev  <abel@ispras.ru>

	* MAINTAINERS (Reviewers): Keep the list sorted.

2011-11-11  Andrey Belevantsev  <abel@ispras.ru>

	* MAINTAINERS (Selective Scheduling): Add myself as a reviewer.

2011-11-09  Roland McGrath  <mcgrathr@google.com>

	* configure.ac: Add tool checks for READELF and READELF_FOR_TARGET.
	* configure: Rebuild.
	* Makefile.def (flags_to_pass): Add READELF_FOR_TARGET.
	* Makefile.tpl (READELF, READELF_FOR_TARGET): New variables.
	(HOST_EXPORTS): Add READELF, READELF_FOR_TARGET.
	(BASE_FLAGS_TO_PASS): Add READELF_FOR_TARGET.
	(BASE_TARGET_EXPORTS, EXTRA_HOST_FLAGS, EXTRA_TARGET_FLAGS):
	Add READELF.
	* Makefile.in: Rebuild.

2011-11-09  Jason Merrill  <jason@redhat.com>

	* Makefile.def (language=c++): Remove check-c++0x.
	* Makefile.in (check-gcc-c++): Regenerate.

2011-11-08  Richard Henderson  <rth@redhat.com>

	* configure.ac: Test for libitm directory present first.

	* configure.ac: Adjust srcdir for running libitm/configure.tgt.

	* configure.ac: Test libitm/configure.tgt to disable libitm.
	* configure: Rebuild.

2011-11-07  Aldy Hernandez  <aldyh@redhat.com>
	    Richard Henderson  <rth@redhat.com>

	Merged from transactional-memory.

	* Makefile.def (lang_env_dependencies): libitm is c++.
	Add libitm target module.
	* configure.ac: Likewise.
	* config/mmap.m4: New file.
	* contrib/gcc_update: Add libitm to touch data.
	* Makefile.in, configure: Rebuild.

2011-11-02  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* Makefile.tpl (EXTRA_GCC_FLAGS): Remove LIBGCC2_CFLAGS,
	LIBGCC2_DEBUG_CFLAGS, LIBGCC2_INCLUDES.
	* Makefile.in: Regenerate.

2011-11-01  DJ Delorie  <dj@redhat.com>

	* config.sub: Update to version 2011-10-29 (added rl78)

2011-10-27  Nick Clifton  <nickc@redhat.com>

	* config.sub: Import these changes from the config project:

	2011-10-08  Joern Rennecke  <joern.rennecke@embecosm.com>
	    Ben Elliston  <bje@gnu.org>

	* config.sub (epiphany): New.

	2011-09-09  Linas Vepstas  <linasvepstas@gmail.com>
	    Ben Elliston  <bje@gnu.org>

	* config.sub (hexagon, hexagon-*): New.

	2011-08-23  Roland McGrath  <mcgrathr@google.com>

	* config.sub: Rename 32eb to be32, 32el to le32, 64el to le64, and
	64eb to be64.

	2011-08-16  Roland McGrath  <mcgrathr@google.com>

	* config.sub (32eb, 32el, 64eb, 64el): New (pseudo-)CPUs.
	(nacl): Grok as alias for 32el-unknown-nacl.

2011-10-25  Kirill Yukhin  <kirill.yukhin@intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-10-24  Teresa Johnson  <tejohnson@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-09-21  Jakub Jelinek  <jakub@redhat.com>

	* MAINTAINERS (sparc port): Remove myself.

2011-09-14  Tom de Vries  <tom@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-08-14  Yao Qi  <yao@codesourcery.com>

	* configure.ac (tic6x-*-*): Remove gdb from noconfigdirs.
	* configure: Regenerate.

2011-07-26  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Set have_compiler based on whether gcc directory
	exists, rather than on whether gcc is in configdirs.
	* configure: Rebuild.

2011-07-21  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS (Global Reviewers): Add self.

2011-07-20  David Edelsohn  <dje.gcc@gmail.com>

	* Makefile.tpl (POSTSTAGE1_CONFIGURE_FLAGS): Add libsupc++ to
	link directories.
	* Makefile.in: Rebuild.

2011-07-20  Ian Lance Taylor  <iant@google.com>

	PR bootstrap/49787
	* configure.ac: Move --enable-bootstrap handling earlier in file.
	If --enable-bootstrap and either --enable-build-with-cxx or
	--enable-build-poststage1-with-cxx, enable C++ automatically.
	* configure: Rebuild.

2011-07-19  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Add --enable-build-poststage1-with-cxx.  If set,
	make C++ a boot_language.  Set and substitute
	POSTSTAGE1_CONFIGURE_FLAGS.
	* Makefile.tpl (POSTSTAGE1_CONFIGURE_FLAGS): New variable.
	(STAGE[+id+]_CONFIGURE_FLAGS): Add $(POSTSTAGE1_CONFIGURE_FLAGS).
	* configure, Makefile.in: Rebuild.

2011-07-19  Vladimir Makarov  <vmakarov@redhat.com>

	* MAINTAINERS (Register Allocation): Move myself from reviewers to
	maintainers.

2011-07-18  Jakub Jelinek  <jakub@redhat.com>

	* MAINTAINERS (Global Reviewers): Add myself.

2011-07-18  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure: Regenerate.

2011-07-16  Jason Merrill  <jason@redhat.com>

	* Makefile.def (language=c++): Add check-c++0x and
	check-target-libmudflap-c++.
	* Makefile.tpl (check-target-libmudflap-c++): New.
	* Makefile.in: Regenerate.

2011-07-16  Matthias Klose  <doko@ubuntu.com>

	* Makefile.tpl (EXTRA_CONFIGARGS_LIBJAVA): Define.
	* Makefile.def (target_modules/libjava): Pass
	$(EXTRA_CONFIGARGS_LIBJAVA).
	* configure.ac: Pass --disable-static in EXTRA_CONFIGARGS_LIBJAVA,
	if not configured with --enable-static-libjava.
	* Makefile.in: Regenerate.
	* configure: Likewise.

2011-07-15  Jason Merrill  <jason@redhat.com>

	* Makefile.in (check-c++): Move check-gcc-c++0x after
	check-target-libstdc++-v3.

2011-07-15  Bernd Schmidt  <bernds@codesourcery.com>

	* MAINTAINERS (c6x port): New entry.

2011-07-13  Jason Merrill  <jason@redhat.com>

	* Makefile.in (check-gcc-c++0x): New.
	(check-c++): Depend on it.

2011-07-07  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR target/39150
	* configure.ac (i[3456789]86-*-solaris2*): Also accept
	x86_64-*-solaris2.1[0-9]*.
	* configure: Regenerate.

2011-06-29  Richard Sandiford  <rdsandiford@googlemail.com>

	* MAINTAINERS (RTL optimizers): Add self.

2011-06-27  Gabriel Charette  <gchare@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-06-22  Hans-Peter Nilsson  <hp@axis.com>

	PR regression/47836
	PR bootstrap/23656
	PR other/47733
	PR bootstrap/49247
	PR c/48825
	* configure.ac (target_libraries): Remove target-libiberty.
	Remove case-statement setting skipdirs=target-libiberty for
	multiple targets.  Remove checking target_configdirs and
	removing target-libiberty but keeping target-libgcc if
	otherwise empty.
	* Makefile.def (target_modules): Don't add libiberty.
	(dependencies): Remove all traces of target-libiberty.
	* configure, Makefile.in: Regenerate.

2011-06-13  Walter Lee <walt@tilera.com>

	* configure.ac (tilepro-*-*) New case.
	(tilegx-*-*): Likewise.
	* configure: Regenerate.

2011-06-06  Jing Yu  <jingyu@google.com>

	* configure.ac: Skip target-libiberty for
	arm*-*-linux-androideabi.
	* configure: Regenerated.

2011-06-06  Nick Clifton  <nickc@redhat.com>

	* config.sub: Sync from upstream.

2011-06-05  Nenad Vukicevic  <nenad@intrepid.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-06-01  Daniel Jacobowitz  <drow@false.org>

	* MAINTAINERS: Update my email address.

2011-05-27  Nathan Froyd  <froydnj@codesourcery.com>

	* MAINTAINERS (Write After Approval): Update my email address.

2011-05-11  Paul Pluzhnikov  <ppluzhnikov@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-05-08  Doug Kwan  <dougkwan@google.com>

	* configure.ac: Propagate LDFLAGS_FOR_TARGET.
	* configure: Regenerated.
	* Makefile.tpl (LDFLAGS_FOR_TARGET): Use LDFLAGS_FOR_TARGET
	value from configure.
	* Makefile.in: Regenerated.

2011-05-05  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (alpha*-dec-osf*, i[[3456789]]86-*-rdos*,
	sh*-*-pe|mips*-*-pe|arm-wince-pe, sparc-*-sunos4*, *-*-aix*,
	*-*-beos*, *-*-chorusos, *-*-dragonfly*, *-*-freebsd*, *-*-linux*
	| *-*-gnu* | *-*-k*bsd*-gnu | *-*-kopensolaris*-gnu, *-*-lynxos*,
	*-*-mingw*, *-*-netbsd*, *-*-netware*, *-*-tpf*, *-*-uclinux*,
	*-*-vxworks*): Disable newlib and libgloss in separate case
	statement.
	(i[[3456789]]86-*-linux*): Move logic allowing newlib to be built
	to separate case statement.
	(*-*-chorusos, *-*-dragonfly*, *-*-freebsd*, *-*-netbsd*,
	*-*-netware*, *-*-tpf*, *-*-uclinux*, *-*-vxworks*,
	alpha*-dec-osf*, alpha*-*-linux*, am33_2.0-*-linux*, sh-*-linux*,
	sh*-*-pe|mips*-*-pe|*arm-wince-pe, arm-*-coff, arm-*-elf* |
	arm*-*-eabi*, arm*-*-linux-gnueabi, arm*-*-symbianelf*, avr-*-*,
	bfin-*-*, cris-*-* | crisv32-*-*, frv-*-*, i[[3456789]]86-*-coff |
	i[[3456789]]86-*-elf, i[[3456789]]86-w64-mingw*,
	i[[3456789]]86-*-mingw*, x86_64-*-mingw*,
	i[[3456789]]86-*-interix*, i[[3456789]]86-*-beos*,
	i[[3456789]]86-*-rdos*, m32r-*-*,
	m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*, m68k-*-elf*, m68*-*-*
	| fido-*-*, powerpc-*-aix*, powerpc-*-beos*, powerpc-*-eabi,
	powerpc-*-eabi* | powerpcle-*-eabi* | powerpc-*-rtems*,
	rs6000-*-lynxos*, rs6000-*-aix*, mips*-*-linux*, sparclet-*-aout*
	| sparc86x-*-*, sparc-*-elf*, sparc64-*-elf*, sparclite-*-*,
	sparc-*-sunos4*, sparc-*-solaris* | sparc64-*-solaris* |
	sparcv9-*-solaris*, *-*-linux* | *-*-gnu* | *-*-k*bsd*-gnu |
	*-*-kopensolaris*-gnu, *-*-lynxos*, *-*-*): Don't disable newlib
	and libgloss in main case over targets.  Remove most empty cases
	in main case over targets.
	* configure: Regenerate.

2011-05-04  Janis Johnson  <janisjo@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-05-04  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Remove code setting special library locations for
	hppa*64*-*-hpux11*.  Remove code setting compiler for
	sparc-sun-solaris2*.
	* configure: Regenerate.

2011-05-04  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Separate libgloss_dir settings from general case
	over targets.
	* configure: Regenerate.

2011-04-28  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (*-*-dragonfly*, *-*-freebsd*, *-*-netbsd*,
	alpha*-dec-osf*, alpha*-*-linux*, alpha*-*-*, sh-*-linux*,
	arm-*-elf* | arm*-*-eabi*, arm*-*-linux-gnueabi, frv-*-*): Remove
	cases in libgcj-disabling case statement.
	(hppa*64*-*-linux*): Set unsupported_languages instead of
	disabling target-zlib.
	(hppa*64*-*-*): Restrict case in libgcj-disabling case statement
	to hppa*64*-*-hpux*.
	(hppa*-*-*): Restrict case in libgcj-disabling case statement to
	hppa*-*-hpux*.
	(ia64*-*-elf*, ia64*-**-hpux*, i[[3456789]]86-*-elf,
	i[[3456789]]86-*-linux*, *-*-cygwin*, i[[3456789]]86-*-interix*,
	i[[3456789]]86-*-solaris2*, m32r-*-*, m68k-*-elf*, m68*-*-* |
	fido-*-*, powerpc-*-eabi, powerpc-*-eabi* | powerpcle-*-eabi* |
	powerpc-*-rtems*, mips*-*-linux*, mips*-*-*, sh-*-* | sh64-*-*,
	sparc-*-elf*, sparc64-*-elf*, sparc-*-solaris* |
	sparc64-*-solaris* | sparcv9-*-solaris*, *-*-linux* | *-*-gnu* |
	*-*-k*bsd*-gnu | *-*-kopensolaris*-gnu, *-*-*): Remove cases in
	libgcj-disabling case statement.
	* configure: Regenerate.

2011-04-28  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Disable Java for targets not supporting libffi.
	(*-*-chorusos, *-*-kaos*, am33_2.0-*-linux*, sh*-*-pe|mips*-*-pe):
	Remove cases in Java-disabling statement.
	(*arm-wince-pe): Change to arm-wince-pe.
	(arc-*-*, arm-*-coff, arm-*-pe*, arm-*-riscix*, avr-*-*): Remove
	cases in Java-disabling statement.
	(bfin-*-*): Don't disable Java again.
	(c4x-*-* | tic4x-*-*, tic54x-*-*, cr16-*-*, d10v-*-*, d30v-*-*,
	fr30-*-elf*, moxie-*-*, h8300*-*-*, h8500-*-*, hppa1.1-*-osf* |
	hppa1.1-*-bsd*, hppa*-*-*elf* | hppa*-*-lites* | hppa*-*-openbsd*,
	hppa*-*-pro*, i960-*-*, i[[3456789]]86-*-coff,
	i[[3456789]]86-*-pe, i[[3456789]]86-*-sco3.2v5*,
	i[[3456789]]86-*-sco*, i[[3456789]]86-*-sysv4*,
	i[[3456789]]86-*-beos*, i[[3456789]]86-*-rdos*,
	m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*): Remove cases in
	Java-disabling statement.
	(mmix-*-*): Don't disable Java again.
	(mt-*-*, powerpc*-*-winnt* | powerpc*-*-pe*, powerpcle-*-solaris*,
	powerpc-*-beos*, rs6000-*-lynxos*, rs6000-*-*, m68k-apollo-*,
	microblaze*, mips*-sde-elf*, mips*-*-irix5*, mips*-*-bsd*,
	sparclet-*-aout* | sparc86x-*-*, sparclite-*-*, sparc-*-sunos4*,
	tic6x-*-*, v810-*-*, vax-*-*): Remove cases in Java-disabling
	statement.
	* configure: Regenerate.

2011-04-28  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Separate cases disabling Java and Java libraries
	from general case over targets.
	* configure: Regenerate.

2011-04-21  Jie Zhang  <jzhang918@gmail.com>

	* MAINTAINERS: Update my email address.

2011-04-20  Easwaran Raman  <eraman@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-04-18  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR lto/48086
	* configure.ac: Re-enable LTO on *-apple-darwin9*.
	* configure: Regenerate.

2011-04-16  Jim Meyering  <meyering@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-04-15  Dodji Seketeli  <dodji@redhat.com>

	* MAINTAINERS: Update my email address.

2011-04-13  Georg-Johann Lay  <avr@gjlay.de>

	* MAINTAINERS (Write After Approval): Add myself.

2011-04-12  Yufeng Zhang  <yufeng.zhang@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2011-04-07  Stuart Henderson  <shenders@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2011-04-06  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (build_tools): Remove build-byacc.
	(host_libs): Remove mmalloc.
	(host_tools): Remove byacc make patch prms send-pr ash bash bzip2
	autoconf automake libtool diff rcs fileutils shellutils time
	textutils wdiff find uudecode hello tar gzip indent recode release
	sed perl gawk findutils gettext zip.
	(libgcj): Remove target-qthreads.
	(target_tools): Remove target-examples target-gperf.
	(YACC): Don't handle building byacc.
	* configure: Regenerate.
	* Makefile.def (ash, autoconf, automake, bash, byacc, bzip2, diff,
	dosutils, examples, fileutils, find, findutils, gawk, gettext,
	gnuserv, gperf, gzip, hello, indent, libtool, make, mmalloc,
	patch, perl, prms, qthreads, rcs, recode, release, sed, send-pr,
	shellutils, tar, textutils, time, uudecode, wdiff, zip): Don't
	handle building components.
	* Makefile.in: Regenerate.

2011-04-05  Sterling Augustine <augustine.sterling@gmail.com>

	* MAINTAINERS: Update my email address as Xtensa maintainer.

2011-04-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config.sub: Sync from upstream.

2011-04-01  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (avr-*-*): Add comment about why libssp is disabled.
	(microblaze*): Don't disable libssp.
	* configure: Regenerate.

2011-04-01  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Remove code setting CONFIG_SHELL, config_shell and
	moveifchange.
	* configure: Regenerate.
	* Makefile.tpl: Use @SHELL@ not @config_shell@.
	* Makefile.in: Regenerate.

2011-04-01  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (*-*-sysv4*): Don't enable libgomp.
	(alpha*-*-*vms*, i[[34567]]86-*-sco3.2v5*, mn10300-*-*,
	powerpc-*-chorusos*, powerpc*-*-eabi*, powerpc*-*-sysv*,
	powerpc*-*-kaos*, s390x-ibm-tpf*, sparc64-*-elf*, v850*-*-*,
	xtensa*-*-elf*, *-*-beos*, *-*-elf*, *-*-netware*, *-*-rtems*,
	*-*-sysv[[45]]*, *-*-vxworks*, *-wrs-windiss): Remove
	md_exec_prefix cases.
	* configure: Regenerate.

2011-04-01  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac: Separate cases disabling target-libssp,
	target-libiberty, target-libstdc++-v3 and Fortran from general
	case over targets.
	* configure: Regenerate.

2011-04-01  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (*-*-chorusos): Don't disable libgcj.
	(*-*-freebsd[[12]] | *-*-freebsd[[12]].* | *-*-freebsd*aout*):
	Remove case.
	(*-*-kaos*): Don't disable GCC libraries, zlib or fastjar.
	(arm-*-coff): Don't disable libgcj.
	(arm*-*-linux-gnueabi): Remove useless assignment.
	(arm-*-riscix*): Don't disable libgcj.
	(bfin-*-*): Don't enable target-bsp and target-cygmon depending on
	configuration.
	(c4x-*-* | tic4x-*-*): Don't disable GCC libraries.
	(c54x*-*-*): Remove case.
	(tic54x-*-*): Don't disable GCC or GCC libraries.
	(cris-*-* | crisv32-*-*): Don't handle *-*-aout.  Change *-*-elf
	to *.
	(d10v-*-*): Don't disable GCC libraries.
	(d30v-*-*): Don't disable libgcj.
	(h8500-*-*): Don't disable GCC libraries.
	(i960-*-*): Don't disable libgcj.
	(i[[3456789]]86-*-linux*): Don't handle *-*-*libc1*.
	(i[[3456789]]86-*-sco3.2v5*, i[[3456789]]86-*-sco*,
	i[[3456789]]86-*-sysv4*, i[[3456789]]86-*-beos*): Don't disable
	libgcj.
	(m68k-*-coff*): Remove case.
	(mmix-*-*): Don't disable libgloss on host.
	(mn10200-*-*, mn10300-*-*): Remove cases.
	(powerpc*-*-winnt* | powerpc*-*-pe*, powerpcle-*-solaris*,
	powerpc-*-beos*, m68k-apollo-*, mips*-*-irix5*, mips*-*-bsd*):
	Don't disable libgcj.
	(romp-*-*): Remove case.
	(sparclite-*-*, sparc-*-sunos4*): Don't disable libgcj.
	(sparc-*-solaris2.[[0-6]] | sparc-*-solaris2.[[0-6]].*): Remove
	case.
	(v810-*-*): Don't disable GCC libraries.
	(v850*-*-*, vax-*-vms, xtensa*-*-*): Remove cases.
	(ip2k-*-*): Don't disable GCC libraries.
	* configure: Regenerate.

2011-03-28  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (i[[3456789]]86-*-msdosdjgpp*): Don't disable
	libffi on host.
	(x86_64-*-mingw*, i[[3456789]]86-*-mingw32*): Don't disable newlib
	on host.
	(c54x*-*-* | tic54x-*-*): Don't disable newlib on host.
	* configure: Regenerate.

2011-03-26  John Marino  <binutils@marino.st>

	* configure.ac: Add support for *-*-dragonfly*
	* configure: Regenerate.

2011-03-25  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (native_only): Remove.
	(i[[3456789]]86-*-msdosdjgpp*): Don't disable expect dejagnu
	send-pr uudecode guile gnuserv on host.
	(x86_64-*-mingw*): Don't disable expect dejagnu autoconf automake
	send-pr rcs guile perl texinfo libtool on host.
	(i[[3456789]]86-*-mingw32*): Don't disable expect dejagnu autoconf
	automake send-pr rcs guile perl texinfo libtool on host.
	(*-*-cygwin*, *-*-netbsd*): Remove host cases.
	(*-*-kaos*): Don't disable target-examples target-gperf on target.
	(alpha*-dec-osf*): Don't disable fileutils on target.
	(sh*-*-pe|mips*-*-pe|*arm-wince-pe): Don't disable target-examples
	texinfo send-pr expect dejagnu on target.
	(arm-*-elf* | arm*-*-eabi*, arm*-*-linux-gnueabi): Don't disable
	target-qthreads on target.
	(hppa*-hp-hpux11*, hppa*-*-*): Don't disable shellutils on target.
	(ia64*-*-elf*, ia64*-*-*vms*): Don't disable mmalloc on target.
	(i[[3456789]]86-w64-mingw*, i[[3456789]]86-*-mingw*,
	x86_64-*-mingw*): Don't disable expect on target.
	(*-*-cygwin*): Don't disable target-gperf on target.
	(powerpc*-*-winnt* | powerpc*-*-pe*): Don't disable make expect
	gnuserv on target.
	(powerpcle-*-solaris*): Don't disable make expect gnuserv on
	target.
	* configure: Regenerate.

2011-03-25  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (target_tools): Remove target-groff.
	(native_only): Remove target-groff.
	(hppa*64*-*-*): Don't disable byacc.
	(i[[3456789]]86-*-mingw32*): Remove commented-out noconfigdirs
	setting.
	(*-*-kaos*): Don't skip target-librx and target-groff.
	(*-*-netware*): Don't skip target-libmudflap.
	(*-*-tpf*): Don't skip target-libmudflap.
	(sh*-*-pe|mips*-*-pe|*arm-wince-pe): Don't condition configured
	directories on the host.
	(ia64*-*-*vms*): Don't skip tix.
	(sh-*-* | sh64-*-*): Don't condition skipped directories on the
	host.
	* configure: Regenerate.

2011-03-24  Paolo Bonzini  <pbonzini@redhat.com>

	* configure.ac: Remove references to mt-mep, mt-netware,
	mt-wince.
	* Makefile.def: Add all-utils soft dependencies.
	* Makefile.tpl: Remove GDB_NLM_DEPS.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

2011-03-24  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Do not include mh-x86omitfp.
	* configure: Regenerate.

2011-03-24  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Remove empty cases.
	* configure: Regenerate.

2011-03-24  Paolo Bonzini  <bonzini@gnu.org>

	* Makefile.def: Add dependency from termcap to gdb.
	* Makefile.in: Regenerate.

2011-03-24  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Remove all mentions of mh-sysv4 and mh-solaris.
	* configure: Regenerate.
	* Makefile.def: Remove all mentions of X11_FLAGS_TO_PASS.
	* Makefile.tpl: Likewise.
	* Makefile.in: Regenerate.

2011-03-24  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Remove all mentions of tentative_cc.
	* configure: Regenerate.

2011-03-24  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (i[[3456789]]86-*-vsta, i[[3456789]]86-*-go32*,
	i[[3456789]]86-*-beos*, powerpc-*-beos*, m68k-hp-hpux*,
	m68k-apollo-sysv*, m68k-apollo-bsd*, m88k-dg-dgux*,
	m88k-harris-cxux*, m88k-motorola-sysv*, mips*-dec-ultrix*,
	mips*-nec-sysv4*, mips*-sgi-irix4*, mips*-*-sysv4*, mips*-*-sysv*,
	i370-ibm-opened*, i[[3456789]]86-*-sysv5*, i[[3456789]]86-*-dgux*,
	i[[3456789]]86-ncr-sysv4.3*, i[[3456789]]86-ncr-sysv4*,
	i[[3456789]]86-*-sco3.2v5*, i[[3456789]]86-*-sco*,
	i[[3456789]]86-*-udk*, vax-*-ultrix2*, m68k-sun-sunos*,
	hppa*-*-hiux*, *-*-hiux*, rs6000-*-lynxos*, *-*-sysv4*,
	*-*-rhapsody*): Remove host cases.
	* configure: Regenerate.

2011-03-24  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (ppc*-*-pe): Remove host case.
	(strongarm-*-coff | xscale-*-coff, strongarm-*-elf* |
	xscale-*-elf*, thumb-*-coff, thumb-*-elf, thumb-*-pe, ep9312-*-elf
	| ep9312-*-coff, parisc*64*-*-linux*, ppc*-*-pe): Remove target
	cases.
	* configure: Regenerate.

2011-03-24  Joseph Myers  <joseph@codesourcery.com>

	* config.sub: Update to version 2011-03-23.

2011-03-22  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (arm-semi-aof, crx-*-*, parisc*-*-linux*,
	i370-*-opened*, i[[3456789]]86-moss-msdos | i[[3456789]]86-*-moss*
	| i[[3456789]]86-*-uwin*, mcore-*-pe*): Remove empty cases.
	* configure: Regenerate.

2011-03-22  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS (crx port, m68hc11 port): Remove.  Move maintainers
	to Write After Approval.
	* config-ml.in: Don't handle arc-*-elf*.
	* configure.ac (arc-*-*, crx-*-*, i[[3456789]]86-*-pe,
	m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*, mcore-*-pe*): Don't
	handle GCC libraries.
	* configure: Regenerate.

2011-03-21  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR bootstrap/48120:
	* configure.ac (pwllib): Use LIBS instead of LDFLAGS.
	Add -lstdc++ -lm to LIBS.
	* configure: Regenerate.

2011-03-18  David Edelsohn  <dje.gcc@gmail.com>

	* config.guess: Update to version 2011-02-02
	* config.sub: Update to version 2011-02-24

2011-03-16  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR lto/48086
	* configure.ac: Re-enable LTO on *-apple-darwin9.
	* configure: Regenerate.

2011-03-13  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR lto/48086
	* configure.ac: Disable LTO on darwin due to an assembler change in
	Xcode 3.2.6/4.0 that limits the total number of sections/segments to
	under 256.
	* configure: Regenerate.

2011-03-11  Chen Liqin <liqin.gcc@gmail.com>

	* MAINTAINERS: Update myself as score backend maintainer,
	update my e-mail address.

2011-03-09  Xuepeng Guo  <terry.guo@arm.com>

	* MAINTAINERS: Update my e-mail address.

2011-03-06  Joey Ye  <joey.ye@arm.com>

	* MAINTAINERS: Update my e-mail address.

2011-03-02  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Adjust test of with_ppl.
	* configure: Regenerated.

2011-03-02  Kai Tietz  <ktietz@redhat.com>

	* MAINTAINERS: Adjust my e-mail address.

2011-03-02  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Add -lpwl to ppllibs.
	* configure: Regenerated.

2011-03-02  Sebastian Pop  <sebastian.pop@amd.com>

	* config/cloog.m4: Add -lisl to clooglibs.
	* configure: Regenerated.

2011-02-24  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>

	* MAINTAINERS (CPU Port maintainers): Add self.

2011-02-16  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* MAINTAINERS: Add myself as testsuite maintainer.

2011-02-15  Mike Stump  <mikestump@comcast.net>

	* MAINTAINERS: Add myself as testsuite maintainer.

2011-02-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Import from Libtool and gnulib:

	2011-01-27  Gerald Pfeifer  <gerald@pfeifer.com>

	Prepare for supporting FreeBSD 10.
	* config.rpath: Remove handling of freebsd1* which soon would
	match FreeBSD 10.0.

	2011-01-20  Gerald Pfeifer  <gerald@pfeifer.com>  (tiny change)

	Remove support for FreeBSD 1.x.
	* libtool.m4 (_LT_LINKER_SHLIBS)
	(_LT_SYS_DYNAMIC_LINKER): Remove handling of freebsd1* which
	soon would incorrectly match FreeBSD 10.0.

2011-02-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR binutils/12283
	* move-if-change: Import version from gnulib.

2011-02-12  Alexandre Oliva  <aoliva@redhat.com>

	PR lto/47225
	* Makefile.def (lto-plugin): Double dash for enable-shared.
	(configure-gcc): Depend on all-lto-plugin.
	* Makefile.in: Rebuilt.

2011-02-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Remove extra bracket.
	* configure: Regenerate.

2011-02-08  Tobias Burnus  <burnus@net-b.de>

	* MAINTAINERS: Add myself as libquadmath maintainer.

2011-02-08  Thomas Schwinge  <thomas@schwinge.name>

	* MAINTAINERS: Update my email address.

2011-02-07  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS (option handling): Add self.

2011-02-06  Kai Tietz  <kai.tietz@onevision.com>

	PR lto/47225
	* Makefile.def: Add dependency for install-gcc
	on install-lto-plugin.
	* Makfile.in: Regenerated

2011-02-01  Sebastien Bourdeauducq  <sebastien@milkymist.org>

	* MAINTAINERS (CPU Port Maintainers): Add myself.

2011-01-31  Alexandre Oliva  <aoliva@redhat.com>

	PR libgcj/44341
	* configure.ac: Discard --with-* flags for host when configuring
	target libraries for cross build.
	* configure: Rebuilt.

2011-01-25  Sebastian Pop  <sebastian.pop@amd.com>

	* MAINTAINERS (linear loop transforms): Removed.

2011-01-25  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: If with_ppl is no, move setting with_cloog=no
	after CLOOG_REQUESTED check.
	* configure: Regenerated.

2011-01-25  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Call AC_MSG_ERROR when PPL 0.11 is not present and
	CLooG has been requested.
	* configure: Regenerated.

2011-01-25  Sebastian Pop  <sebastian.pop@amd.com>

	* configure: Regenerated.
	* configure.ac: Check for version 0.11 (or later revision) of PPL.

2011-01-25  Tobias Grosser  <grosser@fim.uni-passau.de>

	* configure: Regenerated.
	* configure.ac: Use CLOOG_CHECK_VERSION(0,16,1).

2011-01-21  Andreas Schwab  <schwab@redhat.com>

	* configure.ac: Use AS_HELP_STRING throughout.
	* configure: Regenerate.

2011-01-18  Jie Zhang  <jie.zhang@analog.com>

	* configure.ac (bfin-*-*): Remove gdb from noconfigdirs.
	* configure: Regenerate.

2011-01-13  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* ltmain.sh (relink): Use absolute path when hardcoding with -L.

2011-01-13  Joel Brobecker  <brobecker@adacore.com>

	* configure.ac: Remove readline, mmalloc, and gdb from noconfigdirs
	for ia64-hpux.
	* configure: Regenerate.

2011-01-07  Jan Hubicka  <jh@suse.cz>

	PR lto/47225
	* Makefile.in: Regenerate.
	* Makefile.def (lto-plugin): Always pass enable-shared to the plugin
	configure.

2011-01-07  Jan Hubicka  <jh@suse.cz>

	* Makefile.in: Regenerate.
	* Makefile.def (gcc host module) and soft dependency on lto-plugin
	and configure dependency on lto-plugin configure.
	(lto-plugin module): Remove dependency on GCC; add dependency on
	liniberty.

2011-01-07  William Schmidt  <wschmidt@linux.vnet.ibm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-12-23  Hariharan Sandanagobalane <hariharan@picochip.com>

	* configure: Regenerate.

2010-12-22  Hariharan Sandanagobalane <hariharan@picochip.com>

	* configure.ac: (picochip): Disable libiberty.

2010-12-14  Kaushik Phatak  <kaushik.phatak@kpitcummins.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-12-10  Ian Lance Taylor  <iant@google.com>

	PR bootstrap/46819
	* configure.ac: For --disable-libgcj clear libgcj_saved.
	* configure: Rebuild.

2010-12-10  Tobias Burnus  <burnus@net-b.de>

	PR fortran/46540
	* configure.ac: Add --disable-libquadmath and
	--disable-libquadmath-support.
	* configure: Regenerate.

2010-12-03  Ian Lance Taylor  <iant@google.com>

	* MAINTAINERS: Add myself as libgo maintainer.

2010-12-03  Hans-Peter Nilsson  <hp@axis.com>

	PR libffi/46792
	* configure.ac (cris-*-elf, crisv32-*-elf): Disable target-libffi.
	* configure: Regenerate.

2010-12-02  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Always set default for poststage1_ldflags to
	-static-libstdc++ -static-libgcc.

2010-11-29  Andreas Schwab  <schwab@redhat.com>

	* configure.ac: Move comment to remove extra space in last argument
	of GCC_TARGET_TOOL.

2010-11-26  Alexandre Oliva  <aoliva@redhat.com>

	PR other/46026
	* configure.ac (CXX_FOR_TARGET): Add -funconfigured-libstdc++-v3.
	* Makefile.def (CXX_FOR_TARGET): Removed from flags_to_pass.
	* Makefile.tpl (CXX_FOR_TARGET_FLAG_TO_PASS): New.
	(BASE_FLAGS_TO_PASS): Use it.
	* configure: Rebuilt.
	* Makefile.in: Rebuilt.

2010-11-23  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/12258
	* configure.ac: Correct comments for --enable-gold/--enable-ld.
	Properly check default linker.
	* configure: Regnerated.

2010-11-23  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: For --enable-gold, handle value `default' instead of
	`both*'.  New configure option --{en,dis}able-ld.
	* configure: Regenerate.

2010-11-20  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Only disable a language library if no language needs
	it.  Don't let --disable-libgcj uncondtionally disable libffi.
	* configure: Rebuild.

2010-11-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.in: Regenerate.

	PR other/46202
	* configure.ac: Fix just-built in-tree STRIP name to be
	binutils/strip-new.
	* configure: Regenerate.
	* Makefile.def (install-strip-gcc, install-strip-binutils)
	(install-strip-opcodes, install-strip-ld, install-strip-itcl)
	(install-strip-sid): Mirror dependencies on non-strip variants
	of these targets on the respective -strip prerequisites.
	* Makefile.tpl (install-strip, install-strip-host)
	(install-strip-target): New targets.
	(install-strip-[+module+], install-strip-target-[+module+]):
	New targets.
	* Makefile.in: Regenerate.

2010-11-19  Ian Lance Taylor  <iant@google.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Add target-libgo to target_libraries.  Set
	and substitute GOC_FOR_BUILD and GOC_FOR_TARGET.
	* Makefile.tpl (BUILD_EXPORTS): Add GOC and GOCFLAGS.
	(HOST_EXPORTS): Add GOC.
	(BASE_TARGET_EXPORTS): Add GOC.
	(GOC_FOR_BUILD, GOCFLAGS, GOC_FOR_TARGET): New variables.
	(GOCFLAGS_FOR_TARGET): New variable.
	(EXTRA_HOST_FLAGS): Add GOC.
	(EXTRA_TARGET_FLAGS): Add GOC and GOCFLAGS.
	* Makefile.def (target_modules): Add libgo.
	(flags_to_pass): Add GOC_FOR_TARGET and GOCFLAGS_FOR_TARGET.
	(dependencies): Add dependency from configure-target-libgo to
	configure-target-libffi and all-target-libstdc++-v3.  Add
	dependencies from all-target-libgo to all-target-libffi.
	(languages): Add go.
	* configure: Rebuild.
	* Makefile.in: Rebuild.

2010-11-19  Ian Lance Taylor  <iant@google.com>

	* config-ml.in: Add Go support: treat GOC and GOCFLAGS like other
	compiler/flag environment variables.

2010-11-18  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Check for lang_requires_boot_languages in
	config-lang.in files.
	* configure: Rebuild.

2010-11-16  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>
	    Tobias Burnus  <burnus@net-b.de>

	PR fortran/32049
	* Makefile.def: Add libquadmath; build it with language=fortran.
	* configure.ac: Add libquadmath.
	* Makefile.tpl: Handle multiple libs in check-[+language+].
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2010-11-16  Tom Tromey  <tromey@redhat.com>

	* MAINTAINERS: Moved myself to reviewers section.

2010-11-15  Zdenek Dvorak  <ook@ucw.cz>

	* MAINTAINERS: Moved myself to reviewers section.

2010-11-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* MAINTAINERS (Various Maintainers): Add self for build machinery.
	(Write After Approval): Remove self.

2010-11-15  Andreas Schwab  <schwab@redhat.com>

	* configure.ac: Fix spelling in option names.
	* configure: Regenerated.

2010-11-13  Georg-Johann Lay  <georgjohann@web.de>

	PR bootstrap/39622
	* configure.ac (FLAGS_FOR_TARGET): Add include-fixed path.
	* configure: Regenerated.

2010-11-13  Kaveh R. Ghazi  <ghazi@gcc.gnu.org>

	* MAINTAINERS: Update my email address.

2010-11-12  Tobias Grosser  <grosser@fim.uni-passau.de>

	* configure: Regenerate.

2010-11-12  Tobias Grosser  <grosser@fim.uni-passau.de>

	* configure: Regenerate.

2010-11-12  Tobias Grosser  <grosser@fim.uni-passau.de>

	* configure: Regenerate.

2010-11-12  Tobias Grosser  <grosser@fim.uni-passau.de>

	* configure: Regenerate.

2010-11-11  Andreas Simbuerger  <simbuerg@fim.uni-passau.de>

	* configure.ac: Support official CLooG.org versions.
	* configure: Regenerate.
	* config/cloog.m4: New.

2010-11-10  François Dumont  <francois.cppdevs@free.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2010-11-09  David Edelsohn  <dje.gcc@gmail.com>

	* MAINTAINERS: Update my email address.

2010-11-04  Iain Sandoe  <iains@gcc.gnu.org>

	* configure.ac (*-*-darwin*): Use mh-darwin for all Darwin variants.
	* configure: Regenerate.

2010-11-03  Ian Lance Taylor  <iant@google.com>
	    Dave Korn  <dave.korn.cygwin@gmail.com>

	PR lto/46273
	* configure.ac: Remove libelf tests.  Build lto-plugin on ELF always
	and on other supported platforms whenever LTO is enabled.
	* configure: Rebuild.

2010-11-02  Alan Modra  <amodra@gmail.com>

	PR binutils/12110
	* configure.ac: Error when source path contains spaces.
	* configure: Regenerate.

2010-10-23  James E. Wilson  <wilson@codesourcery.com>

	* MAINTAINERS: Update my email address.

2010-10-20  Ian Lance Taylor  <iant@google.com>

	* Makefile.def (target_modules): Set lib_path to src/.libs for
	libstdc++-v3 module.
	* Makefile.tpl: Fix typo in TARGET_LIB_PATH comment.
	* Makefile.in: Rebuild.

2010-10-18  Laurynas Biveinis  <laurynas.biveinis@gmail.com>

	* MAINTAINERS (Reviewers): Add myself for gengtype/GTY.
	(Write After Approval): Remove myself.

2010-10-15  Tristan Gingold  <gingold@adacore.com>

	* MAINTAINERS (OS Port Maintainers): Add myself for VMS.

2010-10-14  Douglas Rupp  <rupp@gnat.com>

	* MAINTAINERS (OS Port Maintainers): Add myself for VMS.

2010-10-07  Dave Korn  <dave.korn.cygwin@gmail.com>

	* configure.ac (build_lto_plugin): New shell variable.
	(--enable-lto): Turn on by default for all non-ELF platforms that
	have had LTO support added so far.  Set build_lto_plugin appropriately
	for both ELF and non-ELF.
	(configdirs): Add lto-plugin or not based on build_lto_plugin.
	* configure: Regenerate.

2010-10-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Sync from src:
	* configure.ac (v850 support): Remove target-libgloss from
	noconfigdirs.
	* configure: Regenerate.

2010-10-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/45326
	PR bootstrap/45174
	* configure.ac: Honor initial values of $build_configargs,
	$host_configargs, $target_configargs.  Mark the precious, so
	environment settings get recorded.
	* configure: Regenerate.

2010-09-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/45796
	* Makefile.def (info-gcc, dvi-gcc, pdf-gcc, html-gcc):
	Depend on all-build-libiberty.
	* Makefile.in: Regenerate.

2010-09-30  Michael Eager  <eager@eagercon.com>

	* configure.ac (microblaze): Add target-libssp to noconfigdirs.
	* configure: Regenerate.

2010-09-28  Michael Eager  <eager@eagercon.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for MicroBlaze port.

2010-06-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/44621
	* configure.ac: Fix unportable shell quoting.
	* configure: Regenerate.

2010-09-21  Iain Sandoe  <iains@gcc.gnu.org>

	* configure.ac (enable-lto): Add Darwin to the list of supported lto
	targets and amend comment.
	* configure: Regenerate.

2010-09-15  Tejas Belagod  <tejas.belagod@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-09-03  Jack Howarth <howarth@bromo.med.uc.edu>

	* configure.ac: Enable LTO by default on Darwin.
	* configure: Regenerate.

2010-09-02  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-09-01  Ian Bolton  <ian.bolton@arm.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-08-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* MAINTAINERS (OS Port Maintainers): Remove myself from windows
	ports

2010-07-28  David Yuste  <david.yuste@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-07-26  Naveen.H.S  <naveen.S@kpitcummins.com>

	* configure.ac: Support all v850 targets.
	* configure: Regenerate.

2010-07-23  Marc Glisse <marc.glisse@normalesup.org>

	PR bootstrap/44455
	* configure.ac (extra_mpfr_configure_flags): Copy from
	extra_mpc_gmp_configure_flags.
	* configure: Re-generated.

2010-07-22  Andi Kleen  <ak@linux.intel.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-07-22  Chung-Lin Tang  <cltang@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-07-20  Jeffrey Yasskin  <jyasskin@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-07-17  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR target/44862
	* Makefile.tpl (POSTSTAGE1_CXX_EXPORT):
	Provide -B option to allow for link spec %s substitutions for
	libstdc++.a on darwin.
	* Makefile.in: Regenerate.

2010-07-10  Mikael Morin  <mikael@gcc.gnu.org>

	* MAINTAINERS (Reviewers): Update my e-mail address

2010-06-10  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.def (configure-gcc): Depend on all-libelf.
	* Makefile.in: Rebuild.

2010-06-05  Fabien Chêne  <fabien@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself in the right place.

2010-06-04  Fabien Chêne  <fabien@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2010-05-25  Sterling Augustine  <sterling@tensilica.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for xtensa port.

2010-05-25  Maxim Kuvyrkov  <maxim@codesourcery.com>

	* config.sub: Update to version 2010-05-21.
	* config.guess: Update to version 2010-04-03.

2010-05-18  Steven Bosscher  <steven@gcc.gnu.org>

	* configure.ac (--enable-lto): All *-apple-darwin* now support LTO.
	* configure: Regenerate.

2010-05-12  Sriraman Tallam  <tmsriram@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2010-05-07  Steven Bosscher  <steven@gcc.gnu.org>

	* configure.ac (--enable-lto): Add x86_64-apple-darwin* as
	a platform that supports LTO.
	* configure: Regenerate.

2010-05-05  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Allow all the versions greater than 0.10 of PPL.
	* configure: Regenerated.

2010-04-27  Roland McGrath  <roland@redhat.com>
	    H.J. Lu  <hongjiu.lu@intel.com>

	* configure.ac (--enable-gold): Support both, both/gold and
	both/bfd to add gold to configdirs without removing ld.
	* configure: Regenerated.

	* Makefile.def: Add install-gold dependency to install-ld.
	* Makefile.in: Regenerated.

2010-04-27  Dave Korn  <dave.korn.cygwin@gmail.com>

	PR lto/42776
	* configure.ac (--enable-lto): Refactor handling so libelf tests
	are only performed inside then-clause of ACX_ELF_TARGET_IFELSE,
	and allow LTO to be explicitly enabled on non-ELF platforms that
	are known to support it inside else-clause.
	* configure: Regenerate.

2010-04-20  Eric Botcazou  <ebotcazou@adacore.com>

	* configure.ac (BUILD_CONFIG): Redirect output to /dev/null.
	* configure: Regenerate.

2010-04-17  Ralf Corsépius  <ralf.corsepius@rtems.org>

	* configure.ac (*-*-rtems*): Add target-libiberty to $skipdirs.
	* configure: Regenerate.

2010-04-16  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac: Check for elf_getshdrstrndx or elf_getshstrndx
	separately.
	* configure: Regenerate.

2010-04-16  Kevin Williams  <kevin.williams@inria.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2010-04-14  Tristan Gingold  <gingold@adacore.com>

	* configure.ac (alpha*-*-*vms*): Remove ld from noconfigdirs.
	* configure: Regenerate.

2010-04-13  Steve Ellcey  <sje@cup.hp.com>

	* configure: Regenerate after change to elf.m4.

2010-04-06  Iain Sandoe  <iains@gcc.gnu.org>

	* MAINTAINERS (Write After Approval): Add myself.

2010-04-02  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Add brackets around AC_TRY_COMPILE alternative.
	* configure: Regenerated.

2010-04-02  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac: Print "buggy but acceptable" when CLooG
	revision is less than 9.
	* configure: Regenerated.

2010-04-01  Diego Novillo  <dnovillo@google.com>

	* MAINTAINERS (Plugin): Add myself and Le-Chun Wu.

2010-04-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/43615
	PR bootstrap/43328

	Revert:

	2010-03-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Do not pass --enable-multilib nor
	--disable-multilib in baseargs.  Accept explicitly passed
	--enable_multilib.
	* configure: Regenerate.

2010-03-31  Ulrich Weigand  <uweigand@de.ibm.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for spu port.

2010-03-31  Janis Johnson  <janis187@us.ibm.com>

	* MAINTAINERS: Remove myself.

2010-03-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/43328
	* configure.ac: Do not pass --enable-multilib nor
	--disable-multilib in baseargs.  Accept explicitly passed
	--enable_multilib.
	* configure: Regenerate.

2010-03-28  Andrew Pinski  <pinskia@gmail.com>

	* MAINTAINERS (spu port): Remove me.

2010-03-23  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (tic6x-*-*): New case.
	* configure: Regenerate.

2010-03-23  Joseph Myers  <joseph@codesourcery.com>

	* config.sub: Update to version 2010-03-22.
	* config.guess: Update to version 2009-12-30.

2010-03-19  Jack Howarth  <howarth@bromo.med.uc.edu>

	PR ada/42554
	* configure.ac: Only pass -c to ranlib for darwin9 and earlier.
	* configure: Regenerate.

2010-03-18  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>

	* MAINTAINERS: Update my email address.

2010-03-17  Sebastian Pop  <sebastian.pop@amd.com>

	* MAINTAINERS (dwarak.rajagopal@amd.com): Removed.
	(ghassan.shobaki@amd.com): Removed.

2010-03-17  Alan Modra  <amodra@gmail.com>

	* MAINTAINERS: Update my email address.

2010-03-16  Diego Novillo  <dnovillo@google.com>

	* MAINTAINERS: Remove Dan Hipschman, William Maddox and Chris
	Matthews.

2010-03-16  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS (Write After Approval): Remove Jim Blandy, Daniel
	Gutson, Jeffrey D. Oldham and Mark Shinwell.

2010-03-16  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS: Update my email address.

2010-03-16  Daniel Jacobowitz  <dan@codesourcery.com>

	* MAINTAINERS: Update my email address.

2010-03-15  Bernd Schmidt  <bernds@codesourcery.com>

	* MAINTAINERS: Update my email address.

2010-03-09  Jie Zhang  <jie@codesourcery.com>

	* MAINTAINERS: Update my email address.

2010-03-01  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR libstdc++/32499
	* configure.ac (RANLIB): Default to true.
	(STRIP): Likewise.
	(RANLIB_FOR_TARGET): Remove superfluous : argument.
	* configure: Regenerate.

2010-02-17  Rafael Ávila de Espíndola  <espindola@google.com>

	* MAINTAINERS (Plugin, LTO, LTO plugin): Remove myself.
	(Write After Approval): Update my email address.

2010-02-17  Nick Clifton  <nickc@redhat.com>

	PR 11238
	* Makefile.tpl (local-distclean): Also remove config.cache files in
	sub-directories as there may not be Makefiles present in the
	sub-directories.
	* Makefile.tpl: Use "-exec rm {}" rather than "-delete" to delete
	the config.cache files found by the find command.

	* Makefile.in: Regenerate.
	* configure.ac: Revert previous delta.
	* configure: Regenerate.

2010-02-15  Nick Clifton  <nickc@redhat.com>

	PR 11238
	* configure.ac: Delete config.cache files in sub-directories when
	deleting Makefiles.
	* configure: Regenerate.

2010-02-12  Ben Elliston  <bje@gnu.org>

	* MAINTAINERS: Update my email address.

2010-02-08  Andrew Pinski  <pinskia@gmail.com>

	* MAINTAINERS (spu port): Update my email address.

2010-02-08  Jie Zhang  <jie.zhang@analog.com>

	* MAINTAINERS: Add myself as a maintainer for the bfin port.

2010-01-31  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.ac: Add "recommended" version checks for GMP/MPC.
	Update recommended GMP/MPFR/MPC versions.
	* configure: Regenerate.

2010-01-31  Joern Rennecke  <joern.rennecke@embecosm.com>

	* MAINTAINERS: Move my Embecosm email address into the
	write-after-approval section.

2010-01-26  Ian Lance Taylor  <iant@google.com>

	* MAINTAINERS: Add myself as Go frontend maintainer.

2010-01-25  Joern Rennecke  <amylaar@spamcop.net>

	PR libstdc++/36101, PR libstdc++/42813
	* configure.ac (bootstrap_target_libs): Make inclusion of
	target-libgomp conditional on libgomb being in target_configdirs.
	* configure: Regenerate.

2010-01-23  Joern Rennecke  <amylaar@spamcop.net>

	PR libstdc++/36101, PR libstdc++/42813
	* configure.ac (bootstrap_target_libs): Include target-libgomp.
	* configure: Regenerate.

2010-01-22  Joern Rennecke  <amylaar@spamcop.net>

	PR libstdc++/36101, PR libstdc++/42813
	* configure.ac (target_configdirs): Substitute.
	* Makefile.def: Bootstrap target module libgomp.
	Add dependency of all-target-libstdc++-v3 on configure-target-libgomp.
	* Makefile.tpl (TARGET_CONFIGDIRS): New makefile variable.
	(BASE_TARGET_EXPORTS): Export TARGET_CONFIGDIRS.
	* configure, Makefile.in: Regenerate.

2010-01-21  Dave Korn  <dave.korn.cygwin@gmail.com>

	* MAINTAINERS: Adjust my details.

2010-01-20  Eric B. Weddington  <eric.weddington@atmel.com>

	* MAINTAINERS (CPU Port Maintainers): Add myself for avr port.

2010-01-18  Thierry Lafage  <thierry.lafage@inria.fr>

	* MAINTAINERS: reindented my entry with tabs instead of spaces.

2010-01-15  Thierry Lafage  <thierry.lafage@inria.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2010-01-15  Konrad Trifunovic  <konrad.trifunovic@inria.fr>

	* MAINTAINERS (Write After Approval): Add myself.

2010-01-11  Richard Guenther  <rguenther@suse.de>

	PR lto/41569
	* Makefile.def (all-lto-plugin): Depend on all-gcc.
	* Makefile.in: Regenerated.

2010-01-11  Andreas Tobler  <andreast@fgznet.ch>

	* configure.ac: Enable libjava build on x86_64-*freebsd*.
	* configure: Regenerate.

2010-01-07  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
	    Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	PR bootstrap/42424
	* configure.ac: Include libtool m4 files.
	(_LT_CHECK_OBJDIR): Call it.
	(extra_mpc_mpfr_configure_flags, extra_mpc_gmp_configure_flags,
	gmplibs, ppllibs, clooglibs): Use $lt_cv_objdir.

	* configure: Regenerate.

2010-01-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/41818
	* Makefile.tpl (BASE_TARGET_EXPORTS): Only add TARGET_LIB_PATH
	to $(RPATH_ENVVAR) if bootstrapping.  Fix typo in comment.
	* Makefile.in: Regenerate.

2010-01-02  Richard Guenther  <rguenther@suse.de>

	PR lto/41529
	* configure.ac: Include config/elf.m4.  Disable LTO if not
	builting for an elf target.
	* configure: Regenerate.

2009-12-27  Christopher Faylor  <me+cygwin@cgf.cx>

	* MAINTAINERS: Change my email address.

2009-12-18  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2009-12-07  Shujing Zhao  <pearly.zhao@oracle.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-12-06  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	PR middle-end/30447
	PR middle-end/30789
	PR other/40302

	* configure.ac: Require MPC.
	* configure: Regenerate.

2009-12-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR target/38384
	PR bootstrap/40972
	* libtool.m4: Sync from git Libtool.
	* ltoptions.m4: Likewise.
	* ltversion.m4: Likewise.
	* lt~obsolete.m4: Likewise.
	* ltmain.sh: Likewise.

2009-11-30  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.ac: Update minimum MPC version to 0.8.
	* configure: Regenerate.

2009-11-21  Sebastian Pop  <sebpop@gmail.com>

	* configure.ac: Check for version 0.15.5 or later revision of CLooG.
	* configure: Regenerated.

2009-11-21  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Change default of poststage1_ldflags to be empty if
	poststage1_libs is set.  When poststage1_libs is empty, and
	ENABLE_BUILD_WITH_CXX is set, add -static-libgcc.
	* configure: Rebuild.

2009-11-21  Adam Nemet  <adambnmet@gmail.com>

	* MAINTAINERS (Write After Approval): Update my email address.

2009-11-20  Ben Elliston  <bje@au.ibm.com>

	* config.guess: Update from upstream sources.

2009-11-16  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.def: Restore host and target settings for gmp.
	* Makefile.in: Rebuild.

2009-11-16  Alexandre Oliva  <aoliva@redhat.com>

	* configure.ac: Add libelf to host_libs.  Enable in-tree configury
	of ppl and cloog.  Fix in-tree configury of libelf, skip tests.
	Fix portability of test of C++ as bootstrap language.  Add
	ppl/src/ppl-config.o to the bootstrap compare exclusion list.
	* configure: Rebuild.
	* Makefile.def: Drop host and target settings from gmp, mpfr, ppl,
	and cloog.  Fix in-tree ppl configuration.  Introduce libelf
	in-tree building.
	* Makefile.tpl (POSTSTAGE1_CXX_EXPORT): New.
	(POSTSTAGE1_HOST_EXPORTS): Use it.
	(STAGE[+id+]_CXXFLAGS): New.
	(BASE_FLAGS_TO_PASS): Pass it down.
	(configure-stage[+id+]-[+prefix+][+module+]): Use it.  Add
	extra_exports.
	(all-stage[+id+]-[+prefix+][+module+]): Likewise.
	(configure-[+prefix+][+module+], all-[+prefix+][+module+]): Add
	extra_exports.
	* Makefile.in: Rebuild.

2009-11-17  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2009-11-12  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-11-09  Jon Beniston  <jon@beniston.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-11-06  Ozkan Sezer  <sezeroz@gmail.com>

	* configure.ac (FLAGS_FOR_TARGET):  Add -L and -isystem
	paths for *-w64-mingw* and x86_64-*mingw*.
	* configure: Regenerated.

2009-11-05  Joern Rennecke  <amylaar@spamcop.net>

	* MAINTAINERS (Write After Approval): Add entry for my INRIA work.

2009-11-02  Benjamin Kosnik  <bkoz@redhat.com>

	* MAINTAINERS: Add Jonathan Wakely under Various Maintainers, move
	Phil Edwards to Write-After Approval.

2009-10-30  Kai Tietz  <kai.tietz@onevision.com>

	* configure.ac: Disable target-winsup & co for
	x86_64-*-mingw* and *-w64-mingw* targets.
	* configure: Regenerated.

2009-10-16  Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS: Add myself as a maintainer for the RX port.

2009-10-26  Johannes Singler  <singler@kit.edu>

	* MAINTAINERS (Write After Approval): Update my e-mail address.

2009-10-23  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (CLooG test): Use = with test.
	* configure: Regenerate.

2009-10-22  Richard Guenther  <rguenther@suse.de>

	* configure.ac: Do not set LIBS for ppl/cloog checks.  Disable
	cloog if the ppl version check failed.  Move flags saving
	before setting in libelf check.
	* configure: Regenerate.

2009-10-21  Richard Guenther  <rguenther@suse.de>

	* configure.ac: Adjust the ppl and cloog configure to work as
	documented.  Disable cloog if ppl was disabled.  Omit the version
	checks if they were disabled.
	* configure: Re-generate.

2009-10-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Add 'lto' to enable_languages, not
	new_enable_languages, and only if not already present.
	* configure: Regenerate.

2009-10-10  Gerald Pfeifer  <gerald@pfeifer.com>

	* README: Refer to the various COPYING* files instead of just
	COPYING.
	Refer to http://gcc.gnu.org/bugs/ for bug reporting instructions.

2009-10-07  Rafael Avila de Espindola  <espindola@google.com>

	* MAINTAINERS: Change my email address. Change plugi-in to plugin.

2009-10-07  Richard Guenther  <rguenther@suse.de>

	* MAINTAINERS (LTO): List Diego Novillo, Rafael Avila de Espindola,
	and Richard Guenther as reviewers.
	(LTO plugin): List Rafael Avila de Espindola and Cary Coutant
	as reviewers.

2009-10-07  Hariharan Sandanagobalane  <hariharan@picochip.com>

	* config.sub: Update from upstream sources.

2009-10-06  Ian Lance Taylor  <iant@google.com>

	* Makefile.def: check-gold depends upon all-gas.
	* Makefile.in: Rebuild.

2009-10-05  Phil Muldoon  <pmuldoon@redhat.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-10-03  2009-02-05  Rafael Avila de Espindola  <espindola@google.com>

	* Makefile.def: all-lto-plugin depends on all-libiberty.
	set bootstrap=true for lto-plugin.
	Add lto-plugin.
	* Makefile.in: Regenerate.
	* configure.ac (host_libs): Add lto-plugin.
	* configure: Regenerate.

2009-10-03  Diego Novillo  <dnovillo@google.com>

	* Makefile.tpl (HOST_EXPORTS): Add LIBELFLIBS and LIBELFINC.
	(HOST_LIBELFLIBS): Define.
	(HOST_LIBELFINC): Define.
	* Makefile.in: Regenerate.
	* configure.ac: Add --enable-lto.
	Add --with-libelf, --with-libelf-include and --with-libelf-lib.
	If --enable-lto is used, add 'lto' to new_enable_languages.
	If --enable-lto is used and gold is enabled, add
	lto-plugin to configdirs.
	* configure: Regenerate.

2009-10-03  Simon Baldwin  <simonb@google.com>

	* configure.ac: If --with-system-zlib, suppress local zlib and
	pass --with-system-zlib to subdir configure scripts.
	* configure: Regenerate.

2009-10-01  Loren J. Rittle  <ljrittle@acm.org>
	    Paolo Bonzini  <bonzini@gnu.org>

	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Use $$s rather than
	$(srcdir).
	* Makefile.in: Rebuilt.

2009-09-26  Gary Funck  <gary@intrepid.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-09-26  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.ac: Update minimum MPC version to 0.7.
	* configure: Regenerate.

2009-09-25  Nick Clifton  <nickc@redhat.com>

	* configure.ac: Pass any --cache-file=/dev/null option on to
	subconfigures.
	* configure: Regenerate.

2009-09-23  Nick Clifton  <nickc@redhat.com>

	* config.sub, config.guess: Update from upstream sources.

2009-09-22  Loren J. Rittle  <ljrittle@acm.org>

	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Remove stray $$r/.
	* Makefile.in: Rebuilt.

2009-09-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR bootstrap/32272
	* configure.ac: Error out if $srcdir isn't '.' but contains
	host-${host_noncanonical}.
	* configure: Regenerate.

2009-09-22  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* MAINTAINERS (OS Port Maintainers): Add myself as Solaris
	maintainer.

2009-09-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: If bootstrapping a combined tree with
	--enable-gold, require c++ in stage1_languages.
	* configure: Regenerate.

	* configure.ac: Also add target_libs of stage1_languages to
	bootstrap_target_libs.
	* configure: Regenerate.

	* configure.ac: Diagnose --enable-build-with-cxx bootstrap
	with --enable-languages not containing c++.
	* configure: Regenerate.

2009-09-15  Jie Zhang  <jie.zhang@analog.com>

	* configure.ac: Disable java and boehm-gc for bfin-*-*.
	* configure: Regenerate.

2009-09-12  Joern Rennecke  <joern.rennecke@embecosm.com>

	* MAINTAINERS (Write After Approval): Update my e-mail address,
	and move from from here...
	(Waiting for paperwork): To here.

2009-09-09  Joseph Myers  <joseph@codesourcery.com>

	* MAINTAINERS (Reviewers): Add self as driver reviewer.

2009-09-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Do not use $extrasub for replacing @if/@endif
	parts in Makefile; instead, use additional arguments to
	AC_CONFIG_COMMANDS to do the replacement manually, with several
	sed invocations, to avoid HP-UX sed command limits.
	* configure: Regenerate.

2009-09-08  Alexandre Oliva  <aoliva@redhat.com>

	* libtool.m4 (output_verbose_link_cmd): Require leading blank, and
	blank before -L.

2009-09-04  Alexandre Oliva  <aoliva@redhat.com>

	* configure.ac (with-build-config): Document.  Handle without.
	Handle missing argument.
	* configure: Rebuilt.

2009-09-03  Alexandre Oliva  <aoliva@redhat.com>

	* configure.ac (--with-build-config): New.  Set BUILD_CONFIG.
	Default to bootstrap-debug only if compare-debug works.
	* configure: Rebuilt.
	* Makefile.tpl: Make BUILD_CONFIG configure-configurable.
	* Makefile.in: Rebuilt.

2009-09-02  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* MAINTAINERS (OS Port Maintainers): Update my email address.

2009-09-01  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.tpl (BUILD_CONFIG): Default to bootstrap-debug.
	* Makefile.in: Rebuilt.

2009-09-01  Chris Demetriou  <cgd@google.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-08-31  Dodji Seketeli  <dodji@redhat.com>

	PR debug/30161
	* include/dwarf2.h (enum dwarf_tag): Added
	DW_TAG_GNU_template_template_param
	(enum dwarf_attribute): Added DW_AT_GNU_template_name.

2009-08-30  Paolo Bonzini  <bonzini@gnu.org>

	* Makefile.tpl (AWK): Fix typo.
	* Makefile.in: Regenerate.

2009-08-30  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Detect awk and sed.
	* Makefile.def (flags_to_pass): Add AWK and SED.
	* Makefile.tpl (AWK, SED): New.
	(BASE_FLAGS_TO_PASS): Add AWK and SED.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

2009-08-26  Dave Korn  <dave.korn.cygwin@gmail.com>

	* ltmain.sh (removedotparts): Don't use comma as 's' separator.
	(collapseslashes): Likewise.

2009-08-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac (AC_PREREQ): Bump to 2.64.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Remove --with-datarootdir, --with-docdir,
	--with-pdfdir, --with-htmldir switches.
	* configure: Regenerate.

	* configure: Regenerate.

	* compile: Sync from Automake 1.11.
	* depcomp: Likewise.
	* install-sh: Likewise.
	* missing: Likewise.
	* mkinstalldirs: Likewise.
	* ylwrap: Likewise.

2009-08-20  Dave Korn  <dave.korn.cygwin@gmail.com>

	* ltmain.sh (func_normal_abspath): New function.
	(func_relative_path): Likewise.
	(func_mode_help): Document new -bindir option for link mode.
	(func_mode_link): Add new -bindir option, and use it to place
	output DLL if specified.

2009-08-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Call AC_DISABLE_OPTION_CHECKING.
	(baseargs): Add --disable-option-checking.
	* configure: Regenerate.

	* Makefile.def (configure-target-libiberty): Depend on
	all-binutils and all-ld.
	(configure-target-newlib): Likewise.
	* Makefile.in: Regenerate.

2009-08-17  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2009-08-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Sync from src, merge:

	2009-07-02  Tristan Gingold  <gingold@adacore.com>

	* configure.ac: Do not exclude gas for i386-*-darwin.
	Add a case for x86_64-*-darwin.
	* configure: Regenerate.

2009-08-06  Neil Vachharajani  <nvachhar@gmail.com>

	* MAINTAINERS: Add my name to Write After Approval list.

2009-08-06  Michael Eager  <eager@eagercon.com>

	* configure.ac: Add Microblaze target.
	* configure: Regenerate.

2009-07-31  Christian Bruel  <christian.bruel@st.com>

	* configure.ac (sh*-*-elf): Don't add target-libgloss to noconfigdirs.
	* configure: Regenerate.

2009-07-28  Rask Ingemann Lambertsen  <ccc94453@vip.cybercity.dk>

	* MAINTAINERS (Write After Approval): Update my e-mail address.

2009-07-06  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Add missing comma in AC_ARG_WITH(boot-libs).
	* configure: Rebuild.

2009-07-01  Tobias Grosser  <grosser@fim.uni-passau.de>

	* MAINTAINERS: Move myself to the Graphite Reviewers.

2009-06-30  Wei Guozhi  <carrot@google.com>

	* MAINTAINERS: Add my name to Write After Approval list.

2009-06-26  Steve Ellcey  <sje@cup.hp.com>

	PR bootstrap/40338
	* configure.ac (comparestring): Create new variable.
	* Makefile.tpl (comparestring): Use to skip some comparisions.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

2009-06-26  Doug Evans  <dje@sebabeach.org>

	* Makefile.def (host_modules): Add cgen.
	* Makefile.in: Regenerate.
	* configure.ac (host_tools): Add cgen.
	* configure: Regenerate.

2009-06-23  DJ Delorie  <dj@redhat.com>

	* MAINTAINERS: Add myself as mep maintainer.

2009-06-23  Ian Lance Taylor  <iant@google.com>

	* configure.ac: Add --enable-build-with-cxx.  When set, add c++ to
	boot_languages.  Only bootstrap target libraries listed in
	target_libs for some boot language.  Add --with-stage1-ldflags,
	--with-stage1-libs, --with-boot-ldflags, --with-boot-libs.  Remove
	with_host_libstdcxx from ppllibs.  Only add -fkeep-inline-functions
	if not building with C++.
	* Makefile.def: For target_module libstdc++-v3, set bootstrap=true.
	* Makefile.tpl (STAGE1_LDFLAGS, STAGE1_LIBS): New variables.
	(POSTSTAGE1_LDFLAGS, POSTSTAGE1_LIBS): New variables.
	(HOST_EXPORTS): Add STAGE1_LDFLAGS to LDFLAGS.  Export HOST_LIBS.
	(POSTSTAGE1_HOST_EXPORTS): Set CXX and CXX_FOR_BUILD.  Add
	POSTSTAGE1_LDFLAGS to LDFLAGS.  Export HOST_LIBS.
	(POSTSTAGE1_FLAGS_TO_PASS): Likewise.
	* configure, Makefile.in: Rebuild.

2009-06-23  Li Feng  <nemokingdom@gmail.com>

	* MAINTAINERS: Added my name to write-after-approval list.

2009-06-15  Ryan Mansfield  <rmansfield@qnx.com>

	* configure.ac: Define is_elf for QNX Neutrino targets.
	* configure: Regenerate.

2009-06-09  Ghassan Shobaki  <ghassan.shobaki@amd.com>

	* MAINTAINERS: Added my name to the write-after-approval list

2009-06-08  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.ac: Detect MPC in default directory.
	* configure: Regenerate.

2009-06-03  Jerome Guitton  <guitton@adacore.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.tpl (all): Avoid a trailing backslash.
	* Makefile.in: Regenerate.

2009-06-03  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2009-06-02  Richard Sandiford  <r.sandiford@uk.ibm.com>

	* configure.ac (powerpc-*-aix*, rs6000-*-aix*): Add target-newlib
	to noconfdirs.
	* configure: Regenerate.

2009-06-02  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.tpl ([+compare-target+]): Compare all stage
	directories, rather than just gcc.
	* Makefile.in: Rebuilt.

2009-06-01  Doug Kwan  <dougkwan@google.com>

	* configure.ac: Support gold for target arm*-*-*.
	* configure: Regenerate.

2009-05-29  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* Makefile.def: Add MPC support and dependencies.
	* configure.ac: Likewise.  Reorganize GMP/MPFR checks.

	* Makefile.in, configure: Regenerate.

2009-05-27  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.tpl (all): Avoid harmless warning in make all when
	gcc-bootstrap is enabled but stage_last does not exist.
	* Makefile.in: Rebuilt.

2009-05-24  Nicolas Roche  <roche@adacore.com>

	* Makefile.tpl (compare-target): Skip ./ada/*tools directories.
	* Makefile.in: Regenerate.

2009-05-21  Denis Chertykov  <chertykov@gmail.com>

	* MAINTAINERS: Update my e-mail address.

2009-05-21  Dave Korn  <dave.korn.cygwin@gmail.com>

	* configure.ac (cygwin noconfigdirs):  Remove libgcj.
	* configure:  Regenerate.

2009-05-18  Alexandre Oliva  <aoliva@redhat.com>

	PR other/40159
	* Makefile.tpl (all): Don't assume gcc-bootstrap and
	gcc-no-bootstrap are mutually exclusive.
	* Makefile.in: Rebuilt.

2009-05-18  Alexandre Oliva  <aoliva@redhat.com>

	PR other/40159
	* Makefile.tpl (all): Don't end with unconditional success.
	* Makefile.in: Rebuilt.

2009-05-12  Alexandre Oliva  <aoliva@redhat.com>

	PR target/37137
	* Makefile.def (flags_to_pass): Remove redundant and incomplete
	STAGE1_CFLAGS, STAGE2_CFLAGS, STAGE3_CFLAGS, and STAGE4_CFLAGS.
	Add FLAGS_FOR_TARGET and BUILD_CONFIG.
	(bootstrap_stage): Remove bootstrap-debug custom stages.  Turn
	stage_configureflags, stage_cflags and stage_libcflags into
	explicit Makefile macros.
	* Makefile.tpl (HOST_EXPORTS, EXTRA_HOST_FLAGS): Pass GCJ and
	GFORTRAN.
	(POSTSTAGE1_HOST_EXPORTS): Add XGCC_FLAGS_FOR_TARGET and TFLAGS to
	CC.  Set CC_FOR_BUILD from CC.
	(BASE_TARGET_EXPORTS, RAW_CXX_TARGET_EXPORTS,
	NORMAL_TARGET_EXPORTS): Move SYSROOT_CFLAGS_FOR_TARGET and
	DEBUG_PREFIX_CFLAGS_FOR_TARGET from CFLAGS and CXXFLAGS to
	XGCC_FLAGS_FOR_TARGET.  Add it along with TFLAGS to CC, CXX, GCJ,
	and GFORTRAN.
	(TFLAGS, STAGE_CFLAGS, STAGE_TFLAGS, STAGE_CONFIGURE_FLAGS): New.
	(_LIBCFLAGS): Renamed to _TFLAGS.
	(do-compare-debug, do-compare3-debug): Drop.
	(CC, GCC_FOR_TARGET, CXX_FOR_TARGET, RAW_CXX_FOR_TARGET,
	GCJ_FOR_TARGET, GFORTRAN_FOR_TARGET): Remove FLAGS_FOR_TARGET.
	(FLAGS_FOR_TARGET, SYSROOT_CFLAGS_FOR_TARGET,
	DEBUG_PREFIX_CFLAGS_FOR_TARGET): Move down.
	(XGCC_FLAGS_FOR_TARGET): New.
	(BASE_FLAGS_TO_PASS): Pass STAGEid_CFLAGS, STAGEid_TFLAGS and TFLAGS.
	(EXTRA_HOST_FLAGS): Pass GCJ and GFORTRAN.
	(POSTSTAGE1_FLAGS_TO_PASS): Move SYSROOT_CFLAGS_FOR_TARGET and
	DEBUG_PREFIX_CFLAGS_FOR_TARGET from CFLAGS, CXXFLAGS, LIBCFLAGS,
	LIBCXXFLAGS to XGCC_FLAGS_FOR_TARGET.  Add it along with TFLAGS
	to CC, CXX, GCJ, and GFORTRAN.  Pass XGCC_FLAGS_FOR_TARGET and
	TFLAGS.
	(BUILD_CONFIG): Include if requested.
	(all): Set TFLAGS on bootstrap.
	(configure-stageid-prefixmodule): Pass TFLAGS, adjust FLAGS.
	(all-stageid-prefixmodule): Likewise.
	(do-clean, distclean-stageid): Set TFLAGS.
	(restrap): Fix whitespace.
	* Makefile.in: Rebuilt.

2009-05-07  Paolo Bonzini  <bonzini@gnu.org>

	* config.guess: Sync with src.

2009-05-07  Dave Korn  <dave.korn.cygwin@gmail.com>

	* configure.ac ($with_ppl):  Default to no if not supplied.
	($with_cloog):  Likewise.
	configure:  Regenerate.

2009-04-27  James E. Wilson  <wilson@codesourcery.com>

	* MAINTAINERS: Update my e-mail address.

2009-04-27  Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS: Replace Aldy Hernandez as a maintainer for the FRV.

2009-04-25  Eric Botcazou  <ebotcazou@adacore.com>

	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Add GNATBIND.
	(POSTSTAGE1_FLAGS_TO_PASS): Pick up exported value for GNATBIND.
	* Makefile.in: Regenerate.

2009-04-24  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	PR bootstrap/39739
	* configure.ac (extra_mpfr_configure_flags): Set and AC_SUBST.
	* Makefile.def (module=mpfr): Use extra_mpfr_configure_flags.

	* configure, Makefile.in: Regenerate.

2009-04-21  Taras Glek  <tglek@mozilla.com>

	* include/hashtab.h: Update GTY annotations to new syntax
	* include/splay-tree.h: Likewise

2009-04-17  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2009-04-15  Anthony Green  <green@moxielogic.com>

	* configure.ac: Add moxie support.
	* configure: Rebuilt.

2009-04-14  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: Change copyright header to refer to version
	3 of the GNU General Public License and to point readers at the
	COPYING3 file and the FSF's license web page.
	* Makefile.def: Likewise.
	* Makefile.tpl: Likewise.
	* Makefile.in: Regenerate.

2009-04-09  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Restore match for darwin9 or later. Use double
	brackets since regeneration eats one pair.
	* configure: Regenerate.

2009-04-09  H.J. Lu  <hongjiu.lu@intel.com>

	PR gas/10039
	* configure.ac: Require texinfo 4.7.
	* configure: Regenerated.

2009-04-09  Nick Clifton  <nickc@redhat.com>

	* COPYING.RUNTIME: New file: Contains a copy of version 3.1 of
	the GCC Runtime Library Exception.

2009-04-08  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.ac: Bump minimum GMP/MPFR versions to 4.2 and 2.3.1.
	* configure: Regenerate.

2009-04-01  Steve Ellcey  <sje@cup.hp.com>

	* Makefil.def (languages): New entries.
	* Makefile.tpl (check-gcc-*): New generic target.
	* Makefile.in: Regenerate.

2009-03-25  Erven Rohou  <erven.rohou@inria.fr>

	* MAINTAINERS:  Update my email address.

2009-03-18  Tom Tromey  <tromey@redhat.com>

	* configure: Rebuild.
	* configure.ac (host_libs): Add libiconv.
	* Makefile.in: Rebuild.
	* Makefile.def (host_modules): Add libiconv.
	(configure-gdb, all-gdb): Depend on libiconv.

2009-03-16  Tristan Gingold  <gingold@adacore.com>

	* configure.ac: Treat gdb as supported on x86_64-darwin.
	* configure: Regenerate.

2009-03-16  Joseph Myers  <joseph@codesourcery.com>

	* configure.ac (--with-host-libstdcxx): New option.
	* configure: Regenerate.

2009-03-12  Joern Rennecke  <joern.rennecke@arc.com>

	* MAINTAINERS:  Move myself into the write after approval list.

2009-03-11  Nicola Pero  <nicola.pero@meta-innovation.com>

	* MAINTAINERS: Update e-mail address.

2009-03-11  Dorit Nuzman  <dorit@il.ibm.com>

	* MAINTAINERS: Remove myself as auto-vectorizer maintainer.

2009-03-10  Ira Rosen  <irar@il.ibm.com>

	* MAINTAINERS: Add myself as auto-vectorizer maintainer.

2009-03-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Backport from git Libtool:

	2009-01-19  Robert Millan  <rmh@aybabtu.com>
	Support GNU/kOpenSolaris.
	* libltdl/m4/libtool.m4 (_LT_SYS_DYNAMIC_LINKER)
	(_LT_CHECK_MAGIC_METHOD, _LT_COMPILER_PIC, _LT_LINKER_SHLIBS)
	(_LT_LANG_CXX_CONFIG) [kopensolaris*-gnu]: Recognize
	GNU/kOpenSolaris.

2009-02-27  Andreas Schwab  <schwab@linux-m68k.org>

	* MAINTAINERS: Update e-mail address.

2009-02-24  Michael Eager  <eager@eagercon.com>

	* MAINTAINERS (Write After Approval): Add self.

2009-02-18  Bingfeng Mei  <bmei@broadcom.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-02-05  Andreas Schwab  <schwab@suse.de>

	* Makefile.tpl (stage_last): Define $r and $s before using
	$(RECURSE_FLAGS_TO_PASS).
	* Makefile.in: Regenerate

2009-01-30  Ian Lance Taylor  <iant@google.com>

	* MAINTAINERS: Move myself to the Global Reviewers list.

2009-01-29  Robert Millan  <rmh@aybabtu.com>

	* configure.ac: Recognize GNU/kOpenSolaris (*-*-kopensolaris*-gnu).
	* configure: Regenerate.

2009-01-17  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Make whitespace consistent.
	Remove Robert Millan from Write After Approval.

2009-01-16  Alan Modra  <amodra@bigpond.net.au>

	* Makefile.def (configure-opcodes): Depend on configure-libiberty.
	(all-opcodes): Depend on all-libiberty.
	* Makefile.in: Regenerate.

2009-01-15  Douglas B Rupp  <rupp@gnat.com>

	* configure.ac (ia64*-*-*vms*): Add case with no gdb or ld support.
	* configure: Regenerate.

2009-01-12  Ramana Radhakrishnan  <ramana.r@gmail.com>

	* MAINTAINERS (Write After Approval): Add myself.

2009-01-12  Steven G. Kargl  <sgk@troutmask.apl.washington.edu>

	* MAINTAINERS: Add myself to reviewers (Fortran).

2009-01-12  Sebastian Pop  <sebastian.pop@amd.com>

	PR tree-optimization/38515
	* configure.ac (cloog-polylib): Removed.
	(with_ppl, with_cloog): Test for "no".
	* configure: Regenerated.

2009-01-11  Daniel Franke  <franke.daniel@gmail.com>

	* MAINTAINERS: Moved myself to reviewers (Fortran).

2009-01-06  Thomas Schwinge  <tschwinge@gnu.org>

	* MAINTAINERS (OS Port Maintainers): Add myself for GNU/Hurd.
	(Write After Approval): Remove myself.

2009-01-03  Diego Novillo  <dnovillo@google.com>

	* MAINTAINERS: Remove myself from alias maintainership.

2009-01-02  David Ayers  <ayers@fsfe.org>

	* MAINTAINERS: Update e-mail address.

2008-12-30  Gerald Pfeifer  <gerald@pfeifer.com>

	* MAINTAINERS: Make whitespace consistent.

2008-12-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Backport from upstream Libtool:
	* libltdl.m4 (_LT_SYS_DYNAMIC_LINKER, _LT_LINKER_SHLIBS):
	Add cache variables to tests that require the linker to work.
	For shlibpath_overrides_runpath, this also changes the semantics
	to let the result from the C compiler take precedence.

2008-12-02  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2008-12-12  Sebastian Pop  <sebastian.pop@amd.com>

	* configure.ac (ppllibs): Add by default the lib flags.
	* configure: Regenerate.

2008-12-08  Luis Machado  <luisgpm@br.ibm.com>

	* MAINTAINERS:  Add myself to the write after approval list.

2008-12-04  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Add double brackets on darwin[912].
	* configure: Regenerate.

2008-12-03  Daniel Kraft  <d@domob.eu>

	* MAINTAINERS:  Moved myself and Mikael Morin from Write After
	Approval to Reviewer section (for Fortran front-end).

2008-12-02  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Expand to darwin10 and later.
	* configure: Regenerate.

2008-12-02  Andreas Schwab  <schwab@suse.de>

	* Makefile.def: configure-target-boehm-gc depends on
	all-target-libstdc++-v3.
	* Makefile.in: Regenerate.

2008-12-02  Kai Tietz  <kai.tietz@onevision.com>

	* MAINTAINERS:  Add myself as mingw maintainer.

2008-12-02  Ben Elliston  <bje@au.ibm.com>

	* config.sub, config.guess: Update from upstream sources.

2008-12-01  Gerald Pfeifer  <gerald@pfeifer.com>

	* README.SCO: Remove.

2008-11-29  Fernando Pereira  <pronesto@gmail.com>

